# Axway SecureTransport REST API Migration document

## Description
This document outlines the migration of SecureTransport 5.5 REST API 1.0, 1.1, 1.2, and 1.3 resources to a more recent version - 1.4 or 2.0.
We recommend direct migration to 2.0 which is the latest version. In some cases, the migration to 1.4 is more simple or convenient and can be prefered. Some old resources from 1.0, 1.1, 1.2, and 1.3 cannot be migrated to any of the two latest versions.
If there is a resource that has not been migrated but is of great importance to your organization, log an Idea in our [MFT Ideas Portal](https://mftideas.axway.com/).


## Version
1.0.0 - January 2024

## Access
No installation required. To access the content, extract the archive.

## Usage
There are two HTML files in the main directory of the project. Each contains the respective migration document for the Admin and End-User resources:
- mockup-admin.html
- mockup-enduser.html

## Navigation
Use the tabs to switch between available versions:

![Alt text](pics/example1.jpg)

Here is an example list of resources grouped by their old API name:

![Alt text](pics/example2.jpg)

Click on the resource group that you want to migrate to find the respective method:

![Alt text](pics/example3.jpg)

Each method contains 4 distinct sections, as shown below:

![Alt text](pics/example4.jpg)

From left to right, these sections cover:
- The old API Request Body
- The new API Request Body
- The old API Response Body
- The new API Response Body

Some parameters are color-coded:
- The parameters in red (on the old API Request side) are available in the old API version but are not present in the new version.
- The parameters in green (on the new API Request side) are available in the old API version and are present in the new version as well.
All other parameters are new for the selected method/resource. We advise you to explore the new capabilities that they offer.

## Roadmap
We will consider updating this document based on received feedback. See the version tag.

## Contributing
We are open to contributions. Log an Idea in our portal and we will be in touch.

## Authors and acknowledgments
Axway SecureTransport Research and Development department

## Support
In case of questions or difficulties, contact Axway Support: support@axway.com