var xmlResponse14 = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<sessions>\n\t<session>\n\t\t<id>string</id>\n\t\t<userName>string</userName>" +
"\n\t\t<host>string</host>\n\t\t<protocol>FTP</protocol>\n\t\t<userClass>string</userClass>\n\t\t<currentTransferBandwith>string</currentTransferBandwith>" +
"\n\t\t<command>string</command>\n\t\t<sessionCreationTime>string</sessionCreationTime>\n\t\t<serverName>string</serverName>\n\t</session>\n</sessions>";
var api14 = {
	"Dmz" : {
		"zones_name_edges_title" : {
            "path" : "/zones/{name}/edges/{title}",
            "methods" : {
                "get" : {
					"description" : " - Gets an edge with the given title in zone with given name.",
                    "request" : ["name", "title"],
                    "response" : {
					  "title": "string",
					  "notes": "string",
					  "deploymentSite": "string",
					  "enabledProxy": false,
					  "protocols": [
						{
						  "protocol": {
							"streaming_protocol": "string",
							"port": 0,
							"isEnabled": false,
							"ssl_alias": "string"
						  }
						}
					  ],
					  "proxies": [
						{
						  "proxy": {
							"proxy_protocol": "string",
							"port": 0,
							"isEnabled": false,
							"username": "string",
							"password": "string",
							"isUsePassword": false
						  }
						}
					  ],
					  "ip_address": [
						{
						  "ipAddress": "string"
						}
					  ],
					  "configurationId": "string",
					  "descriptor": "string"
					}
                },
				"post" : {
					"description" : " - Updates the given edge properties.",
                    "request" : ["name", "title"],
					"request_body" : {
					  "title": "string",
					  "notes": "string",
					  "deploymentSite": "string",
					  "enabledProxy": false,
					  "protocols": [
						{
						  "protocol": {
							"streaming_protocol": "string",
							"port": 0,
							"isEnabled": false,
							"ssl_alias": "string"
						  }
						}
					  ],
					  "proxies": [
						{
						  "proxy": {
							"proxy_protocol": "string",
							"port": 0,
							"isEnabled": false,
							"username": "string",
							"isUsePassword": false,
							"password": "string"
						  }
						}
					  ],
					  "ip_address": [
						{
						  "ipAddress": "string"
						}
					  ],
					  "configurationId": "string",
					  "descriptor": "string"
					},	
                    "response" : "No Content"
                },
				"put" : {
					"description" : " - Creates the edge or replaces existing edge with the same name.",
                    "request" : ["name", "title"],
                    "request_body" : {
					  "title": "string",
					  "notes": "string",
					  "deploymentSite": "string",
					  "enabledProxy": false,
					  "protocols": [
						{
						  "protocol": {
							"streaming_protocol": "string",
							"port": 0,
							"isEnabled": false,
							"ssl_alias": "string"
						  }
						}
					  ],
					  "proxies": [
						{
						  "proxy": {
							"proxy_protocol": "string",
							"port": 0,
							"isEnabled": false,
							"username": "string",
							"password": "string",
							"isUsePassword": false
						  }
						}
					  ],
					  "ip_address": [
						{
						  "ipAddress": "string"
						}
					  ],
					  "configurationId": "string",
					  "descriptor": "string"
					},
					"response" : "No content"
                },
				"delete" : {
					"description" : " - Deletes an edge.",
                    "request" : ["name", "title"],
                    "response" : "No content"
                }
            }
        },
		"zones_name_edges_title_protocols" : {
            "path" : "/zones/{name}/edges/{title}/protocols",
            "methods" : {
                "get" : {
					"description" : " - Gets the protocols for the given edge and zone.",
                    "request" : ["name", "title"],
                    "response" : {
					  "protocols": [
						{
						  "protocol": {
							"streaming_protocol": "",
							"port": 0,
							"isEnabled": false,
							"ssl_alias": "string",
							"metadata": {
								"links": {}
							}
						  }
						}
					  ]
					}
                }
            }
        },
		"zones_name_edges_title_proxies" : {
            "path" : "/zones/{name}/edges/{title}/proxies",
            "methods" : {
                "get" : {
					"description" : " - Gets the proxies for the given edge and zone.",
                    "request" : ["name", "title"],
                    "response" : {
					  "proxies": [
						{
						  "proxy": {
							"proxy_protocol": "string",
							"port": 0,
							"isEnabled": false,
							"username": "string",
							"isUsePassword": false,
							"password": "string",
							"metadata": {
							  "links": {}
							}
						  }
						}
					  ]
					}
                }
            }
        },
		"zones_name_edges_title_protocols_protocol" : {
            "path" : "/zones/{name}/edges/{title}/protocols/{protocol}",
            "methods" : {
                "get" : {
					"description" : " - Gets a protocol in an edge with the given title in zone with given name.",
                    "request" : ["name", "title", "protocol"],
                    "response" : {
					  "streaming_protocol": "string",
					  "port": 0,
					  "isEnabled": false,
					  "ssl_alias": "string",
					  "metadata": {
						"links": {}
					  }
					}
                },
				"post" : {
					"description" : " - Updates a protocol in an edge with the given title in zone with given name.",
                    "request" : ["name", "title", "protocol"],
					"request_body" : {
					  "streaming_protocol": "string",
					  "port": 0,
					  "isEnabled": false,
					  "ssl_alias": "string",
					  "metadata": {
						"links": {}
					  }
					},
                    "response" : "No content"
                }
            }
        },
		"zones_name_edges_title_proxies_proxy" : {
            "path" : "/zones/{name}/edges/{title}/proxies/{proxy}",
            "methods" : {
                "get" : {
					"description" : " - Gets a proxy in an edge with the given title in zone with given name.",
                    "request" : ["name", "title", "proxy"],
                    "response" : {
					  "proxy_protocol": "string",
					  "port": 0,
					  "isEnabled": false,
					  "username": "string",
					  "password": "string",
					  "isUsePassword": false,
					  "metadata": {
						"links": {}
					  }
					}
				},
				"post" : {
					"description" : " - Updates a proxy in an edge with the given title in zone with given name.",
                    "request" : ["name", "title", "proxy"],
					"request_body" : {
					  "proxy_protocol": "string",
					  "port": 0,
					  "isEnabled": false,
					  "username": "string",
					  "isUsePassword": false,
					  "password": "string"
					},
					"response" : "No content"
                }
            }
        }
	},
	"Sessions" : {
		"sessions_count" : {
            "path" : "/sessions/count",
            "methods" : {
                "get" : {
					"description" : " - Gets the sessions count.",
                    "request" : ["type"],
                    "response" : "Number of sessions"
				}
            }
        },
		"sessions_xml" : {
            "path" : "/sessions/sessions.xml",
            "methods" : {
                "get" : {
					"description" : " - Gets the sessions in xml format.",
                    "request" : ["limit", "type", "localDaemonReturn"],
                    "response" : xmlResponse14.replace(/&/g, '&amp;').replace(/</g, '&lt;').replace(/>/g, '&gt;').replace(/"/g, '&quot;')
				}
            }
        },
		"sessions_info" : {
            "path" : "/sessions/sessionsInfo.json",
            "methods" : {
                "get" : {
					"description" : " - Gets the sessions in json format.",
                    "request" : [],
                    "response" : [{
						"userClass": "string",
						"loggedIn": "string",
						"maxAllowed": "string",
						"instantaneousFTPBandwidth": "string",
						"localLoggedIn": "string",
						"inboundBandwidthUsageStat": 0,
						"outboundBandwidthUsageStat": 0
					}]
				}
            }
        },
	},
	"Routes" : {
		"Routes_inheritedsteps" : {
            "path" : "/routes/{routeId}/inheritedSteps",
            "methods" : {
                "get" : {
					"description" : " - Gets the inherited route step statuses.",
                    "request" : ["routeId", "limit", "offset"],
					"response" : {
					  "stepStatuses" : [ {
					    "stepId" : "string",
					    "status" : "string"
					  } ]
					}
				},
				"put" : {
					"description" : " - Overwrites route step statuses belonging to a route package",
                    "request" : ["routeId"],
					"request_body" : {
					  "stepStatuses": [
					    {
					      "stepId": "string",
					      "status": "string"
					    }
					  ]
					},
					"response" : {
					  "stepStatuses" : [ {
					    "stepId" : "string",
					    "status" : "string"
					  } ]
					}
				}
            }
        },
		"Routes_inheritedsteps_id" : {
            "path" : "/routes/{routeId}/inheritedSteps/{routeStepId}",
            "methods" : {
                "get" : {
					"description" : " - Gets a inherited route step status.",
                    "request" : ["routeId", "routeStepId"],
					"response" : {
					  "stepId" : "string",
					  "status" : "string"
					}
				},
				"post" : {
					"description" : " - Updates status of an inherited route step. ",
                    "request" : ["routeId", "routeStepId"],
					"request_body" : {
					  "stepId" : "string",
					  "status" : "string"
					},
					"response" : "No content"
				}
            }
        },
		"Routes_steps_rid" : {
            "path" : "/routes/{routeId}/steps/{routeStepId}",
            "methods" : {
                "get" : {
					"description" : " - Gets a route step.",
                    "request" : ["routeId", "routeStepId"],
					"response" : {
					  "id": "string",
					  "type": "string",
					  "status": "ENABLED",
					  "autostart": false,
					  "precedingStep": "string",
					  "executeRoute": "string",
					  "actionOnStepFailure": "PROCEED"
					}
				}
            }
        }
	},
	"AuditLog" : {
		"auditLog_objectTypes"  : {
            "path" : "/auditLog/objectTypes",
            "methods" : {
                "get" : {
					"description" : " - Gets types of the audited objects.",
                    "request" : ["version"],
                    "response" : {
					  "auditedObjectTypes": [
					    "string"
					  ]
					}
				}
            }
        }
	},
	"ClusterNode" : {
		"clusternode"  : {
            "path" : "/clusterNodes",
            "methods" : {
                "get" : {
					"description" : " - Returns information for the cluster nodes in the system.",
                    "request" : [],
                    "response" : {
					  "isCluster": false,
					  "clusterMode": "string",
					  "clusterNodes": [
					    {
					      "configurationId": "string",
					      "descriptor": "string",
					      "status": "online",
					      "mode": "primary",
					      "address": "string",
					      "lastSync": "string",
					      "lastReportedAlive": "string",
					      "stVersion": {
					        "serverType": "ST-Core-Server",
					        "version": "string",
					        "build": "string",
					        "os": "string",
					        "updateLevel": "string",
					        "updateHistory": [
					          "string"
					        ],
					        "spiVersions": [
					          {
					            "name": "string",
					            "versions": [
					              "string"
					            ]
					          }
					        ],
					        "isRoot": true,
					        "other": [
					          "string"
					        ]
					      },
					      "localNode": false
					    }
					  ]
					}
				}
            }
        }
	},
	"ConfigurationProfiles": {
		"configurationProfiles"  : {
            "path" : "/configurationProfiles",
            "methods" : {
                "get" : {
					"description" : "",
                    "request" : [
					],
                    "response" : {
					  "configurationProfiles": [
						{
						  "name": "string"
						}
					  ]
					}
				}
            }
        },
		"configurationProfiles_profile"  : {
            "path" : "/configurationProfiles/{profile}",
            "methods" : {
                "get" : {
					"description" : "",
                    "request" : [
						"profile"
					],
                    "response" : {
					  "name": "string"
					}
				}
            }
        }
	},
	"CertificateDetails" : {
		"CertificateDetails"  : {
            "path" : "/zones/{name}/edges/{title}/protocols/{protocol}/certificates/{alias}",
            "methods" : {
                "get" : {
					"description" : " - Get the certificate details.",
                    "request" : ["name", "title", "protocol", "alias"],
                    "response" : {
					  "alias": "string",
					  "certContent": [
						[
						  "string"
						]
					  ]
					}
				}
            }
        }
	},
	"Certificates" : {
		"Certificates_req_id"  : {
            "path" : "/certificates/{id}/duplicate",
            "methods" : {
				"post" : {
					"description" : " - Duplicate the certificate with the given id and saves it by different name.",
                    "request" : ["id"],
					"request_body" : {
					  "id": "string",
					  "name": "string",
					  "subject": "string",
					  "type": "x509",
					  "usage": "string",
					  "expirationTime": 0,
					  "creationTime": 0,
					  "signAlgorithm": "SHA256withRSA",
					  "keySize": 1024,
					  "keyAlgorithm": "RSA",
					  "issuer": "string",
					  "serialNumber": "string",
					  "validityPeriod": 100000,
					  "fingerprint": "string",
					  "account": "string",
					  "accessLevel": "PRIVATE",
					  "overwrite": false,
					  "caPassword": "string",
					  "exportPrivateKey": false,
					  "exportSSHPublicKey": false,
					  "password": "string",
					  "validationStatus": "string",
					  "version": 0
					},
                    "response" : {
					  "id": "string",
					  "name": "string",
					  "subject": "string",
					  "type": "x509",
					  "usage": "string",
					  "expirationTime": 0,
					  "creationTime": 0,
					  "signAlgorithm": "SHA256withRSA",
					  "keySize": 1024,
					  "keyAlgorithm": "RSA",
					  "issuer": "string",
					  "serialNumber": "string",
					  "validityPeriod": 100000,
					  "fingerprint": "string",
					  "account": "string",
					  "accessLevel": "PRIVATE",
					  "overwrite": false,
					  "caPassword": "string",
					  "exportPrivateKey": false,
					  "exportSSHPublicKey": false,
					  "password": "string",
					  "validationStatus": "string",
					  "version": 0
					}
				}
            }
        }
	},
	"Configuration" : {
		"Configuration"  : {
            "path" : "/zones/{name}/edges/{title}/protocols/{protocol}/configuration",
            "methods" : {
                "get" : {
					"description" : " - Get the configuration options.",
                    "request" : ["name", "title", "protocol"],
                    "response" : {
					  "configurationOptions": [
						{
						  "name": "string",
						  "values": [
							"string"
						  ],
						  "description": "string",
						  "node": "UNSPECIFIED",
						  "encrypted": false,
						  "readOnly": false,
						  "composite": false,
						  "specified": false,
						  "disabled": false
						}
					  ]
					}
				}
            }
        }
	}
};