api["13"] = 
{
	"AnonymousPackages": {
		"anonymouspackages": {
			"path": "/mailbox/messages/public",
			"methods": {
				"get": {
					"description": " - Retrieves a package item via link.",
					"request": [
						"token",
						"question",
						"answer"
					],
					"response": "File downloading"
				},
				"post": {
					"description": " - Retrieves a package item via link.",
					"request": [
						"token",
						"question",
						"answer"
					],
					"response": "File downloading"
				}
			}
		}
	},
	"Files": {
		"files": {
			"path": "/files",
			"methods": {
				"get": {
					"description": " - Lists the user home directory.",
					"request": [
						"limit",
						"offset",
						"sortBy",
						"order",
						"transferMode",
						"status",
						"showdots",
						"version"
					],
					"response": {
						"files": [{
						  "fileName" : "...",
						  "newFilePath" : "...",
						  "lastModifiedTime" : 0,
						  "size" : 0,
						  "isDirectory" : false,
						  "isRegularFile" : false,
						  "isSymbolicLink" : false,
						  "isOther" : false,
						  "group" : "...",
						  "owner" : "...",
						  "permissions" : "...",
						  "isShared" : false,
						  "metadata" : {
							"links" : {
							}
						  },
						  "transferStatus" : "..."
						}]
					}
				},
				"post": {
					"description": " - Uploads file to the user home folder. The filename is gotten from Content-Disposition header.",
					"request": [
						"transferMode",
						"version"
					],
					"response": "No content"
				},
				"post ": {
					"description": " - Updates the user home folder metadata.",
					"request": [
						"version"
					],
					"request_body" : {
					  "fileName" : "...",
					  "newFilePath" : "...",
					  "lastModifiedTime" : 0,
					  "size" : 0,
					  "isDirectory" : false,
					  "isRegularFile" : false,
					  "isSymbolicLink" : false,
					  "isOther" : false,
					  "group" : "...",
					  "owner" : "...",
					  "permissions" : "...",
					  "isShared" : false,
					  "metadata" : {
					    "links" : {
					    }
					  },
					  "transferStatus" : "..."
					},
					"response": "No content"
				}
			}
		},
		"files_filepath": {
			"path": "/files/{filepath}",
			"methods": {
				"get": {
					"description": " - Returns a list of files, if the specified file is directory, otherwise the file content.",
					"request": [
						"filepath",
						"sortBy",
						"order",
						"transferMode",
						"status",
						"offset",
						"limit",
						"showdots",
						"version"
					],
					"response": {
						"files": [{
						  "fileName" : "...",
						  "newFilePath" : "...",
						  "lastModifiedTime" : 0,
						  "size" : 0,
						  "isDirectory" : false,
						  "isRegularFile" : false,
						  "isSymbolicLink" : false,
						  "isOther" : false,
						  "group" : "...",
						  "owner" : "...",
						  "permissions" : "...",
						  "isShared" : false,
						  "metadata" : {
							"links" : {
							}
						  },
						  "transferStatus" : "..."
						}]
					}
				},
				"post": {
					"description": " - Uploads file to the folder, pointed by the filepath. The filename is gotten from Content-Disposition header.",
					"request": [
						"filepath",
						"transferMode",
						"version"
					],
					"response": "No content"
				},
				"post ": {
					"description": " - Updates metadata of the file, pointed by the filepath or rename the target file/directory.",
					"request": [
						"filepath",
						"version"
					],
					"request_body" : {
					  "fileName" : "...",
					  "newFilePath" : "...",
					  "lastModifiedTime" : 0,
					  "size" : 0,
					  "isDirectory" : false,
					  "isRegularFile" : false,
					  "isSymbolicLink" : false,
					  "isOther" : false,
					  "group" : "...",
					  "owner" : "...",
					  "permissions" : "...",
					  "isShared" : false,
					  "metadata" : {
					    "links" : {
					    }
					  },
					  "transferStatus" : "..."
					},
					"response": "No Content"
				},
				"put": {
					"description": " - Uploads file. Any Content-Type is accepted.",
					"request": [
						"filepath",
						"transferMode",
						"version"
					],
					"response": "No content"
				},
				"put ": {
					"description": " - Creates a file or directory with specified filepath.",
					"request": [
						"filepath",
						"version"						
					],
					"request_body" : {
					  "fileName" : "...",
					  "newFilePath" : "...",
					  "lastModifiedTime" : 0,
					  "size" : 0,
					  "isDirectory" : false,
					  "isRegularFile" : false,
					  "isSymbolicLink" : false,
					  "isOther" : false,
					  "group" : "...",
					  "owner" : "...",
					  "permissions" : "...",
					  "isShared" : false,
					  "metadata" : {
					    "links" : {
					    }
					  },
					  "transferStatus" : "..."
					},
					"response": "No content"
				},
				"delete": {
					"description": " - Deletes the file or directory, specified by the file path argument.",
					"request": [
						"filepath", 
						"version"
					],
					"response": "No content"
				}
			}
		}
	},
	"MessageAttachments": {
		"messageattachments": {
			"path": "/mailbox/messages/{messageId}/attachments",
			"methods": {
				"post": {
					"description": " - Add an attachment to the draft message with the given messageId.",
					"request": [
						"messageId"
					],
					"response": {
						"info" : "Attachment successfully added."
					}
				}
			}
		},
		"messageattachments_zipped": {
			"path": "/mailbox/messages/{messageId}/attachments/zipped{zipFilename}",
			"methods": {
				"get": {
					"description": " - Create zip archive of a message attachments.",
					"request": [
						"files",
						"zipFilename",
						"messageId"
					],
					"response": "File downloading"
				}
			}
		},
		"messageattachments_stream": {
			"path": "/mailbox/messages/{messageId}/attachments/{streamId}",
			"methods": {
				"post": {
					"description": " - Add an attachment",
					"request": [
						"streamId",
						"messageId"
					],
					"response": {
						"info" : "Attachment added successfully."
					}
				}
			}
		},
		"messageattachments_stream_filename": {
			"path": "/mailbox/messages/{messageId}/attachments/{streamId}/{filename}",
			"methods": {
				"get": {
					"description": " - Get the content of a message's attachment",
					"request": [
						"streamId",
						"filename",
						"messageId"
					],
					"response": "File downloading"
				},
				"head": {
					"description": "",
					"request": [
						"streamId",
						"filename",
						"messageId"
					],
					"response": "No content"
				},
				"delete": {
					"description": " - Delete message's attachment.",
					"request": [
						"streamId",
						"messageId"
					],
					"response": {
						"info" : "Attachment successfully deleted."
					}
				}
			}
		},
		"messageattachments_abortpackage": {
			"path": "/mailbox/messages/{messageId}/attachments/abortpackage/{isDownload}",
			"methods": {
				"get": {
					"description": " - Abort all running transfers for given item and direction.",
					"request": [
						"isDownload",
						"messageId"
					],
					"response": {
						"info" : "Attachment transfers successfully aborted."
					}
				}
			}
		},
		"messageattachments_abortitem": {
			"path": "/mailbox/messages/{messageId}/attachments/abortitem/{streamId}/{isDownload}",
			"methods": {
				"post": {
					"description": " - Abort all running transfers for given item and direction.",
					"request": [
						"streamId",
						"isDownload",
						"messageId"
					],
					"response": {
						"info" : "Attachment transfers successfully aborted."
					}
				}
			}
		}
	},
	"MessageCompose": {
		"messagecompose": {
			"path": "/mailbox/messages",
			"methods": {
				"post": {
					"description": " - Creates a draft.",
					"request": [
						"to",
						"cc",
						"bcc",
						"subject",
						"message",
						"security",
						"question",
						"answer",
						"expiration"
					],
					"response": {
						"info" : "Draft was successfully created", 
						"messageId" : "..."
					}
				}
			}
		}
	},
	"Auth": {
		"auth_globalsettings": {
			"path": "/mailbox/auth/globalSettings",
			"methods": {
				"get": {
					"description": " - Get the global settings of the mailbox.",
					"request": [],
					"response": {
						"isAntiphishingEnabled" : false, 
						"isHtmlRenderingEnabled" : false, 
						"isHtmlSanitizationEnabled" : true
					}
				}
			}
		},
		"auth_language": {
			"path": "/mailbox/auth/language",
			"methods": {
				"get": {
					"description": " - Get the content of the 'Accept-Language' header sent by the user's agent",
					"request": [
						"Accept-Language"
					],
					"response": {
						"language" : "en"
					}
				}
			}
		},
		"auth_registration": {
			"path": "/mailbox/auth/registration",
			"methods": {
				"post": {
					"description": " - Register user on the ST server.",
					"request": [
						"emailAddress",
						"firstName",
						"lastName",
						"newPassword",
						"newPasswordHint"
					],
					"response": {
						"info" : "User registered successfully."
					}
				}
			}
		},
		"auth_reg_key": {
			"path": "/mailbox/auth/registration/{key}",
			"methods": {
				"get": {
					"description": " - Get registration user data",
					"request": [
						"key"
					],
					"response": {
						"emailAddress" : "user@axway.com"
					}
				}
			}
		},
		"auth_userEmail_loginImage": {
			"path": "/mailbox/auth/{userEmail}/loginImage",
			"methods": {
				"get": {
					"description": " - Get login image names collection",
					"request": [
						"userEmail",
						"LoginImageIds"
					],
					"response": "Collection of names"
				}
			}
		},
		"auth_email_passhint": {
			"path": "/mailbox/auth/{userEmail}/requestPasswordHint",
			"methods": {
				"get": {
					"description": " - Sends password reset hint",
					"request": [
						"userEmail"
					],
					"response": {
						"info" : "Your request is now submitted."
					}
				}
			}
		},
		"auth_email_passreset": {
			"path": "/mailbox/auth/{userEmail}/requestPasswordReset",
			"methods": {
				"get": {
					"description": " - Sends a password reset link.",
					"request": [
						"userEmail"
					],
					"response": {
						"info" : "Your request is now submitted."
					}
				}
			}
		},
		"auth_email_passreset_key": {
			"path": "/mailbox/auth/{userEmail}/resetPassword/{key}",
			"methods": {
				"put": {
					"description": " - Reset the user password.",
					"request": [
						"userEmail",
						"key",
						"newPassword",
						"newPasswordHint"
					],
					"response": {
						"info" : "Password successfully changed."
					}
				}
			}
		}
	},
	"Folders": {
		"folders": {
			"path": "/mailbox/folders",
			"methods": {
				"get": {
					"description": " - Get mailbox folder information.",
					"request": [
						""
					],
					"response": [{
						  "name" : "...",
						  "nMessages" : 0,
						  "nUnreadMessages" : 0,
						  "isInbox" : false,
						  "isSent" : false,
						  "isDrafts" : false
					}]
				},
				"post": {
					"description": " - Create new folder.",
					"request": [
						"name"
					],
					"response": "No content"
				}
			}
		},
		"folders_mailbox": {
			"path": "/mailbox/folders/mailbox",
			"methods": {
				"get": {
					"description": " - Gets the mailbox folder name.",
					"request": [
						""
					],
					"response": "Foldername"
				}
			}
		},
		"folders_name": {
			"path": "/mailbox/folders/{name}",
			"methods": {
				"get": {
					"description": " - Get messages in an email folder.",
					"request": [
						"name",
						"offset",
						"limit"
					],
					"response": {"nRecords": "...", "nDisplayRecords": "...", "data":"..."}
				},
				"delete": {
					"description": " - Deletes an empty folder.",
					"request": [
						"name"
					],
					"response": {
						"info" : "Deletion was successful"
					}
				}
			}
		},
		"folders_old_new": {
			"path": "/mailbox/folders/{oldName}/name",
			"methods": {
				"put": {
					"description": " - Rename folder.",
					"request": [
						"oldName",
						"name"
					],
					"response": {
						"info" : "Folder renamed.", 
						"oldName" : "...", 
						"name" : "..."
					}
				}
			}
		}
	},
	"Myself": {
		"myself": {
			"path": "/myself",
			"methods": {
				"get": {
					"description": "Gets the account of the currently logged user.",
					"request": [
						"version"
					],
					"response": {
						"name": "...",
						"homeFolder": "...",
						"homeFolderAccessLevel": "...",
						"uid": "...",
						"gid": "...",
						"mappedUser": "...",
						"skin": "...",
						"notes": "...",
						"type": "...",
						"businessUnit": "...",
						"loginRestrictionPolicy": "...",
						"contact": {
							"email": "...",
							"phone": "..."
						},
						"deliveryMethod": "...",
						"enrollmentTypes": [
							"...",
							"..."
						],
						"implicitEnrollmentType": "...",
						"isUnlicensedUserAllowedToReply": false,
						"metadata": {
							"links": {}
						},
						"wapAppletEnabled": false
					}
				},
				"delete": {
					"description": "Logout from REST API.",
					"request": [
						"version"
					],
					"response": "(custom)"
				},
				"post": {
					"description": "Login user. Here a user can receive a cookie to use for successive web service calls.",
					"request": [
						"version"
					],
					"response": "(custom)"
				}
			}
		},
		"myself_changePassword": {
			"path": "/myself/changePassword",
			"methods": {
				"post": {
					"description": "Changes the password.",
					"request": [
						"version"
					],
					"request_body": {
						"oldPassword": "...",
						"newPassword": "..."
					},
					"response": ""
				}
			}
		},
		"myself_passwordExpired": {
			"path": "/myself/passwordExpired",
			"methods": {
				"get": {
					"description": "Return the password expired message.",
					"request": [
						"version"
					],
					"response": {
					    "message" : "...",
					    "changePasswordURL" : "..."
					}
				}
			}
		},
		"myself_pollServerTime": {
			"path": "/myself/pollServerTime",
			"methods": {
				"get": {
					"description": "Gets server UTC time.",
					"request": [
						"version"
					],
					"response": {
					  "requestArrivalTime" : "...",
					  "responseDepartureTime" : "..."
					}
				}
			}
		},
		"myself_resetPassword": {
			"path": "/myself/resetPassword",
			"methods": {
				"get": {
					"description": "Sends password reset email to the requested email.",
					"request": [
						"token",
						"version"
					],
					"response": "custom"
				},
				"post": {
					"description": "Sends password reset email to the requested email.",
					"request": [
						"version"
					],
					"request_body": {
					  "username" : "...",
					  "email" : "..."
					},
					"response": ""
				}
			}
		}
	},
	"MessageContentImpl": {
		"mailbox_messages_content": {
			"path": "/mailbox/messages/{messageId}/content/{streamId}",
			"methods": {
				"get": {
					"description": "Get message content (body). Message body can be get in two MIME types: text/plain and text/html.",
					"request": [
						"streamId",
						"messageId"
					],
					"response": "custom"
				},
			}
		},
		"mailbox_messages_content_unsanitized": {
			"path": "/mailbox/messages/{messageId}/content/{streamId}/{unsanitized}",
			"methods": {
				"get": {
					"description": "Get message body in text/html format.",
					"request": [
						"streamId",
						"unsanitized",
						"messageId"
					],
					"response": "custom"
				},
			}
		}
	},
	"MessageHistoryImpl": {
		"mailbox_messageHistory_download": {
			"path": "/mailbox/messageHistory/{messageId}/download",
			"methods": {
				"get": {
					"description": "Retrieves the download history of a given message.",
					"request": [
						"offset",
						"limit",
						"messageId"
					],
					"response": {
						  "downloadHistory" : [ {
							"accountId" : "...",
							"userName" : "...",
							"email" : "...",
							"address" : "...",
							"anonymous" : false,
							"protocol" : "...",
							"downloadTimestamp" : "...",
							"fileName" : "...",
							"fileSize" : "...",
							"fileContentType" : "..."
						  } ]
					}
				},
			}
		},
		"mailbox_messageHistory_firstAccess": {
			"path": "/mailbox/messageHistory/{messageId}/firstAccess",
			"methods": {
				"get": {
					"description": "Retrieves the access history of a given message.",
					"request": [
						"offset",
						"limit",
						"messageId"
					],
					"response": {
						  "accessHistory" : [ {
							"accountId" : "...",
							"userName" : "...",
							"email" : "...",
							"address" : "...",
							"anonymous" : false,
							"protocol" : "...",
							"firstAccessTimestamp" : "..."
						  } ]
					}
				},
			}
		}
	},
	"MessagesImpl": {
		"mailbox_messages": {
			"path": "/mailbox/messages/{messageId}",
			"methods": {
				"get": {
					"description": "Get information about a particular message.",
					"request": [
						"messageId"
					],
					"response": "custom"
				},
				"put": {
					"description": "Update a draft with a given ID.",
					"request": [
						"to",
						"cc",
						"bcc",
						"subject",
						"message",
						"security",
						"question",
						"answer",
						"expiration",
						"messageId"
					],
					"response": "custom"
				},
				"delete": {
					"description": "Delete a message with given ID.",
					"request": [
						"messageId"
					],
					"response": "custom"
				}
			}
		},
		"mailbox_messages_customProperties": {
			"path": "/mailbox/messages/{messageId}/customProperties",
			"methods": {
				"get": {
					"description": "Retrieves the custom properties of a given package.",
					"request": [
						"messageId"
					],
					"response": {
					  "customProperty" : [ {
						"name" : "...",
						"value" : "..."
					  }]
					}
				},
				"put": {
					"description": "Set package custom properties.",
					"request": [
						"messageId"
					],
					"request_body": {
					  "customProperty" : [ {
						"name" : "...",
						"value" : "..."
					  }]
					},
					"response": "custom"
				}
			}
		},
		"mailbox_messages_folder": {
			"path": "/mailbox/messages/{messageId}/folder",
			"methods": {
				"put": {
					"description": "Move a message to a folder.",
					"request": [
						"name",
						"messageId"
					],
					"response": "custom"
				}
			}
		},
		"mailbox_messages_forward": {
			"path": "/mailbox/messages/{messageId}/forward",
			"methods": {
				"post": {
					"description": "Create a draft that has the same attachments as the message with the given {messageId}.",
					"request": [
						"to",
						"cc",
						"bcc",
						"subject",
						"message",
						"security",
						"question",
						"answer",
						"expiration",
						"messageId"
					],
					"response": "custom"
				},
			}
		},
		"mailbox_messages_recall": {
			"path": "/mailbox/messages/{messageId}/recall",
			"methods": {
				"put": {
					"description": "Recall a message that was sent by the current user.",
					"request": [
						"messageId"
					],
					"response": "custom"
				},
			}
		},
		"mailbox_messages_reply": {
			"path": "/mailbox/messages/{messageId}/reply",
			"methods": {
				"post": {
					"description": "Create a draft as a reply to a given message.",
					"request": [
						"to",
						"cc",
						"bcc",
						"subject",
						"message",
						"security",
						"question",
						"answer",
						"expiration",
						"messageId"
					],
					"response": "custom"
				},
			}
		},
		"mailbox_messages_send": {
			"path": "/mailbox/messages/{messageId}/send",
			"methods": {
				"put": {
					"description": "Send a draft with a given messageId.",
					"request": [
						"disableDeliveryNotification",
						"messageId"
					],
					"response": "custom"
				},
			}
		}
	},
	"MyselfImpl": {
		"mailbox_myself": {
			"path": "/mailbox/myself",
			"methods": {
				"get": {
					"description": "Get information about the currently logged-in user.",
					"request": [
						"version"
					],
					"response": "custom"
				},
				"delete": {
					"description": "Force a session invalidation (log an user out).",
					"request": [
						"version"
					],
					"response": "custom"
				}
			}
		},
		"mailbox_myself_addressBook_contacts": {
			"path": "/mailbox/myself/addressBook/contacts",
			"methods": {
				"get": {
					"description": "",
					"request": [
						"fullName",
						"primaryEmail",
						"limit",
						"offset",
						"version"
					],
					"response": "custom"
				},
				"post": {
					"description": "",
					"request": [
						"version"
					],
					"request_body": {
					  "id" : "...",
					  "fullName" : "...",
					  "primaryEmail" : "..."
					},
					"response": "custom"
				}
			}
		},
		"mailbox_myself_addressBook_contacts_id": {
			"path": "/mailbox/myself/addressBook/contacts/{id}",
			"methods": {
				"get": {
					"description": "",
					"request": [
						"id",
						"version"
					],
					"response": "custom"
				},
				"put": {
					"description": "",
					"request": [
						"id",
						"version"
					],
					"request_body": {
					  "id" : "...",
					  "fullName" : "...",
					  "primaryEmail" : "..."
					},
					"response": "custom"
				}
			}
		}
	},
	"PreferencesImpl": {
		"mailbox_preferences": {
			"path": "/mailbox/preferences",
			"methods": {
				"get": {
					"description": "Retrieve the preferences of the currently logged-in user.",
					"request": [
					],
					"response": "custom"
				},
				"put": {
					"description": "Update the preferences of the currently logged-in user.",
					"request": [
						"language",
						"firstName",
						"lastName",
						"junkAction",
						"bulkAction",
						"emailReportInterval",
						"showSendConfirmation",
						"emailFormat",
						"notifyOnPackageView",
						"antiphishingImage"
					],
					"response": "custom"
				}
			}
		}
	},
	"SearchImpl": {
		"mailbox_search_content": {
			"path": "/mailbox/search",
			"methods": {
				"get": {
					"description": "Search the mailbox for a given message. The search includes all messages - sent, received, and drafts.",
					"request": [
						"offset",
						"subject",
						"status",
						"folder",
						"sender",
						"recipient",
						"sentDateBefore",
						"sentDateAfter",
						"expireDateBefore",
						"expireDateAfter"
					],
					"response": {
		               "nRecords": 0,
		               "nDisplayRecords": 0,
		               "data": []
					}
				},
			}
		}
	},
	"PurlsImpl": {
		"mailbox_purls_list": {
			"path": "/mailbox/purls",
			"methods": {
				"get": {
					"description": "",
					"request": [],
					"response": "custom"
				},
			}
		},
		"mailbox_purls_content": {
			"path": "/mailbox/purls/{messageHexId}",
			"methods": {
				"get": {
					"description": "",
					"request": [
						"messageHexId"
					],
					"response": "custom"
				},
			}
		}
	},
	"UserTransfersResource": {
		"transfers_list": {
			"path": "/transfers",
			"methods": {
				"get": {
					"description": "Retrieve transfer log entries.",
					"request": [
						"limit",
						"offset",
						"file",
						"site",
						"status",
						"startTimeBefore",
						"startTimeAfter",
						"endTimeBefore",
						"endTimeAfter",
						"actionBy",
						"protocol",
						"application",
						"direction",
						"secure",
						"resubmitted",
						"operationIndex",
						"version"
					],
					"response": {
					  "transferEntry" : [ {
					    "status" : "...",
					    "secure" : false,
					    "account" : "...",
					    "login" : "...",
					    "direction" : "...",
					    "actionBy" : "...",
					    "filename" : "...",
					    "filesize" : 20,
					    "protocol" : "...",
					    "startTime" : "...",
					    "duration" : "...",
					    "operationIndex" : "...",
					    "remoteDir" : "...",
					    "metadata" : {
					      "links" : {
					      }
					    },
					    "coreId" : "..."
					  }]
					}
				},
			}
		},
		"transfers_folder_monitor": {
			"path": "/transfers/folder-monitor",
			"methods": {
				"post": {
					"description": "Initiate a folder monitor transfer.",
					"request": [
						"version"
					],
					"request_body": {
					  "operationIndex" : "...",
					  "downloadFolder" : "...",
					  "filePattern" : "...",
					  "filePatternType" : "...",
					  "fileCaseSensitive" : false,
					  "subFolderPattern" : "...",
					  "subFolderPatternType" : "...",
					  "subFolderCaseSensitive" : false,
					  "maxDepth" : 2,
					  "uploadFolder" : "..."
					},
					"response": {
					  "message" : "...",
					  "link" : "..."
					}
				}
			}
		},
		"transfers_pull": {
			"path": "/transfers/pull",
			"methods": {
				"post": {
					"description": "Pull files from a given site.",
					"request": [
						"version"
					],
					"request_body": {
					  "destinationDirectory" : "...",
					  "site" : "...",
					  "operationIndex" : "...",
					  "asynchronousCall" : false,
					  "transferProfile" : "...",
					  "sentinelCycleId" : "...",
					  "sentinelTrackingObject" : "..."
					},
					"response": {
                      "message": "string",
                      "link": "string"
                    }
				}
			}
		},
		"transfers_push": {
			"path": "/transfers/push",
			"methods": {
				"post": {
					"description": "Push a file to a given site.",
					"request": [
						"version"
					],
					"request_body": {
					  "file" : "...",
					  "site" : "...",
					  "operationIndex" : "...",
					  "asynchronousCall" : false,
					  "transferProfile" : "...",
					  "sentinelCycleId" : "...",
					  "sentinelTrackingObject" : "..."
					},
					"response": {
                      "message": "string",
                      "link": "string"
                    }
				}
			}
		},
		"transfers_by_id": {
			"path": "/transfers/{transferId}",
			"methods": {
				"get": {
					"description": "Return a specific transfer log entry.",
					"request": [
						"transferId",
						"version"
					],
					"response": {
					  "status" : "...",
					  "startTime" : "...",
					  "duration" : "...",
					  "account" : "...",
					  "login" : "...",
					  "userClass" : "...",
					  "userType" : "...",
					  "application" : "...",
					  "transferType" : "...",
					  "transferSite" : "...",
					  "file" : "...",
					  "size" : 1,
					  "protocol" : "...",
					  "mode" : "...",
					  "remoteHost" : "...",
					  "remoteFolder" : "...",
					  "accountFolder" : "...",
					  "realFile" : "...",
					  "transferId" : "...",
					  "sessionId" : "...",
					  "archivedAs" : "...",
					  "successMessage" : "...",
					  "errorMessage" : "...",
					  "pesitAcknowledge" : "...",
					  "operationIndex" : "...",
					  "protocolCommands" : "...",
					  "subtransmissionStatuses" : {
					    "subtransmissionStatus" : [ {
					      "operationType" : "...",
					      "completion" : "...",
					      "result" : "...",
					      "comment" : "..."
					    }]
					  },
					  "requestEntity" : "...",
					  "icapDetails" : "...",
					  "coreId" : "...",
					  "additionalInformation" : "...",
					  "xffHeader" : "..."
					}
				}
			}
		},
		"transfers_mdn": {
			"path": "/transfers/{transferId}/mdn",
			"methods": {
				"get": {
					"description": "Get the transfer receipt for a transfer id.",
					"request": [
						"transferId",
						"version"
					],
					"response": {
					  "type" : "...",
					  "receipt" : false,
					  "data" : "...",
					  "startTime" : "...",
					  "transferId" : "..."
					}
				}
			}
		},
		"transfers_transferData": {
			"path": "/transfers/{transferId}/transferData",
			"methods": {
				"get": {
					"description": "Get all transfer data for a given transfer.",
					"request": [
						"transferId",
						"version"
					],
					"response": {
					  "transferDataEntry" : [ {
					    "type" : "...",
					    "receipt" : false,
					    "data" : "...",
					    "startTime" : "...",
					    "transferId" : "..."
					  } ]
					}
				}
			}
		},
		"transfers_mdn_verify": {
			"path": "/transfers/{transferId}/mdn/verify",
			"methods": {
				"get": {
					"description": "Verify transfer receipt for a given transfer id.",
					"request": [
						"transferId",
						"version"
					],
					"response": {
					  "signatureResult" : "...",
					  "fileIntegrityResult" : "..."
					}
				}
			}
		}
	},
	"FileOpsResource": {
		"fileops_post": {
			"path": "/fileops",
			"methods": {
				"post": {
					"description": "Submit file operation.",
					"request": [
						"version"
					],
					"request_body": {
					  "id" : "...",
					  "operation" : "...",
					  "filePath" : "...",
					  "status" : "...",
					  "result" : [ {}, {
					  } ],
					  "errorMsg" : "...",
					  "customAttributes" : {
					    "transferMode" : "..."
					  },
					  "metadata" : {
					    "links" : {
					    }
					  }
					},
					"response": {
					  "id" : "...",
					  "operation" : "...",
					  "filePath" : "...",
					  "status" : "...",
					  "result" : [ {}, {
					  } ],
					  "errorMsg" : "...",
					  "customAttributes" : {
					               "transferMode" : "..."
					  },
					  "metadata" : {
					               "links" : {
					               }
					  }
					}
				},
			}
		},
		"filops_by_id": {
			"path": "/fileops/{id}",
			"methods": {
				"get": {
					"description": "Retrieve a file operation status by its id.",
					"request": [
						"id",
						"version"
					],
					"response": {
					  "id" : "...",
					  "operation" : "...",
					  "filePath" : "...",
					  "status" : "...",
					  "result" : [ {}, {
					  } ],
					  "errorMsg" : "...",
					  "customAttributes" : {
					               "transferMode" : "..."
					  },
					  "metadata" : {
					               "links" : {
					               }
					  }
					}
				},
				"delete": {
					"description": "Cancel file operation by its id.",
					"request": [
						"id",
						"version"
					],
					"response": "No content"
				},
				"put": {
					"description": "Perform chunked upload by already submitted file operation id.",
					"request": [
						"id",
						"version"
					],
					"response": "No content"
				},
				"post": {
					"description": "Perform multipart form data upload. The same format as FilesResource#uploadFile(HttpServletRequest, HttpServletResponse, String, String)",
					"request": [
						"id",
						"version"
					],
					"response": "No content"
				}
			}
		}
	},
	"SharedFoldersResource": {
		"shares_by_path": {
			"path": "/shares/{folderPath}",
			"methods": {
				"get": {
					"description": "",
					"request": [
						"folderPath",
						"metadata"
					],
					"response": {
                      "sharedFolders": [
                        {
                          "name": "string",
                          "isShared": false,
                          "owner": "string",
                          "isOwner": false,
                          "shareRights": 0,
                          "enableNotifications": false,
                          "enableOwnerNotifications": false,
                          "showCollaboratorsToAll": false,
                          "collaborators": [
                            "string"
                          ]
                        }
                      ]
                    }
				},
				"delete": {
					"description": "",
					"request": [
						"folderPath"
					],
					"response": ""
				},
				"put": {
					"description": "",
					"request": [
						"folderPath"
					],
					"request_body": {
					  "users" : [ "...", "..." ],
					  "shareRights" : 0,
					  "notifications" : 0,
					  "ownerNotifications" : 0,
					  "showCollaboratorsToAll" : false
					},
					"response": ""
				}
			}
		}
	}
};