var api14 = {
	"MessageContentImpl": {
		"mailbox_messages_content": {
			"path": "/mailbox/messages/{messageId}/content/{streamId}",
			"methods": {
				"get": {
					"description": "",
					"request": [
						"streamId",
						"messageId"
					],
					"response": "text/plain"
				},
			}
		},
		"mailbox_messages_content_unsanitized": {
			"path": "/mailbox/messages/{messageId}/content/{streamId}/{unsanitized}",
			"methods": {
				"get": {
					"description": "Get message content (body). Message body can be get in two MIME types: text/plain and text/html.",
					"path": "/mailbox/messages/{messageId}/content/{streamId}/unsanitized",
					"request": [
						"streamId",
						"messageId"
					],
					"response": "text/html"
				},
			}
		}
	},
	"AnonymousPackages" : {
        "anonymouspackages" : {
            "path" : "/mailbox/messages/public",
            "methods" : {
                "get" : {
                    "description" : " - Retrieves a package item via link.",
					"request" : ["token", "question", "answer"],
                    "response" : "File downloading"
                },
                "post" : {
                    "description" : " - Retrieves a package item via link.",
					"request" : ["token", "question", "answer"],
                    "response" : "File downloading"
                }
            }
        }
	},
	"MessageAttachments" : {
        "messageattachments" : {
            "path" : "/mailbox/messages/{messageId}/attachments",
            "methods" : {
                "post" : {
                    "description" : "",
					"request" : ["messageId"],
                    "response" : {
						"info" : "Attachment successfully added."
					}
                }
            }
        },
		"messageattachments_zipped" : {
            "path" : "/mailbox/messages/{messageId}/attachments/zipped{zipFilename}",
            "methods" : {
                "get" : {
                    "description" : "",
					"request" : ["files", "zipFilename", "messageId"],
                    "response" : "File downloading"
                }
            }
        },
		"messageattachments_stream" : {
            "path" : "/mailbox/messages/{messageId}/attachments/{streamId}",
            "methods" : {
                "post" : {
                    "description" : "",
					"request" : ["streamId", "messageId"],
					"response" : {
						"info" : "Attachment added successfully."
					}
                }
            }
        },
		"messageattachments_stream_filename" : {
            "path" : "/mailbox/messages/{messageId}/attachments/{streamId}/{filename}",
            "methods" : {
                "get" : {
                    "description" : "",
					"request" : ["streamId", "filename", "messageId"],
                    "response" : "File downloading"
                },
				"delete" : {
                    "description" : "",
					"request" : ["streamId", "messageId"],
					"response" : {
						"info" : "Attachment successfully deleted."
					}
                }
            }
        },
		"messageattachments_abortpackage" : {
            "path" : "/mailbox/messages/{messageId}/attachments/abortpackage/{isDownload}",
            "methods" : {
                "get" : {
                    "description" : " - Abort all running transfers for given item and direction.",
					"request" : ["isDownload", "messageId"],
					"response" : {
						"info" : "Attachment transfers successfully aborted."
					}
                }
            }
        },
		"messageattachments_abortitem" : {
            "path" : "/mailbox/messages/{messageId}/attachments/abortitem/{streamId}/{isDownload}",
            "methods" : {
                "post" : {
                    "description" : " - Abort all running transfers for given item and direction.",
					"request" : ["streamId", "isDownload", "messageId"],
                    "response" : {
						"info" : "Attachment transfers successfully aborted."
					}
                }
            }
        }	
	},
	"MessageCompose" : {
        "messagecompose" : {
            "path" : "/mailbox/messages",
            "methods" : {
                "post" : {
                    "description" : "",
					"request" : ["to", "cc", "bcc", "subject", "message", "security", "question", "answer", "expiration"],
                    "response" : {
						"info" : "Draft was successfully created", 
						"messageId" : "..."
					}
                }
            }
        }
	},
	"Auth" : {
        "auth_globalsettings" : {
            "path" : "/mailbox/auth/globalSettings",
            "methods" : {
                "get" : {
                    "description" : " Get the global settings of the mailbox.",
					"request" : [],
                    "response" : {
						"isAntiphishingEnabled" : false, 
						"isHtmlRenderingEnabled" : false, 
						"isHtmlSanitizationEnabled" : true
					}
                }
            }
        },
		"auth_language" : {
            "path" : "/mailbox/auth/language",
            "methods" : {
                "get" : {
                    "description" : "Get the content of the 'Accept-Language' header sent by the user's agent",
					"request" : ["Accept-Language"],
                    "response" : {
					  "language" : "en"
					}
                }
            }
        },
		"auth_registration" : {
            "path" : "/mailbox/auth/registration",
            "methods" : {
                "post" : {
                    "description" : " - Register user on the ST server.",
					"request" : ["emailAddress", "firstName", "lastName", "newPassword", "newPasswordHint"],
                    "response" : {
					  "info" : "User registered successfully."
					}
                }
            }
        },
		"auth_reg_key" : {
            "path" : "/mailbox/auth/registration/{key}",
            "methods" : {
                "get" : {
                    "description" : " - Get registration user data",
					"request" : ["key"],
					"response" : {
						"emailAddress" : "user@axway.com"
					}
                }
            }
        },
		"auth_userEmail_loginImage" : {
            "path" : "/mailbox/auth/{userEmail}/loginImage",
            "methods" : {
                "get" : {
                    "description" : " - Get login image names collection",
					"request" : ["userEmail", "LoginImageIds"],
                    "response" : "Collection of names"
                }
            }
        },
		"auth_email_passhint" : {
            "path" : "/mailbox/auth/{userEmail}/requestPasswordHint",
            "methods" : {
                "get" : {
                    "description" : " - Sends password reset hint",
					"request" : ["userEmail"],
                    "response" : {
						"info" : "Your request is now submitted."
					}
                }
            }
        },
		"auth_email_passreset" : {
            "path" : "/mailbox/auth/{userEmail}/requestPasswordReset",
            "methods" : {
                "get" : {
                    "description" : " - Sends a password reset link.",
					"request" : ["userEmail"],
                    "response" : {
						"info" : "Your request is now submitted."
					}
                }
            }
        },
		"auth_email_passreset_key" : {
            "path" : "/mailbox/auth/{userEmail}/resetPassword/{key}",
            "methods" : {
                "put" : {
                    "description" : " - Reset the user password.",
					"request" : ["userEmail", "key", "newPassword", "newPasswordHint"],
                    "response" : {
						"info" : "Password successfully changed."
					}
                }
            }
        }
	},
	"Folders" : {
        "folders" : {
            "path" : "/mailbox/folders",
            "methods" : {
				"get" : {
                    "description" : " - Get mailbox folder information.",
					"request" : [""],
                    "response" : [{
						  "name" : "...",
						  "nMessages" : 0,
						  "nUnreadMessages" : 0,
						  "isInbox" : false,
						  "isSent" : false,
						  "isDrafts" : false
					}]
                },
                "post" : {
                    "description" : " - Create new folder.",
					"request" : ["name"],
                    "response" : "No content"
                }
            }
        },
		"folders_mailbox" : {
            "path" : "/mailbox/folders/mailbox",
            "methods" : {
                "get" : {
                    "description" : " - Gets the mailbox folder name.",
					"request" : [""],
                    "response" : "Foldername"
                }
            }
        },
		"folders_name" : {
            "path" : "/mailbox/folders/{name}",
            "methods" : {
                "get" : {
                    "description" : " - Get messages in an email folder.",
					"request" : ["name", "offset", "limit"],
                    "response" : {
						"nRecords" : "...", 
						"nDisplayRecords" : "...", 
						"data" : "..."
					}
                },
				"delete" : {
                    "description" : " - Deletes an empty folder.",
					"request" : ["name"],
                    "response" : {
						"info" : "Deletion was successful"
					}
                }
            }
        },
		"folders_old_new" : {
            "path" : "/mailbox/folders/{oldName}/name",
            "methods" : {
                "put" : {
                    "description" : " - Rename folder.",
					"request" : ["oldName", "name"],
                    "response" : {
						"info" : "Folder renamed.", 
						"oldName" : "...", 
						"name" : "..."
					}
                }
            }
        }
    },
	"MessageHistoryImpl": {
		"mailbox_messageHistory_download": {
			"path": "/mailbox/messageHistory/{messageId}/download",
			"methods": {
				"get": {
					"description": "Retrieves the download history of a given message.",
					"request": [
						"offset",
						"limit",
						"messageId"
					],
					"response": {
					  "recipientsDownloadHistory": [
						{
						  "accountId": "string",
						  "userName": "string",
						  "email": "string",
						  "address": "string",
						  "anonymous": false,
						  "protocol": "string",
						  "downloadTimestamp": 0,
						  "fileName": "string",
						  "fileSize": 0,
						  "fileContentType": "string"
						}
					  ]
					}
				},
			}
		},
		"mailbox_messageHistory_firstAccess": {
			"path": "/mailbox/messageHistory/{messageId}/firstAccess",
			"methods": {
				"get": {
					"description": "Retrieves the access history of a given message.",
					"request": [
						"offset",
						"limit",
						"messageId"
					],
					"response": {
					  "recipientsAccessHistory": [
						{
						  "accountId": "string",
						  "userName": "string",
						  "email": "string",
						  "address": "string",
						  "anonymous": false,
						  "protocol": "string",
						  "firstAccessTimestamp": 0
						}
					  ]
					}
				},
			}
		}
	},
	"MessagesImpl": {
		"mailbox_messages": {
			"path": "/mailbox/messages/{messageId}",
			"methods": {
				"get": {
					"description": "Get information about a particular message.",
					"request": [
						"messageId"
					],
					"response": {
					  "item": {
						"key": "id"
					  }
					}
				},
				"put": {
					"description": "Update a draft with a given ID.",
					"request": [
						"to",
						"cc",
						"bcc",
						"subject",
						"message",
						"security",
						"question",
						"answer",
						"expiration",
						"messageId"
					],
					"response": {
					  "additionalProp1": {},
					  "additionalProp2": {},
					  "additionalProp3": {}
					}
				},
				"delete": {
					"description": "Delete a message with given ID.",
					"request": [
						"messageId"
					],
					"response": ""
				}
			}
		},
		"mailbox_messages_customProperties": {
			"path": "/mailbox/messages/{messageId}/customProperties",
			"methods": {
				"get": {
					"description": "Retrieves the custom properties of a given package.",
					"request": [
						"messageId"
					],
					"response": {
					  "packageCustomProperties": [
						{
						  "name": "string",
						  "value": "string"
						}
					  ]
					}
				},
				"put": {
					"description": "Set package custom properties.",
					"request": [
						"messageId"
					],
					"request_body": {
					  "packageCustomProperties": [
						{
						  "name": "string",
						  "value": "string"
						}
					  ]
					},
					"response": "custom"
				}
			}
		},
		"mailbox_messages_folder": {
			"path": "/mailbox/messages/{messageId}/folder",
			"methods": {
				"put": {
					"description": "",
					"request": [
						"name",
						"messageId"
					],
					"response": ""
				}
			}
		},
		"mailbox_messages_forward": {
			"path": "/mailbox/messages/{messageId}/forward",
			"methods": {
				"post": {
					"description": "",
					"request": [
						"to",
						"cc",
						"bcc",
						"subject",
						"message",
						"security",
						"question",
						"answer",
						"expiration",
						"messageId"
					],
					"response": {
					  "additionalProp1": {},
					  "additionalProp2": {},
					  "additionalProp3": {}
					}
				},
			}
		},
		"mailbox_messages_reply": {
			"path": "/mailbox/messages/{messageId}/reply",
			"methods": {
				"post": {
					"description": "",
					"request": [
						"to",
						"cc",
						"bcc",
						"subject",
						"message",
						"security",
						"question",
						"answer",
						"expiration",
						"messageId"
					],
					"response": "messageId"
				},
			}
		},
		"mailbox_messages_send": {
			"path": "/mailbox/messages/{messageId}/send",
			"methods": {
				"put": {
					"description": "",
					"request": [
						"disableDeliveryNotification",
						"messageId"
					],
					"response": "messageId"
				},
			}
		}
	},
	"MyselfImpl": {
		"mailbox_myself": {
			"path": "/mailbox/myself",
			"methods": {
				"get": {
					"description": "Get information about the currently logged-in user.",
					"request": [
					],
					"response": {
					  "item": {
						"key": "username"
					  }
					}
				},
				"delete": {
					"description": "Force a session invalidation (log an user out).",
					"request": [
					],
					"response": ""
				}
			}
		},
	},
    "SearchImpl": {
        "mailbox_search_content": {
            "path": "/mailbox/search",
            "methods": {
                "get": {
                    "description": "Search the mailbox for a given message. The search includes all messages - sent, received, and drafts.",
                    "request": [
                        "limit",
                        "offset",
                        "subject",
                        "status",
                        "folder",
                        "sender",
                        "recipient",
                        "sentDateBefore",
                        "sentDateAfter",
                        "expireDateBefore",
                        "expireDateAfter"
                    ],
                    "response": {
                      "nRecords": 0,
                      "nDisplayRecords": 0,
                      "data": []
                    }
                },
            }
        }
    },
    "UserTransfersResource": {
        "transfers_list": {
            "path": "/transfers",
            "methods": {
                "get": {
                    "description": "Retrieve transfer log entries.",
                    "request": [
                        "limit",
                        "offset",
                        "file",
                        "site",
                        "status",
                        "startTimeBefore",
                        "startTimeAfter",
                        "endTimeBefore",
                        "endTimeAfter",
                        "actionBy",
                        "protocol",
                        "application",
                        "direction",
                        "secure",
                        "operationIndex",
                        "coreId"
                    ],
                    "response": {
                      "transferEntries" : [ {
                        "status" : "...",
                        "secure" : false,
                        "account" : "...",
                        "login" : "...",
                        "direction" : "...",
                        "actionBy" : "...",
                        "filename" : "...",
                        "filesize" : 20,
                        "protocol" : "...",
                        "startTime" : "...",
                        "duration" : "...",
                        "operationIndex" : "...",
                        "coreId" : "..."
                      }]
                    }
                },
            }
        },
        
        "transfers_by_id": {
            "path": "/transfers/{transferId}",
            "methods": {
                "get": {
                    "description": "Return a specific transfer log entry.",
                    "request": [
                        "transferId"
                    ],
                    "response": {
                      "status" : "...",
                      "startTime" : "...",
                      "duration" : "...",
                      "account" : "...",
                      "login" : "...",
                      "userClass" : "...",
                      "userType" : "...",
                      "application" : "...",
                      "transferType" : "...",
                      "transferSite" : "...",
                      "file" : "...",
                      "size" : 1,
                      "protocol" : "...",
                      "mode" : "...",
                      "remoteHost" : "...",
                      "remoteFolder" : "...",
                      "accountFolder" : "...",
                      "realFile" : "...",
                      "transferId" : "...",
                      "sessionId" : "...",
                      "archivedAs" : "...",
                      "successMessage" : "...",
                      "errorMessage" : "...",
                      "pesitAcknowledge" : "...",
                      "operationIndex" : "...",
                      "protocolCommands" : "...",
                      "subtransmissionStatuses" : {
                        "subtransmissionStatus" : [ {
                          "operationType" : "...",
                          "completion" : "...",
                          "result" : "...",
                          "comment" : "..."
                        }]
                      },
                      "requestEntity" : "...",
                      "coreId" : "...",
                      "additionalInformation" : "...",
                      "xffHeader" : "..."
                    }
                }
            }
        }
    },
    "FileOpsResource": {
        "fileops_post": {
            "path": "/fileops",
            "methods": {
                "post": {
                    "description": "Submit file operation.",
                    "request": [],
                    "request_body": {
                      "id": "string",
                      "operation": "MD5Calc",
                      "filePath": "string",
                      "status": "DONE",
                      "result": {
                        "md5Checksum": "string",
                        "fileSize": "string"
                      },
                      "errorMsg": "string",
                      "customAttributes": {
                        "transferMode": "string"
                      }
                    },
                    "response": ""
                },
            }
        },
        "filops_by_id": {
            "path": "/fileops/{id}",
            "methods": {
                "get": {
                    "description": "Get a file operation status by its id.",
                    "request": [
                        "id"
                    ],
                    "response": ""
                },
                "delete": {
                    "description": "Cancel file operation by its id.",
                    "request": [
                        "id"
                    ],
                    "response": ""
                },
                "put": {
                    "description": "Perform chunked upload by already submitted file operation id.",
                    "request": [
                        "id"
                    ],
                    "response": ""
                },
                "post": {
                    "description": "Perform multipart form data upload. The same format as FilesResource#uploadFile(HttpServletRequest, HttpServletResponse, String, String)",
                    "request": [
                        "id",
                        "file"
                    ],
                    "response": ""
                }
            }
        }
    },
    "SharedFoldersResource": {
        "shares_get": {
            "path": "/shares",
            "methods": {
                "get": {
                    "description": "Get sharing metadata for the home folder of the current user.",
                    "request": [
                        "metadata"
                    ],
                    "response": {
                      "sharedFolders": [
                        {
                          "name": "string",
                          "isShared": false,
                          "owner": "string",
                          "isOwner": false,
                          "shareRights": 0,
                          "enableNotifications": false,
                          "enableOwnerNotifications": false,
                          "showCollaboratorsToAll": false,
                          "collaborators": [
                            "string"
                          ]
                        }
                      ]
                    }
                }
            }
        },
        "shares_by_path": {
            "path": "/shares/{folderPath}",
            "methods": {
                "get": {
                    "description": "Get sharing metadata for the first level descendants of the folder specified.",
                    "request": [
                        "folderPath",
                        "metadata"
                    ],
                    "response": {
                      "sharedFolders": [
                        {
                          "name": "string",
                          "isShared": false,
                          "owner": "string",
                          "isOwner": false,
                          "shareRights": 0,
                          "enableNotifications": false,
                          "enableOwnerNotifications": false,
                          "showCollaboratorsToAll": false,
                          "collaborators": [
                            "string"
                          ]
                        }
                      ]
                    }
                },
                "delete": {
                    "description": "Unshare folder to all users.",
                    "request": [
                        "folderPath"
                    ],
                    "response": ""
                },
                "put": {
                    "description": "Share folder with other users.",
                    "request": [
                        "folderPath"
                    ],
                    "request_body": {
                      "users": [
                        "string"
                      ],
                      "shareRights": 0,
                      "notifications": 0,
                      "ownerNotifications": 0,
                      "showCollaboratorsToAll": false
                    },
                    "response": ""
                }
            }
        }
    }
};
