
var api20 = {
	"Accounts" : {
        "accounts" : {
            "path" : "/accounts",
            "methods" : {
                "get" : {
					"description" : " - Gets the accounts.",
                    "request" : [
						"limit",
						"offset",
						"fields",
						"status",
						"type",
						"businessUnit",
						"name",
						"homeFolder",
						"lastModified.from",
						"lastModified.to",
						"homeFolderAccessLevel",
						"uid",
						"gid",
						"mappedUser",
						"additionalAttributes.key",
						"additionalAttributes.value",
						"disabled",
						"notes",
						"unlicensed",
						"authByEmail",
						"loginRestrictionPolicy",
						"isUnlicensedUserAllowedToReply",
						"accountCreationDate",
						"transfersWebServiceAllowed",
						"pesitId",
						"accountEncryptMode",
						"subscriptionFolderDiscovery",
						"fileArchivingPolicy",
						"transferType",
						"routingMode",
						"accountSubmitForApprove",
						"rejectReason",
						"accountVerificationStatus",
						"managedByCG",
						"enrolledWithExternalPass",
						"templateClass",
						"contact.email",
						"contact.phone",
						"user.name",
						"user.authExternal",
						"user.locked",
						"user.failedAuthAttempts",
						"user.failedSshKeyAuthAttempts",
						"user.failedAuthMaximum",
						"user.failedSshKeyAuthMaximum",
						"user.lastFailedAuth.from",
						"user.lastFailedAuth.to",
						"user.lastLogin.from",
						"user.lastLogin.to",
						"user.lastFailedSshKeyAuth.from",
						"user.lastFailedSshKeyAuth.to",
						"user.successfulAuthMaximum",
						"user.successfulLogins",
						"user.secretQuestion.secretQuestion",
						"user.secretQuestion.secretAnswerGuessFailures",
						"user.secretQuestion.forceSecretQuestionChange",
						"user.passwordCredentials.forcePasswordChange",
						"user.passwordCredentials.lastPasswordChange.from",
						"user.passwordCredentials.lastPasswordChange.to",
						"user.passwordCredentials.passwordExpiryInterval",
						"adhocSettings.deliveryMethod",
						"adhocSettings.implicitEnrollmentType",
						"addressBookSettings.policy",
						"addressBookSettings.nonAddressBookCollaborationAllowed",
						"accountMaintenanceSettings.criteria.daysAfterCreation",
						"accountMaintenanceSettings.criteria.daysOfInactivity",
						"accountMaintenanceSettings.action.action",
						"accountMaintenanceSettings.action.daysDeleteDisabled",
						"accountMaintenanceSettings.emailNotificationBeforeAction.emailTemplate",
						"accountMaintenanceSettings.emailNotificationBeforeAction.notifyDays",
						"accountMaintenanceSettings.emailNotificationBeforeAction.notifyAccount",
						"accountMaintenanceSettings.emailNotificationForUserPassword.emailTemplate",
						"accountMaintenanceSettings.emailNotificationForUserPassword.notifyDays",
						"accountMaintenanceSettings.emailNotificationForUserPassword.notifyAccount",
						"accountMaintenanceSettings.emailNotificationForUserCertificate.emailTemplate",
						"accountMaintenanceSettings.emailNotificationForUserCertificate.notifyDays",
						"accountMaintenanceSettings.emailNotificationForUserCertificate.notifyAccount",
						"accountMaintenanceSettings.policy",
						"accountMaintenanceSettings.accountDisabledDate",
						"accountMaintenanceSettings.accountNotified",
						"accountMaintenanceSettings.accountPasswordNotified",
						"accountMaintenanceSettings.accountCertificateNotified",
						"bandwidthLimits.policy",
						"bandwidthLimits.inboundLimit",
						"bandwidthLimits.outboundLimit",
						"fileMaintenanceSettings.policy",
						"fileMaintenanceSettings.deleteFilesDays",
						"fileMaintenanceSettings.pattern",
						"fileMaintenanceSettings.expirationPeriod",
						"fileMaintenanceSettings.removeFolders",
						"fileMaintenanceSettings.warningNotifications",
						"fileMaintenanceSettings.warnNotifyAccount",
						"fileMaintenanceSettings.warningNotificationsTemplate",
						"fileMaintenanceSettings.notifyDays",
						"fileMaintenanceSettings.sendSentinelAlert",
						"fileMaintenanceSettings.deletionNotifications",
						"fileMaintenanceSettings.deletionNotifyAccount",
						"fileMaintenanceSettings.deletionNotificationsTemplate",
						"fileMaintenanceSettings.reportNotified",
						"fileMaintenanceSettings.warnNotified"
					],
                    "response" : {
					  "resultSet": {
						"returnCount": 0,
						"totalCount": 0
					  },
					  "result": [
						{
						  "name": "string",
						  "homeFolder": "string",
						  "type": "user",
						  "uid": "10000",
						  "gid": "10000",
						  "homeFolderAccessLevel": "PRIVATE",
						  "skin": "Default HTML Template",
						  "notes": "user",
						  "lastModified": "string",
						  "authByEmail": false,
						  "disabled": false,
						  "transfersWebServiceAllowed": false,
						  "pesitId": "string",
						  "accountCreationDate": 0,
						  "loginRestrictionPolicy": "string",
						  "transferType": "N",
						  "accountSubmitForApprove": false,
						  "accountVerificationStatus": "string",
						  "managedByCG": false,
						  "businessUnit": "string",
						  "rejectReason": "string",
						  "accountEncryptMode": "UNSPECIFIED",
						  "subscriptionFolderDiscovery": "ITERATIVE",
						  "fileArchivingPolicy": "DEFAULT",
						  "mappedUser": "string",
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "contact": {
							"email": "string",
							"phone": "string"
						  },
						  "adhocSettings": {
							"deliveryMethod": "DEFAULT",
							"enrollmentTypes": [
							  "string"
							],
							"implicitEnrollmentType": "ANONYMOUS_LINK"
						  },
						  "unlicensed": false,
						  "isUnlicensedUserAllowedToReply": false,
						  "routingMode": "reject",
						  "fileMaintenanceSettings": {
							"policy": "default",
							"deleteFilesDays": 0,
							"pattern": "string",
							"expirationPeriod": false,
							"removeFolders": false,
							"warningNotifications": false,
							"sendSentinelAlert": false,
							"warnNotifyAccount": false,
							"warningNotificationsTemplate": "FileMaintenanceNotification.xhtml",
							"notifyDays": "string",
							"deletionNotifications": false,
							"deletionNotifyAccount": false,
							"deletionNotificationsTemplate": "FileMaintenanceNotification.xhtml",
							"reportNotified": "string",
							"warnNotified": "string"
						  },
						  "bandwidthLimits": {
							"policy": "default",
							"inboundLimit": 0,
							"outboundLimit": 0
						  },
						  "accountMaintenanceSettings": {
							"criteria": {
							  "daysAfterCreation": 1,
							  "daysOfInactivity": 1
							},
							"action": {
							  "action": "DELETE",
							  "daysDeleteDisabled": 1
							},
							"emailNotificationBeforeAction": {
							  "emailTemplate": "AccountMaintenanceNotification.xhtml",
							  "notifyDays": "string",
							  "notifyAccount": false
							},
							"emailNotificationForUserPassword": {
							  "emailTemplate": "AccountMaintenanceNotification.xhtml",
							  "notifyDays": "string",
							  "notifyAccount": false
							},
							"emailNotificationForUserCertificate": {
							  "emailTemplate": "AccountMaintenanceNotification.xhtml",
							  "notifyDays": "string",
							  "notifyAccount": false
							},
							"policy": "default",
							"accountDisabledDate": 0,
							"accountNotified": false,
							"accountPasswordNotified": false,
							"accountCertificateNotified": false
						  },
						  "addressBookSettings": {
							"policy": "default",
							"nonAddressBookCollaborationAllowed": false,
							"sources": [
							  {
								"id": "string",
								"name": "string",
								"type": "LOCAL",
								"parentGroup": "string",
								"enabled": false,
								"customProperties": {
								  "additionalProp1": "string",
								  "additionalProp2": "string",
								  "additionalProp3": "string"
								}
							  }
							],
							"contacts": [
							  {
								"id": "string",
								"fullName": "string",
								"primaryEmail": "string"
							  }
							]
						  },
						  "user": {
							"name": "string",
							"authExternal": false,
							"lastLogin": "string",
							"locked": false,
							"failedAuthAttempts": 0,
							"failedAuthMaximum": 1,
							"failedSshKeyAuthAttempts": 0,
							"failedSshKeyAuthMaximum": 1,
							"successfulAuthMaximum": 1,
							"lastFailedAuth": "string",
							"lastFailedSshKeyAuth": "string",
							"successfulLogins": 0,
							"passwordCredentials": {
							  "password": "string",
							  "passwordDigest": "string",
							  "forcePasswordChange": false,
							  "lastPasswordChange": "string",
							  "lastOwnPasswordChange": "string",
							  "passwordExpiryInterval": 1
							},
							"secretQuestion": {
							  "secretQuestion": "string",
							  "secretAnswerGuessFailures": 0,
							  "forceSecretQuestionChange": false
							}
						  }
						},
						{
						  "name": "string",
						  "homeFolder": "string",
						  "type": "template",
						  "uid": "10000",
						  "gid": "10000",
						  "homeFolderAccessLevel": "PRIVATE",
						  "skin": "Default HTML Template",
						  "notes": "user",
						  "lastModified": "string",
						  "authByEmail": false,
						  "disabled": false,
						  "transfersWebServiceAllowed": false,
						  "pesitId": "string",
						  "accountCreationDate": 0,
						  "loginRestrictionPolicy": "string",
						  "transferType": "N",
						  "accountSubmitForApprove": false,
						  "accountVerificationStatus": "string",
						  "managedByCG": false,
						  "businessUnit": "string",
						  "rejectReason": "string",
						  "accountEncryptMode": "UNSPECIFIED",
						  "subscriptionFolderDiscovery": "ITERATIVE",
						  "fileArchivingPolicy": "DEFAULT",
						  "mappedUser": "string",
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "contact": {
							"email": "string",
							"phone": "string"
						  },
						  "adhocSettings": {
							"deliveryMethod": "DEFAULT",
							"enrollmentTypes": [
							  "string"
							],
							"implicitEnrollmentType": "ANONYMOUS_LINK"
						  },
						  "isUnlicensedUserAllowedToReply": false,
						  "enrolledWithExternalPass": false,
						  "templateClass": "string",
						  "fileMaintenanceSettings": {
							"policy": "default",
							"deleteFilesDays": 0,
							"pattern": "string",
							"expirationPeriod": false,
							"removeFolders": false,
							"warningNotifications": false,
							"sendSentinelAlert": false,
							"warnNotifyAccount": false,
							"warningNotificationsTemplate": "FileMaintenanceNotification.xhtml",
							"notifyDays": "string",
							"deletionNotifications": false,
							"deletionNotifyAccount": false,
							"deletionNotificationsTemplate": "FileMaintenanceNotification.xhtml",
							"reportNotified": "string",
							"warnNotified": "string"
						  },
						  "bandwidthLimits": {
							"policy": "default",
							"inboundLimit": 0,
							"outboundLimit": 0
						  },
						  "addressBookSettings": {
							"policy": "default",
							"nonAddressBookCollaborationAllowed": false,
							"sources": [
							  {
								"id": "string",
								"name": "string",
								"type": "LOCAL",
								"parentGroup": "string",
								"enabled": false,
								"customProperties": {
								  "additionalProp1": "string",
								  "additionalProp2": "string",
								  "additionalProp3": "string"
								}
							  }
							],
							"contacts": [
							  {
								"id": "string",
								"fullName": "string",
								"primaryEmail": "string"
							  }
							]
						  }
						},
						{
						  "name": "string",
						  "homeFolder": "string",
						  "type": "service",
						  "uid": "10000",
						  "gid": "10000",
						  "homeFolderAccessLevel": "PRIVATE",
						  "skin": "Default HTML Template",
						  "notes": "user",
						  "lastModified": "string",
						  "authByEmail": false,
						  "disabled": false,
						  "transfersWebServiceAllowed": false,
						  "pesitId": "string",
						  "accountCreationDate": 0,
						  "loginRestrictionPolicy": "string",
						  "transferType": "N",
						  "accountSubmitForApprove": false,
						  "accountVerificationStatus": "string",
						  "managedByCG": false,
						  "businessUnit": "string",
						  "rejectReason": "string",
						  "accountEncryptMode": "UNSPECIFIED",
						  "subscriptionFolderDiscovery": "ITERATIVE",
						  "fileArchivingPolicy": "DEFAULT",
						  "mappedUser": "string",
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "contact": {
							"email": "string",
							"phone": "string"
						  },
						  "adhocSettings": {
							"deliveryMethod": "DEFAULT",
							"enrollmentTypes": [
							  "string"
							],
							"implicitEnrollmentType": "ANONYMOUS_LINK"
						  },
						  "routingMode": "reject",
						  "user": {
							"name": "string",
							"authExternal": false,
							"lastLogin": "string",
							"locked": false,
							"failedAuthAttempts": 0,
							"failedAuthMaximum": 1,
							"failedSshKeyAuthAttempts": 0,
							"failedSshKeyAuthMaximum": 1,
							"successfulAuthMaximum": 1,
							"lastFailedAuth": "string",
							"lastFailedSshKeyAuth": "string",
							"successfulLogins": 0,
							"passwordCredentials": {
							  "password": "string",
							  "passwordDigest": "string",
							  "forcePasswordChange": false,
							  "lastPasswordChange": "string",
							  "lastOwnPasswordChange": "string",
							  "passwordExpiryInterval": 1
							},
							"secretQuestion": {
							  "secretQuestion": "string",
							  "secretAnswerGuessFailures": 0,
							  "forceSecretQuestionChange": false
							}
						  }
						}
					  ]
					}
                },
				"post" : {
					"description" : " - Creates accounts",
                    "request" : ["Note: Creates one account per request.", "ownershipChangeMode"],
					"request_body" : {
					  "name": "string",
					  "homeFolder": "string",
					  "homeFolderAccessLevel": "PRIVATE",
					  "uid": "string",
					  "gid": "string",
					  "mappedUser": "string",
					  "disabled": false,
					  "skin": "Default HTML Template",
					  "notes": "string",
					  "type": "string",
					  "unlicensed": false,
					  "authByEmail": false,
					  "businessUnit": "string",
					  "loginRestrictionPolicy": "string",
					  "contact": {
						"email": "string",
						"phone": "string"
					  },
					  "deliveryMethod": "Disabled",
					  "enrollmentTypes": [
						"string"
					  ],
					  "implicitEnrollmentType": "",
					  "isUnlicensedUserAllowedToReply": false,
					  "wapAppletEnabled": false,
					  "retentionPolicy": "default",
					  "deleteFilesDays": "string",
					  "pattern": "string",
					  "expirationPeriod": "true",
					  "removeFolders": "true",
					  "warningNotifications": "true",
					  "sendSentinelAlert": "true",
					  "notifyDays": "string",
					  "warnNotifyAccount": "true",
					  "warningNotificationsTemplate": "FileMaintenanceNotification.xhtml",
					  "deletionNotifications": "true",
					  "deletionNotifyAccount": "true",
					  "deletionNotificationsTemplate": "FileMaintenanceNotification.xhtml",
					  "accountRetentionPolicy": "default",
					  "encryptMode": "ENABLED",
					  "subscriptionFolderDiscovery": "iterative",
					  "transfersWebServiceAllowed": "string",
					  "transferType": "N",
					  "routingMode": "reject",
					  "accountFileArchivingPolicy": "enabled",
					  "AccountTTLdaysAfterCreation": "string",
					  "AccountTTLdaysOfInactivity": "string",
					  "AccountTTLaction": "DELETE",
					  "AccountTTLdaysDeleteDisabled": "string",
					  "AccountTTLnotifyDays": "string",
					  "AccountTTLreportEmailTemplate": "AccountMaintenanceNotification.xhtml",
					  "AccountTTLnotifyAccount": "true",
					  "AccountTTLpasswordNotifyDays": "string",
					  "AccountTTLpasswordEmailTemplate": "AccountMaintenanceNotification.xhtml",
					  "AccountTTLnotifyPasswordAccount": "true",
					  "AccountTTLcertificateNotifyDays": "string",
					  "AccountTTLcertificateEmailTemplate": "AccountMaintenanceNotification.xhtml",
					  "AccountTTLnotifyCertificateAccount": "true"
					},
                    "response" : "No content"
                }
            }
        },
        "accounts_name" : {
            "path" : "/accounts/{name}",
            "methods" : {
                "get" : {
					"description" : " - Gets account with name.",
                    "request" : ["name", "fields", "type"],
                    "response" : {
					  "name": "string",
					  "uid": "string",
					  "gid": "string",
					  "type": "user",
					  "homeFolder": "string",
					  "homeFolderAccessLevel": "PRIVATE",
					  "notes": "string",
					  "skin": "Default HTML Template",
					  "lastModified": "string",
					  "loginRestrictionPolicy": "string",
					  "mappedUser": "string",
					  "authByEmail": false,
					  "disabled": false,
					  "businessUnit": "string",
					  "transfersWebServiceAllowed": false,
					  "pesitId": "string",
					  "accountCreationDate": 0,
					  "rejectReason": "string",
					  "accountVerificationStatus": "string",
					  "managedByCG": false,
					  "transferType": "string",
					  "accountSubmitForApprove": false,
					  "accountEncryptMode": "UNSPECIFIED",
					  "subscriptionFolderDiscovery": "ITERATIVE",
					  "fileArchivingPolicy": "DEFAULT",
					  "additionalAttributes": {
						"additionalProp1": "string",
						"additionalProp2": "string",
						"additionalProp3": "string"
					  },
					  "contact": {
						"email": "string",
						"phone": "string"
					  },
					  "adhocSettings": {
						"deliveryMethod": "string",
						"enrollmentTypes": [
						  "string"
						],
						"implicitEnrollmentType": "string"
					  },
					  "unlicensed": false,
					  "isUnlicensedUserAllowedToReply": false,
					  "routingMode": "string",
					  "user": {
						"name": "string",
						"authExternal": false,
						"locked": false,
						"failedAuthAttempts": 0,
						"failedAuthMaximum": 1,
						"failedSshKeyAuthAttempts": 0,
						"failedSshKeyAuthMaximum": 1,
						"lastFailedAuth": "string",
						"lastFailedSshKeyAuth": "string",
						"lastLogin": "string",
						"successfulAuthMaximum": 1,
						"successfulLogins": 1,
						"secretQuestion": {
						  "secretQuestion": "string",
						  "secretAnswerGuessFailures": 0,
						  "forceSecretQuestionChange": false
						},
						"passwordCredentials": {
						  "password": "string",
						  "passwordDigest": "string",
						  "forcePasswordChange": false,
						  "lastPasswordChange": "string",
						  "lastOwnPasswordChange": "string",
						  "passwordExpiryInterval": 1
						}
					  },
					  "addressBookSettings": {
						"policy": "string",
						"nonAddressBookCollaborationAllowed": false,
						"sources": [
						  {
							"id": "string",
							"name": "string",
							"type": "string",
							"parentGroup": "string",
							"enabled": false,
							"customProperties": {
							  "value1": "string",
							  "value2": "string"
							}
						  }
						],
						"contacts": [
						  {
							"id": "string",
							"fullName": "string",
							"primaryEmail": "string"
						  }
						]
					  },
					  "accountMaintenanceSettings": {
						"criteria": {
						  "daysAfterCreation": 1,
						  "daysOfInactivity": 1
						},
						"action": {
						  "action": "string",
						  "daysDeleteDisabled": 1
						},
						"emailNotificationBeforeAction": {
						  "emailTemplate": "string",
						  "notifyDays": "string",
						  "notifyAccount": false
						},
						"emailNotificationForUserPassword": {
						  "emailTemplate": "string",
						  "notifyDays": "string",
						  "notifyAccount": false
						},
						"emailNotificationForUserCertificate": {
						  "emailTemplate": "string",
						  "notifyDays": "string",
						  "notifyAccount": false
						},
						"policy": "string",
						"accountDisabledDate": 0,
						"accountNotified": false,
						"accountPasswordNotified": false,
						"accountCertificateNotified": false
					  },
					  "bandwidthLimits": {
						"policy": "string",
						"inboundLimit": 0,
						"outboundLimit": 0
					  },
					  "fileMaintenanceSettings": {
						"policy": "string",
						"deleteFilesDays": 0,
						"pattern": "string",
						"expirationPeriod": false,
						"removeFolders": false,
						"warningNotifications": false,
						"warnNotifyAccount": false,
						"warningNotificationsTemplate": "string",
						"notifyDays": "string",
						"sendSentinelAlert": false,
						"deletionNotifications": false,
						"deletionNotifyAccount": false,
						"deletionNotificationsTemplate": "string",
						"reportNotified": false,
						"warnNotified": false
					  }
					}
                },
                "post" : {
					"method" : "PUT|PATCH",
					"path" : "/accounts/{name}",
					"description" : "",
                    "request" : ["name", "ownershipChangeMode"],
					"request_body" : {
					  "name": "string",
					  "uid": "string",
					  "gid": "string",
					  "type": "user",
					  "homeFolder": "string",
					  "homeFolderAccessLevel": "PRIVATE",
					  "notes": "string",
					  "skin": "Default HTML Template",
					  "lastModified": "string",
					  "loginRestrictionPolicy": "string",
					  "mappedUser": "string",
					  "authByEmail": false,
					  "disabled": false,
					  "businessUnit": "string",
					  "transfersWebServiceAllowed": false,
					  "pesitId": "string",
					  "accountCreationDate": 0,
					  "rejectReason": "string",
					  "accountVerificationStatus": "string",
					  "managedByCG": false,
					  "transferType": "string",
					  "accountSubmitForApprove": false,
					  "accountEncryptMode": "UNSPECIFIED",
					  "subscriptionFolderDiscovery": "ITERATIVE",
					  "fileArchivingPolicy": "DEFAULT",
					  "additionalAttributes": {
						"additionalProp1": "string",
						"additionalProp2": "string",
						"additionalProp3": "string"
					  },
					  "contact": {
						"email": "string",
						"phone": "string"
					  },
					  "adhocSettings": {
						"deliveryMethod": "string",
						"enrollmentTypes": [
						  "string"
						],
						"implicitEnrollmentType": "string"
					  },
					  "unlicensed": false,
					  "isUnlicensedUserAllowedToReply": false,
					  "routingMode": "string",
					  "user": {
						"name": "string",
						"authExternal": false,
						"locked": false,
						"failedAuthAttempts": 0,
						"failedAuthMaximum": 1,
						"lastFailedAuth": "string",
						"failedSshKeyAuthAttempts": 0,
						"failedSshKeyAuthMaximum": 1,
						"lastFailedSshKeyAuth": "string",
						"lastLogin": "string",
						"successfulAuthMaximum": 1,
						"successfulLogins": 1,
						"secretQuestion": {
						  "secretQuestion": "string",
						  "secretAnswerGuessFailures": 0,
						  "forceSecretQuestionChange": false
						},
						"passwordCredentials": {
						  "password": "string",
						  "forcePasswordChange": false,
						  "passwordExpiryInterval": 1
						}
					  },
					  "addressBookSettings": {
						"policy": "string",
						"nonAddressBookCollaborationAllowed": false,
						"sources": [
						  {
							"id": "string",
							"name": "string",
							"type": "string",
							"parentGroup": "string",
							"enabled": false,
							"customProperties": {
							  "value1": "string",
							  "value2": "string"
							}
						  }
						],
						"contacts": [
						  {
							"id": "string",
							"fullName": "string",
							"primaryEmail": "string"
						  }
						]
					  },
					  "accountMaintenanceSettings": {
						"criteria": {
						  "daysAfterCreation": 1,
						  "daysOfInactivity": 1
						},
						"action": {
						  "action": "string",
						  "daysDeleteDisabled": 1
						},
						"emailNotificationBeforeAction": {
						  "emailTemplate": "string",
						  "notifyDays": "string",
						  "notifyAccount": false
						},
						"emailNotificationForUserPassword": {
						  "emailTemplate": "string",
						  "notifyDays": "string",
						  "notifyAccount": false
						},
						"emailNotificationForUserCertificate": {
						  "emailTemplate": "string",
						  "notifyDays": "string",
						  "notifyAccount": false
						},
						"policy": "string",
						"accountDisabledDate": 0,
						"accountNotified": false,
						"accountPasswordNotified": false,
						"accountCertificateNotified": false
					  },
					  "bandwidthLimits": {
						"policy": "string",
						"inboundLimit": 0,
						"outboundLimit": 0
					  },
					  "fileMaintenanceSettings": {
						"policy": "string",
						"deleteFilesDays": 0,
						"pattern": "string",
						"expirationPeriod": false,
						"removeFolders": false,
						"warningNotifications": false,
						"warnNotifyAccount": false,
						"warningNotificationsTemplate": "string",
						"notifyDays": "string",
						"sendSentinelAlert": false,
						"deletionNotifications": false,
						"deletionNotifyAccount": false,
						"deletionNotificationsTemplate": "string",
						"reportNotified": false,
						"warnNotified": false
					  }
					},
                    "response" : "No content"
                },
                "put" : {
					"method" : "POST",
					"path" : "/accounts",
					"description" : " - Create account with name.",
                    "request" : ["ownershipChangeMode"],
					"request_body" : {
					  "name": "string",
					  "uid": "string",
					  "gid": "string",
					  "type": "user",
					  "homeFolder": "string",
					  "homeFolderAccessLevel": "PRIVATE",
					  "notes": "string",
					  "skin": "Default HTML Template",
					  "lastModified": "string",
					  "loginRestrictionPolicy": "string",
					  "mappedUser": "string",
					  "authByEmail": false,
					  "disabled": false,
					  "businessUnit": "string",
					  "transfersWebServiceAllowed": false,
					  "pesitId": "string",
					  "accountCreationDate": 0,
					  "rejectReason": "string",
					  "accountVerificationStatus": "string",
					  "managedByCG": false,
					  "transferType": "string",
					  "accountSubmitForApprove": false,
					  "accountEncryptMode": "UNSPECIFIED",
					  "subscriptionFolderDiscovery": "ITERATIVE",
					  "fileArchivingPolicy": "DEFAULT",
					  "additionalAttributes": {
						"additionalProp1": "string",
						"additionalProp2": "string",
						"additionalProp3": "string"
					  },
					  "contact": {
						"email": "string",
						"phone": "string"
					  },
					  "adhocSettings": {
						"deliveryMethod": "string",
						"enrollmentTypes": [
						  "string"
						],
						"implicitEnrollmentType": "string"
					  },
					  "unlicensed": false,
					  "isUnlicensedUserAllowedToReply": false,
					  "routingMode": "string",
					  "user": {
						"name": "string",
						"authExternal": false,
						"locked": false,
						"failedAuthAttempts": 0,
						"failedAuthMaximum": 1,
						"lastFailedAuth": "string",
						"failedSshKeyAuthAttempts": 0,
						"failedSshKeyAuthMaximum": 1,
						"lastFailedSshKeyAuth": "string",
						"lastLogin": "string",
						"successfulAuthMaximum": 1,
						"successfulLogins": 1,
						"secretQuestion": {
						  "secretQuestion": "string",
						  "secretAnswerGuessFailures": 0,
						  "forceSecretQuestionChange": false
						},
						"passwordCredentials": {
						  "password": "string",
						  "forcePasswordChange": false,
						  "passwordExpiryInterval": 1
						}
					  },
					  "addressBookSettings": {
						"policy": "string",
						"nonAddressBookCollaborationAllowed": false,
						"sources": [
						  {
							"id": "string",
							"name": "string",
							"type": "string",
							"parentGroup": "string",
							"enabled": false,
							"customProperties": {
							  "value1": "string",
							  "value2": "string"
							}
						  }
						],
						"contacts": [
						  {
							"id": "string",
							"fullName": "string",
							"primaryEmail": "string"
						  }
						]
					  },
					  "accountMaintenanceSettings": {
						"criteria": {
						  "daysAfterCreation": 1,
						  "daysOfInactivity": 1
						},
						"action": {
						  "action": "string",
						  "daysDeleteDisabled": 1
						},
						"emailNotificationBeforeAction": {
						  "emailTemplate": "string",
						  "notifyDays": "string",
						  "notifyAccount": false
						},
						"emailNotificationForUserPassword": {
						  "emailTemplate": "string",
						  "notifyDays": "string",
						  "notifyAccount": false
						},
						"emailNotificationForUserCertificate": {
						  "emailTemplate": "string",
						  "notifyDays": "string",
						  "notifyAccount": false
						},
						"policy": "string",
						"accountDisabledDate": 0,
						"accountNotified": false,
						"accountPasswordNotified": false,
						"accountCertificateNotified": false
					  },
					  "bandwidthLimits": {
						"policy": "string",
						"inboundLimit": 0,
						"outboundLimit": 0
					  },
					  "fileMaintenanceSettings": {
						"policy": "string",
						"deleteFilesDays": 0,
						"pattern": "string",
						"expirationPeriod": false,
						"removeFolders": false,
						"warningNotifications": false,
						"warnNotifyAccount": false,
						"warningNotificationsTemplate": "string",
						"notifyDays": "string",
						"sendSentinelAlert": false,
						"deletionNotifications": false,
						"deletionNotifyAccount": false,
						"deletionNotificationsTemplate": "string",
						"reportNotified": false,
						"warnNotified": false
					  }
					},
                    "response" : "No Content"
                },
                "delete" : {
					"description" : " - Deletes account with name.",
                    "request" : ["name", "purge"],
                    "response" : "No content"
                }
            }
        },
		"accounts_name_users" : {
            "path" : "/accounts/{accountName}/users",
            "methods" : {
                "get" : {
					"description" : " - Gets the users for a given account.",
					"path" : "/accounts/{name}",
                    "request" : ["name", "field", "type"],
                    "response" : {
					  "..." : "...", 
					  "user": {
							"name": "string",
							"authExternal": false,
							"lastLogin": "string",
							"locked": false,
							"failedAuthAttempts": 0,
							"failedAuthMaximum": 1,
							"failedSshKeyAuthAttempts": 0,
							"failedSshKeyAuthMaximum": 1,
							"successfulAuthMaximum": 1,
							"lastFailedAuth": "string",
							"lastFailedSshKeyAuth": "string",
							"successfulLogins": 0,
							"passwordCredentials": {
							  "password": "string",
							  "passwordDigest": "string",
							  "forcePasswordChange": false,
							  "lastPasswordChange": "string",
							  "lastOwnPasswordChange": "string",
							  "passwordExpiryInterval": 1
							},
							"secretQuestion": {
							  "secretQuestion": "string",
							  "secretAnswerGuessFailures": 0,
							  "forceSecretQuestionChange": false
							}
						}
					}
                },
                "post" : {
					"description" : " - Creates the users for an account. ",
					"path" : "/accounts/{name}",
					"method" : "PATCH",
                    "request" : ["name"],
					"request_body" : [
					  {
					    "op": "add",
					    "path": "string",
					    "value": {}
					  }
					],
                    "response" : "No content"
                }
            }
        },
        "accounts_name_users_user" : {
            "path" : "/accounts/{accountName}/users/{userName}",
            "methods" : {
                "get" : {
					"description" : " - Gets an user with the given account and name.",
                    "path" : "/accounts/{name}",
                    "request" : ["name", "field", "type"],
                    "response" : {
					  "..." : "...", 
					  "user": {
						"name": "string",
						"authExternal": false,
						"lastLogin": "string",
						"locked": false,
						"failedAuthAttempts": 0,
						"failedAuthMaximum": 1,
						"failedSshKeyAuthAttempts": 0,
						"failedSshKeyAuthMaximum": 1,
						"successfulAuthMaximum": 1,
						"lastFailedAuth": "string",
						"lastFailedSshKeyAuth": "string",
						"successfulLogins": 0,
						"passwordCredentials": {
						  "password": "string",
						  "passwordDigest": "string",
						  "forcePasswordChange": false,
						  "lastPasswordChange": "string",
						  "lastOwnPasswordChange": "string",
						  "passwordExpiryInterval": 1
						},
						"secretQuestion": {
						  "secretQuestion": "string",
						  "secretAnswerGuessFailures": 0,
						  "forceSecretQuestionChange": false
						}
					 }
					}
                },
                "post" : {
					"description" : " - Creates an user for an account. Replaces the user if there is an user with the same name.",
                    "path" : "/accounts/{name}",
					"method" : "PATCH",
                    "request" : ["name"],
					"request_body" : [
					  {
					    "op": "add",
					    "path": "string",
					    "value": {}
					  }
					],
                    "response" : "No content"
                },
                "put" : {
					"description" : " - Creates an user for an account. Replaces the user if there is an user with the same name.",
                    "path" : "/accounts/{name}",
					"method" : "PATCH",
                    "request" : ["name"],
					"request_body" : [
					  {
					    "op": "replace",
					    "path": "string",
					    "value": {}
					  }
					],
                    "response" : "No content"
                },
                "delete" : {
					"description" : " - Deletes user from account.",
                    "path" : "/accounts/{name}",
					"method" : "PATCH",
                    "request" : ["name"],
					"request_body" : [
					  {
					    "op": "remove",
					    "path": "string",
					    "value": {}
					  }
					],
                    "response" : "No content"
                }
            }
        },
        "accounts_name_addressBook_contacts" : {
            "path" : "/accounts/{name}/addressBook/contacts",
            "methods" : {
                "get" : {
					"method" : "GET",
					"path" : "/accounts/{name}",
					"description" : "",
                    "request" : ["name", "field", "type"],
                    "response" : {
						"..." : "...",
						"addressBookSettings" : {
							"contacts" : [{
								"id": "string",
								"fullName": "string",
								"primaryEmail": "string"
							}]
						}
					}
                },
                "post" : {
					"path" : "/accounts/{name}",
					"method" : "PATCH",
                    "request" : ["name"],
					"request_body" : [
					  {
					    "op": "add",
					    "path": "string",
					    "value": {}
					  }
					],
                    "response" : "No content"
                }
            }
        },
        "accounts_name_addressBook_contact" : {
            "path" : "/accounts/{name}/addressBook/contacts/{id}",
            "methods" : {
                "put" : {
					"path" : "/accounts/{name}",
					"method" : "PATCH",
					"description" : " - Updates a contact.",
                    "request" : ["name"],
					"request_body" : [
					  {
					    "op": "replace",
					    "path": "string",
					    "value": {}
					  }
					],
                    "response" : "No content"
                },
                "delete" : {
					"path" : "/accounts/{name}",
					"method" : "PATCH",
					"description" : " - Deletes a contact.",
                    "request" : ["name"],
					"request_body" : [
					  {
					    "op": "remove",
					    "path": "string",
					    "value": {}
					  }
					],
                    "response" : "No content"
                }
            }
        },
		"accounts_name_convertToLicensed" : {
            "path" : "/accounts/{name}/convertToLicensed",
            "methods" : {
                "post" : {
					"path" : "/accounts/{name}",
					"method" : "PATCH",
					"description" : "",
                    "request" : ["name"],
					"request_body": [
					  {
					    "op": "replace",
					    "path": "/unlicensed",
					    "value": false
					  }
					],
                    "response" : "No content"
                }
            }
        }
    },
    "Applications" : {
        "applications" : {
            "path" : "/applications",
            "methods" : {
                "get" : { 
					"description" : " - Gets applications.",
                    "request" : [
						"limit",
						"offset",
						"fields",
						"name",
						"type",
						"schedules.type",
						"businessUnit",
						"notes",
						"managedByCG",
						"additionalAttributes.key",
						"additionalAttributes.value",
						"deleteFilesDays",
						"pattern",
						"expirationPeriod",
						"removeFolders",
						"warningNotifications",
						"notifyDays",
						"sendSentinelAlert",
						"warnNotifyAccount",
						"warningNotificationsTemplate",
						"warnNotifyEmails",
						"deletionNotifications",
						"deletionNotificationsTemplate",
						"deletionNotifyAccount",
						"deletionNotifyEmails",
						"accountCreationDaysCriteria",
						"accountInactivityDaysCriteria",
						"accountAction",
						"deleteDisabledAccountAfterXDaysCriteria",
						"notificationDays",
						"reportNotificationEmailTemplate",
						"enableAccountNotifications",
						"actionNotificationEmails",
						"passwordNotificationDays",
						"passwordNotificationEmailTemplate",
						"enablePasswordExpirationNotifications",
						"passwordExpirationNotificationEmails",
						"certificateNotificationDays",
						"certificateNotificationEmailTemplate",
						"enableCertificateExpiratioNotifications",
						"notificationCertificateEmails",
						"firstMaintenanceRun",
						"dayMode",
						"timeKeepingDataInDb",
						"exportEnabled",
						"exportDir",
						"monthsKeepingDataInDb",
						"daysKeepingDataInDb",
						"daysKeepingInProgressInDb",
						"daysKeepingDataInFiles",
						"recordsPerFile",
						"parallelismDegree",
						"isUnlock",
						"isReport",
						"emails",
						"reportEmailTemplate",
						"maxRunningMinutes",
						"outboxFolder",
						"inboxFolder",
						"dropFolder",
						"outboxEnabled",
						"inboxEnabled",
						"secureConnectionRequired",
						"renameFilesEnabled",
						"outboxFileFormat",
						"inboxIdPattern",
						"inactivePeriod",
						"sharedFolder"
						
					],
                    "response" : {
					  "resultSet": {
						"returnCount": 0,
						"totalCount": 0
					  },
					  "result": [
						{
						  "id": "string",
						  "name": "string",
						  "type": "AccountFilePurge",
						  "notes": "string",
						  "managedByCG": false,
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "businessUnits": [
							"string"
						  ],
						  "deleteFilesDays": 0,
						  "pattern": "string",
						  "expirationPeriod": false,
						  "removeFolders": false,
						  "warningNotifications": false,
						  "notifyDays": "string",
						  "sendSentinelAlert": false,
						  "warnNotifyAccount": false,
						  "warningNotificationsTemplate": "FileMaintenanceNotification.xhtml",
						  "warnNotifyEmails": "string",
						  "deletionNotifications": false,
						  "deletionNotificationsTemplate": "FileMaintenanceNotification.xhtml",
						  "deletionNotifyAccount": false,
						  "deletionNotifyEmails": "string",
						  "schedules": [
							{
							  "tag": "string",
							  "type": "ONCE",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "HOURLY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "endDate": "string",
							  "hourlyStep": 0,
							  "hourlyType": "string"
							},
							{
							  "tag": "string",
							  "type": "DAILY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "dailyType": "string",
							  "endDate": "string"
							},
							{
							  "tag": "string",
							  "type": "WEEKLY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "endDate": "string",
							  "daysOfWeek": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "MONTHLY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "daysOfWeek": [
								"string"
							  ],
							  "daysOfMonth": [
								0
							  ],
							  "weekOfMonth": "string",
							  "monthlyType": "string",
							  "endDate": "string"
							},
							{
							  "tag": "string",
							  "type": "YEARLY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "daysOfMonth": [
								0
							  ],
							  "endDate": "string",
							  "months": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "EXPRESSION",
							  "skipHolidays": false,
							  "startDate": "string",
							  "cronExpression": "string",
							  "endDate": "string"
							}
						  ]
						},
						{
						  "id": "string",
						  "name": "string",
						  "type": "AccountTTL",
						  "notes": "string",
						  "managedByCG": false,
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "businessUnits": [
							"string"
						  ],
						  "accountCreationDaysCriteria": 0,
						  "accountInactivityDaysCriteria": 0,
						  "accountAction": "DELETE",
						  "deleteDisabledAccountAfterXDaysCriteria": 0,
						  "notificationDays": "string",
						  "reportNotificationEmailTemplate": "AccountMaintenanceNotification.xhtml",
						  "enableAccountNotifications": false,
						  "actionNotificationEmails": "string",
						  "passwordNotificationDays": "string",
						  "passwordNotificationEmailTemplate": "AccountMaintenanceNotification.xhtml",
						  "enablePasswordExpirationNotifications": false,
						  "passwordExpirationNotificationEmails": "string",
						  "certificateNotificationDays": "string",
						  "firstMaintenanceRun": 0,
						  "certificateNotificationEmailTemplate": "AccountMaintenanceNotification.xhtml",
						  "enableCertificateExpirationNotifications": false,
						  "notificationCertificateEmails": "string",
						  "schedules": [
							{
							  "tag": "string",
							  "type": "ONCE",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "HOURLY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "endDate": "string",
							  "hourlyStep": 0,
							  "hourlyType": "string"
							},
							{
							  "tag": "string",
							  "type": "DAILY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "dailyType": "string",
							  "endDate": "string"
							},
							{
							  "tag": "string",
							  "type": "WEEKLY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "endDate": "string",
							  "daysOfWeek": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "MONTHLY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "daysOfWeek": [
								"string"
							  ],
							  "daysOfMonth": [
								0
							  ],
							  "weekOfMonth": "string",
							  "monthlyType": "string",
							  "endDate": "string"
							},
							{
							  "tag": "string",
							  "type": "YEARLY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "daysOfMonth": [
								0
							  ],
							  "endDate": "string",
							  "months": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "EXPRESSION",
							  "skipHolidays": false,
							  "startDate": "string",
							  "cronExpression": "string",
							  "endDate": "string"
							}
						  ]
						},
						{
						  "id": "string",
						  "name": "string",
						  "type": "AdvancedRouting",
						  "notes": "string",
						  "managedByCG": false,
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "businessUnits": [
							"string"
						  ]
						},
						{
						  "id": "string",
						  "name": "string",
						  "type": "ArchiveMaint",
						  "notes": "string",
						  "managedByCG": false,
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "businessUnits": [
							"string"
						  ],
						  "schedules": [
							{
							  "tag": "string",
							  "type": "ONCE",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "HOURLY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "endDate": "string",
							  "hourlyStep": 0,
							  "hourlyType": "string"
							},
							{
							  "tag": "string",
							  "type": "DAILY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "dailyType": "string",
							  "endDate": "string"
							},
							{
							  "tag": "string",
							  "type": "WEEKLY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "endDate": "string",
							  "daysOfWeek": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "MONTHLY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "daysOfWeek": [
								"string"
							  ],
							  "daysOfMonth": [
								0
							  ],
							  "weekOfMonth": "string",
							  "monthlyType": "string",
							  "endDate": "string"
							},
							{
							  "tag": "string",
							  "type": "YEARLY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "daysOfMonth": [
								0
							  ],
							  "endDate": "string",
							  "months": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "EXPRESSION",
							  "skipHolidays": false,
							  "startDate": "string",
							  "cronExpression": "string",
							  "endDate": "string"
							}
						  ]
						},
						{
						  "id": "string",
						  "name": "string",
						  "type": "AuditLogMaint",
						  "notes": "string",
						  "managedByCG": false,
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "businessUnits": [
							"string"
						  ],
						  "timeKeepingDataInDb": 0,
						  "dayMode": 0,
						  "exportEnabled": false,
						  "exportDir": "string",
						  "schedules": [
							{
							  "tag": "string",
							  "type": "ONCE",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "HOURLY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "endDate": "string",
							  "hourlyStep": 0,
							  "hourlyType": "string"
							},
							{
							  "tag": "string",
							  "type": "DAILY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "dailyType": "string",
							  "endDate": "string"
							},
							{
							  "tag": "string",
							  "type": "WEEKLY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "endDate": "string",
							  "daysOfWeek": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "MONTHLY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "daysOfWeek": [
								"string"
							  ],
							  "daysOfMonth": [
								0
							  ],
							  "weekOfMonth": "string",
							  "monthlyType": "string",
							  "endDate": "string"
							},
							{
							  "tag": "string",
							  "type": "YEARLY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "daysOfMonth": [
								0
							  ],
							  "endDate": "string",
							  "months": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "EXPRESSION",
							  "skipHolidays": false,
							  "startDate": "string",
							  "cronExpression": "string",
							  "endDate": "string"
							}
						  ]
						},
						{
						  "id": "string",
						  "name": "string",
						  "type": "Basic",
						  "notes": "string",
						  "managedByCG": false,
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "businessUnits": [
							"string"
						  ]
						},
						{
						  "id": "string",
						  "name": "string",
						  "type": "HumanSystem",
						  "notes": "string",
						  "managedByCG": false,
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "businessUnits": [
							"string"
						  ]
						},
						{
						  "id": "string",
						  "name": "string",
						  "type": "LogEntryMaint",
						  "notes": "string",
						  "managedByCG": false,
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "businessUnits": [
							"string"
						  ],
						  "timeKeepingDataInDb": 0,
						  "exportDir": "string",
						  "pgdumpPath": "string",
						  "daysKeepingDataInFiles": 0,
						  "recordsPerFile": 0,
						  "dayMode": 0,
						  "exportEnabled": false,
						  "parallelismDegree": 0,
						  "schedules": [
							{
							  "tag": "string",
							  "type": "ONCE",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "HOURLY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "endDate": "string",
							  "hourlyStep": 0,
							  "hourlyType": "string"
							},
							{
							  "tag": "string",
							  "type": "DAILY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "dailyType": "string",
							  "endDate": "string"
							},
							{
							  "tag": "string",
							  "type": "WEEKLY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "endDate": "string",
							  "daysOfWeek": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "MONTHLY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "daysOfWeek": [
								"string"
							  ],
							  "daysOfMonth": [
								0
							  ],
							  "weekOfMonth": "string",
							  "monthlyType": "string",
							  "endDate": "string"
							},
							{
							  "tag": "string",
							  "type": "YEARLY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "daysOfMonth": [
								0
							  ],
							  "endDate": "string",
							  "months": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "EXPRESSION",
							  "skipHolidays": false,
							  "startDate": "string",
							  "cronExpression": "string",
							  "endDate": "string"
							}
						  ]
						},
						{
						  "id": "string",
						  "name": "string",
						  "type": "LoginThresholdMaintenance",
						  "notes": "string",
						  "managedByCG": false,
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "businessUnits": [
							"string"
						  ],
						  "isUnlock": false,
						  "isReport": false,
						  "emails": "string",
						  "reportEmailTemplate": "LoginThresholdReport.xhtml",
						  "schedules": [
							{
							  "tag": "string",
							  "type": "ONCE",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "HOURLY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "endDate": "string",
							  "hourlyStep": 0,
							  "hourlyType": "string"
							},
							{
							  "tag": "string",
							  "type": "DAILY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "dailyType": "string",
							  "endDate": "string"
							},
							{
							  "tag": "string",
							  "type": "WEEKLY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "endDate": "string",
							  "daysOfWeek": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "MONTHLY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "daysOfWeek": [
								"string"
							  ],
							  "daysOfMonth": [
								0
							  ],
							  "weekOfMonth": "string",
							  "monthlyType": "string",
							  "endDate": "string"
							},
							{
							  "tag": "string",
							  "type": "YEARLY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "daysOfMonth": [
								0
							  ],
							  "endDate": "string",
							  "months": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "EXPRESSION",
							  "skipHolidays": false,
							  "startDate": "string",
							  "cronExpression": "string",
							  "endDate": "string"
							}
						  ]
						},
						{
						  "id": "string",
						  "name": "string",
						  "type": "MBFT",
						  "notes": "string",
						  "managedByCG": false,
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "businessUnits": [
							"string"
						  ]
						},
						{
						  "id": "string",
						  "name": "string",
						  "type": "PackageRetentionMaint",
						  "notes": "string",
						  "managedByCG": false,
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "businessUnits": [
							"string"
						  ],
						  "maxRunningMinutes": 0,
						  "schedules": [
							{
							  "tag": "string",
							  "type": "ONCE",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "HOURLY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "endDate": "string",
							  "hourlyStep": 0,
							  "hourlyType": "string"
							},
							{
							  "tag": "string",
							  "type": "DAILY",
							  "skipHolidays": false,
							  "startDate": "string",
							  "executionTimes": [
								"string"
							  ],
							  "dailyType": "string",
							  "endDate": "string"
							},
							{
							  "tag": "string",
							  "type": "WEEKLY",
							  "skipHolidays": false,
							  "startDate": "2023-10-12T09:23:47.628Z",
							  "executionTimes": [
								"string"
							  ],
							  "endDate": "2023-10-12T09:23:47.628Z",
							  "daysOfWeek": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "MONTHLY",
							  "skipHolidays": false,
							  "startDate": "2023-10-12T09:23:47.628Z",
							  "executionTimes": [
								"string"
							  ],
							  "daysOfWeek": [
								"string"
							  ],
							  "daysOfMonth": [
								0
							  ],
							  "weekOfMonth": "string",
							  "monthlyType": "string",
							  "endDate": "2023-10-12T09:23:47.628Z"
							},
							{
							  "tag": "string",
							  "type": "YEARLY",
							  "skipHolidays": false,
							  "startDate": "2023-10-12T09:23:47.628Z",
							  "executionTimes": [
								"string"
							  ],
							  "daysOfMonth": [
								0
							  ],
							  "endDate": "2023-10-12T09:23:47.628Z",
							  "months": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "EXPRESSION",
							  "skipHolidays": false,
							  "startDate": "2023-10-12T09:23:47.628Z",
							  "cronExpression": "string",
							  "endDate": "2023-10-12T09:23:47.628Z"
							}
						  ]
						},
						{
						  "id": "string",
						  "name": "string",
						  "type": "SentinelLinkDataMaint",
						  "notes": "string",
						  "managedByCG": false,
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "businessUnits": [
							"string"
						  ],
						  "schedules": [
							{
							  "tag": "string",
							  "type": "ONCE",
							  "skipHolidays": false,
							  "startDate": "2023-10-12T09:23:47.628Z",
							  "executionTimes": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "HOURLY",
							  "skipHolidays": false,
							  "startDate": "2023-10-12T09:23:47.628Z",
							  "executionTimes": [
								"string"
							  ],
							  "endDate": "2023-10-12T09:23:47.628Z",
							  "hourlyStep": 0,
							  "hourlyType": "string"
							},
							{
							  "tag": "string",
							  "type": "DAILY",
							  "skipHolidays": false,
							  "startDate": "2023-10-12T09:23:47.628Z",
							  "executionTimes": [
								"string"
							  ],
							  "dailyType": "string",
							  "endDate": "2023-10-12T09:23:47.628Z"
							},
							{
							  "tag": "string",
							  "type": "WEEKLY",
							  "skipHolidays": false,
							  "startDate": "2023-10-12T09:23:47.628Z",
							  "executionTimes": [
								"string"
							  ],
							  "endDate": "2023-10-12T09:23:47.628Z",
							  "daysOfWeek": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "MONTHLY",
							  "skipHolidays": false,
							  "startDate": "2023-10-12T09:23:47.628Z",
							  "executionTimes": [
								"string"
							  ],
							  "daysOfWeek": [
								"string"
							  ],
							  "daysOfMonth": [
								0
							  ],
							  "weekOfMonth": "string",
							  "monthlyType": "string",
							  "endDate": "2023-10-12T09:23:47.628Z"
							},
							{
							  "tag": "string",
							  "type": "YEARLY",
							  "skipHolidays": false,
							  "startDate": "2023-10-12T09:23:47.628Z",
							  "executionTimes": [
								"string"
							  ],
							  "daysOfMonth": [
								0
							  ],
							  "endDate": "2023-10-12T09:23:47.628Z",
							  "months": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "EXPRESSION",
							  "skipHolidays": false,
							  "startDate": "2023-10-12T09:23:47.628Z",
							  "cronExpression": "string",
							  "endDate": "2023-10-12T09:23:47.628Z"
							}
						  ]
						},
						{
						  "id": "string",
						  "name": "string",
						  "type": "SharedFolder",
						  "notes": "string",
						  "managedByCG": false,
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "businessUnits": [
							"string"
						  ],
						  "sharedFolder": "string"
						},
						{
						  "id": "string",
						  "name": "string",
						  "type": "SiteMailbox",
						  "notes": "string",
						  "managedByCG": false,
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "businessUnits": [
							"string"
						  ],
						  "outboxFolder": "string",
						  "inboxFolder": "string",
						  "dropFolder": "string"
						},
						{
						  "id": "string",
						  "name": "string",
						  "type": "StandardRouter",
						  "notes": "string",
						  "managedByCG": false,
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "businessUnits": [
							"string"
						  ],
						  "outboxEnabled": false,
						  "outboxFolder": "string",
						  "secureConnectionRequired": false,
						  "renameFilesEnabled": false,
						  "outboxFileFormat": false,
						  "inboxEnabled": false,
						  "inboxFolder": false,
						  "inboxIdPattern": false,
						  "dropFolder": "string"
						},
						{
						  "id": "string",
						  "name": "string",
						  "type": "SynchronyTransfer",
						  "notes": "string",
						  "managedByCG": false,
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "businessUnits": [
							"string"
						  ]
						},
						{
						  "id": "string",
						  "name": "string",
						  "type": "TransferLogMaint",
						  "notes": "string",
						  "managedByCG": false,
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "businessUnits": [
							"string"
						  ],
						  "daysKeepingDataInDb": 0,
						  "daysKeepingInProgressInDb": 0,
						  "exportEnabled": false,
						  "exportDir": "string",
						  "pgdumpPath": "string",
						  "daysKeepingDataInFiles": 0,
						  "recordsPerFile": 0,
						  "parallelismDegree": 0,
						  "schedules": [
							{
							  "tag": "string",
							  "type": "ONCE",
							  "skipHolidays": false,
							  "startDate": "2023-10-12T09:23:47.628Z",
							  "executionTimes": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "HOURLY",
							  "skipHolidays": false,
							  "startDate": "2023-10-12T09:23:47.628Z",
							  "executionTimes": [
								"string"
							  ],
							  "endDate": "2023-10-12T09:23:47.628Z",
							  "hourlyStep": 0,
							  "hourlyType": "string"
							},
							{
							  "tag": "string",
							  "type": "DAILY",
							  "skipHolidays": false,
							  "startDate": "2023-10-12T09:23:47.628Z",
							  "executionTimes": [
								"string"
							  ],
							  "dailyType": "string",
							  "endDate": "2023-10-12T09:23:47.628Z"
							},
							{
							  "tag": "string",
							  "type": "WEEKLY",
							  "skipHolidays": false,
							  "startDate": "2023-10-12T09:23:47.628Z",
							  "executionTimes": [
								"string"
							  ],
							  "endDate": "2023-10-12T09:23:47.628Z",
							  "daysOfWeek": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "MONTHLY",
							  "skipHolidays": false,
							  "startDate": "2023-10-12T09:23:47.628Z",
							  "executionTimes": [
								"string"
							  ],
							  "daysOfWeek": [
								"string"
							  ],
							  "daysOfMonth": [
								0
							  ],
							  "weekOfMonth": "string",
							  "monthlyType": "string",
							  "endDate": "2023-10-12T09:23:47.628Z"
							},
							{
							  "tag": "string",
							  "type": "YEARLY",
							  "skipHolidays": false,
							  "startDate": "2023-10-12T09:23:47.628Z",
							  "executionTimes": [
								"string"
							  ],
							  "daysOfMonth": [
								0
							  ],
							  "endDate": "2023-10-12T09:23:47.628Z",
							  "months": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "EXPRESSION",
							  "skipHolidays": false,
							  "startDate": "2023-10-12T09:23:47.628Z",
							  "cronExpression": "string",
							  "endDate": "2023-10-12T09:23:47.628Z"
							}
						  ]
						},
						{
						  "id": "string",
						  "name": "string",
						  "type": "UnlicensedAccountMaint",
						  "notes": "string",
						  "managedByCG": false,
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "businessUnits": [
							"string"
						  ],
						  "inactivePeriod": 0,
						  "schedules": [
							{
							  "tag": "string",
							  "type": "ONCE",
							  "skipHolidays": false,
							  "startDate": "2023-10-12T09:23:47.628Z",
							  "executionTimes": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "HOURLY",
							  "skipHolidays": false,
							  "startDate": "2023-10-12T09:23:47.628Z",
							  "executionTimes": [
								"string"
							  ],
							  "endDate": "2023-10-12T09:23:47.628Z",
							  "hourlyStep": 0,
							  "hourlyType": "string"
							},
							{
							  "tag": "string",
							  "type": "DAILY",
							  "skipHolidays": false,
							  "startDate": "2023-10-12T09:23:47.628Z",
							  "executionTimes": [
								"string"
							  ],
							  "dailyType": "string",
							  "endDate": "2023-10-12T09:23:47.628Z"
							},
							{
							  "tag": "string",
							  "type": "WEEKLY",
							  "skipHolidays": false,
							  "startDate": "2023-10-12T09:23:47.628Z",
							  "executionTimes": [
								"string"
							  ],
							  "endDate": "2023-10-12T09:23:47.628Z",
							  "daysOfWeek": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "MONTHLY",
							  "skipHolidays": false,
							  "startDate": "2023-10-12T09:23:47.628Z",
							  "executionTimes": [
								"string"
							  ],
							  "daysOfWeek": [
								"string"
							  ],
							  "daysOfMonth": [
								0
							  ],
							  "weekOfMonth": "string",
							  "monthlyType": "string",
							  "endDate": "2023-10-12T09:23:47.628Z"
							},
							{
							  "tag": "string",
							  "type": "YEARLY",
							  "skipHolidays": false,
							  "startDate": "2023-10-12T09:23:47.628Z",
							  "executionTimes": [
								"string"
							  ],
							  "daysOfMonth": [
								0
							  ],
							  "endDate": "2023-10-12T09:23:47.628Z",
							  "months": [
								"string"
							  ]
							},
							{
							  "tag": "string",
							  "type": "EXPRESSION",
							  "skipHolidays": false,
							  "startDate": "2023-10-12T09:23:47.628Z",
							  "cronExpression": "string",
							  "endDate": "2023-10-12T09:23:47.628Z"
							}
						  ]
						}
					  ]
					}
                },
				"post" : { 
					"description" : " - Creates the applications.",
					"request" : ["Note: Creates one application per request!!!"],
                    "request_body" : {
						"id" : "string",
						"name" : "string",
						"type" : "string",
						"notes" : "string",
						"folder" : "string",
						"sharedFolder" : "string",
						"dropFolder" : "string",
						"businessUnits" : [ "string", "..." ],
						"metadata" : {
						  "links" : {}
						}
					},
                    "response" : "No content"
                }
            }
        },
        "applications_name" : {
            "path" : "/applications/{name}",
            "methods" : {
                "get" : { 
                    "description" : " - Gets a single application.",
					"request" : ["name", "fields", "type"],
                    "response" : "Depending on the selected type"
                },
                "post" : { 
					"method" : "PUT|PATCH",
					"path" : "/applications/{name}",
                    "description" : " - Updates application properties.",
					"request" : ["name"],
                    "request_body" : "Depends on the type of application to be updated",
                    "response" : "Header:\n location: link to the newly created application"
                },
                "put" : {
					"method" : "POST",
					"path" : "/applications",
                    "description" : " - Creates the application or replaces existing application with the same name. ",
					"request" : [],
					"request_body" : "Depends on the type of application to be created",
                    "response" : "No content"
                },
                "delete" : {
                    "description" : " - Deletes an application.",
					"request" : ["name"],
                    "response" : "No content"
                }
            }
        },
		"applications_name_schedules" : {
            "path" : "/applications/{name}/schedules",
            "methods" : {
                "get" : { 
					"path" : "/applications/{name}",
                    "description" : " - Gets the schedules for a application with a given name.",
					"request" : ["name", "fields", "type"],
                    "response" : "Depending on the selected application type. The result will contain schedules element"
                },
                "post" : { 
					"method" : "PATCH",
					"path" : "/applications/{name}",
                    "description" : " - Creates schedules for a application with a given name.",
					"request" : ["name"],
					"request_body" : [
					  {
					    "op": "add",
					    "path": "string",
					    "value": {}
					  }
					],
                    "response" : "No content"
                }
            }
        },
        "applications_name_schTag" : {
            "path" : "/applications/{name}/schedules/{scheduleTag}",
            "methods" : {
                "get" : { 
					"path" : "/applications/{name}",
                    "description" : " - Gets the schedule for an application with a with given name.",
					"request" : ["name", "fields", "type"],
                    "response" : "Depending on the selected application type. The result will contain schedules elements"
				},
                "post" : { 
					"method" : "PATCH",
					"path" : "/applications/{name}",
                    "description" : " - Updates application schedule properties.",
					"request" : ["name"],
					"request_body" : [
					  {
					    "op": "replace",
					    "path": "string",
					    "value": {}
					  }
					],
                    "response" : "No content"
                },
                "put" : {
					"method" : "PATCH",
					"path" : "/applications/{name}",
                    "description" : " - Creates the schedule or replaces existing application schedule with the same tag.",
					"request" : ["name"],
					"request_body" : [
					  {
					    "op": "add",
					    "path": "string",
					    "value": {}
					  }
					],
                    "response" : "No content"
                },
                "delete" : {
					"method" : "PATCH",
					"path" : "/applications/{name}",
                    "description" : " - Deletes a schedule.",
					"request" : ["name"],
					"request_body" : [
					  {
					    "op": "remove",
					    "path": "string",
					    "value": {}
					  }
					],
                    "response" : "No content"
                }
            }
        }
    },
	"BusinessUnits" : {
        "business_units" : {
            "path" : "/businessUnits",
            "methods" : {
                "get" : {
					"description" : " - Gets the business units.",
                    "request" : [
						"limit",
						"offset",
						"fields",
						"name",
						"baseFolder",
						"parent",
						"baseFolderModifyingAllowed",
						"homeFolderModifyingAllowed",
						"dmz",
						"managedByCG",
						"enabledIcapServers",
						"additionalAttributes.key",
						"additionalAttributes.value",
						"sharedFoldersCollaborationAllowed",
						"bandwidthLimits.policy",
						"bandwidthLimits.inboundLimit",
						"bandwidthLimits.outboundLimit",
						"bandwidthLimits.modifyLimitsAllowed",
						"accountMaintenanceSettings.criteria.daysAfterCreation",
						"accountMaintenanceSettings.criteria.daysOfInactivity",
						"accountMaintenanceSettings.criteria.specificDate",
						"accountMaintenanceSettings.action.action",
						"accountMaintenanceSettings.action.daysDeleteDisabled",
						"accountMaintenanceSettings.emailNotificationBeforeAction.emailTemplate",
						"accountMaintenanceSettings.emailNotificationBeforeAction.notifyAccount",
						"accountMaintenanceSettings.emailNotificationBeforeAction.notifyEmails",
						"accountMaintenanceSettings.emailNotificationBeforeAction.notifyDays",
						"accountMaintenanceSettings.emailNotificationForUserPassword.notifyDays",
						"accountMaintenanceSettings.emailNotificationForUserPassword.emailTemplate",
						"accountMaintenanceSettings.emailNotificationForUserPassword.notifyAccount",
						"accountMaintenanceSettings.emailNotificationForUserPassword.notifyEmails",
						"accountMaintenanceSettings.emailNotificationForUserCertificate.notifyDays",
						"accountMaintenanceSettings.emailNotificationForUserCertificate.emailTemplate",
						"accountMaintenanceSettings.emailNotificationForUserCertificate.notifyAccount",
						"accountMaintenanceSettings.emailNotificationForUserCertificate.notifyEmails",
						"accountMaintenanceSettings.policy",
						"accountMaintenanceSettings.policyModifyingAllowed",
						"htmlTemplateSettings.allowedForModifying",
						"transfersApiSettings.webServiceRightsModifyingAllowed",
						"transfersApiSettings.transfersWebServiceAllowed",
						"adHocSettings.authByEmail",
						"adHocSettings.authByEmailModifyingAllowed",
						"adHocSettings.deliveryMethodModifyingAllowed",
						"adHocSettings.deliveryMethod",
						"adHocSettings.enrollmentTemplate",
						"adHocSettings.implicitEnrollmentType",
						"adHocSettings.notificationTemplate",
						"fileArchivingSettings.policy",
						"fileArchivingSettings.policyModifyingAllowed",
						"fileArchivingSettings.folderPolicy",
						"fileArchivingSettings.customFolder",
						"fileArchivingSettings.encryptionCertificatePolicy",
						"fileArchivingSettings.customEncryptionCertificate",
						"fileArchivingSettings.customFileSizePolicy",
						"fileArchivingSettings.customFileSize",
						"loginRestrictionSettings.policyModifyingAllowed",
						"loginRestrictionSettings.policy",
						"addressBookSettings.policy",
						"addressBookSettings.modifyCollaborationAllowed",
						"addressBookSettings.modifySourcesAllowed",
						"addressBookSettings.nonAddressBookCollaborationAllowed",
						"fileMaintenanceSettings.allowPolicyModifying",
						"fileMaintenanceSettings.policy",
						"fileMaintenanceSettings.deleteFilesDays",
						"fileMaintenanceSettings.pattern",
						"fileMaintenanceSettings.expirationPeriod",
						"fileMaintenanceSettings.removeFolders",
						"fileMaintenanceSettings.warningNotifications",
						"fileMaintenanceSettings.warnNotifyAccount",
						"fileMaintenanceSettings.warnNotifyEmails",
						"fileMaintenanceSettings.warningNotificationsTemplate",
						"fileMaintenanceSettings.notifyDays",
						"fileMaintenanceSettings.sendSentinelAlert",
						"fileMaintenanceSettings.deletionNotifications",
						"fileMaintenanceSettings.deletionNotifyAccount",
						"fileMaintenanceSettings.deletionNotifyEmails",
						"fileMaintenanceSettings.deletionNotificationsTemplate"
					],
                    "response" : {
					  "resultSet": {
						"returnCount": 0,
						"totalCount": 0
					  },
					  "result": [
						{
						  "name": "string",
						  "baseFolder": "string",
						  "parent": "string",
						  "businessUnitHierarchy": "string",
						  "baseFolderModifyingAllowed": false,
						  "homeFolderModifyingAllowed": false,
						  "dmz": "string",
						  "managedByCG": false,
						  "enabledIcapServers": [
							"string"
						  ],
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "bandwidthLimits": {
							"policy": "default",
							"inboundLimit": 0,
							"outboundLimit": 0,
							"modifyLimitsAllowed": false
						  },
						  "accountMaintenanceSettings": {
							"criteria": {
							  "daysAfterCreation": 1,
							  "daysOfInactivity": 1,
							  "specificDate": "11-04/2019"
							},
							"action": {
							  "action": "DELETE",
							  "daysDeleteDisabled": 1
							},
							"emailNotificationBeforeAction": {
							  "emailTemplate": "AccountMaintenanceNotification.xhtml",
							  "notifyDays": "string",
							  "notifyAccount": false,
							  "notifyEmails": "string"
							},
							"emailNotificationForUserPassword": {
							  "emailTemplate": "AccountMaintenanceNotification.xhtml",
							  "notifyDays": "string",
							  "notifyAccount": false,
							  "notifyEmails": "string"
							},
							"emailNotificationForUserCertificate": {
							  "emailTemplate": "AccountMaintenanceNotification.xhtml",
							  "notifyDays": "string",
							  "notifyAccount": false,
							  "notifyEmails": "string"
							},
							"policy": "default",
							"policyModifyingAllowed": false
						  },
						  "htmlTemplateSettings": {
							"htmlTemplateFolderPath": "Default HTML Template",
							"isAllowedForModifying": false
						  },
						  "transfersApiSettings": {
							"isWebServiceRightsModifyingAllowed": false,
							"transfersWebServiceAllowed": false
						  },
						  "adHocSettings": {
							"authByEmail": false,
							"isAuthByEmailModifyingAllowed": false,
							"isDeliveryMethodModifyingAllowed": false,
							"deliveryMethod": "DEFAULT",
							"enrollmentTypes": [
							  "string"
							],
							"enrollmentTemplate": "Default",
							"implicitEnrollmentType": "ANONYMOUS_LINK",
							"notificationTemplate": "string"
						  },
						  "fileArchivingSettings": {
							"policy": "default",
							"policyModifyingAllowed": false,
							"folderPolicy": "default",
							"customFolder": "string",
							"encryptionCertificatePolicy": "string",
							"customEncryptionCertificate": "string",
							"customFileSizePolicy": "default",
							"customFileSize": 0
						  },
						  "loginRestrictionSettings": {
							"isPolicyModifyingAllowed": false,
							"policy": "string"
						  },
						  "addressBookSettings": {
							"policy": "default",
							"nonAddressBookCollaborationAllowed": false,
							"sources": [
							  {
								"id": "string",
								"name": "string",
								"type": "LOCAL",
								"parentGroup": "string",
								"enabled": false,
								"customProperties": {
								  "additionalProp1": "string",
								  "additionalProp2": "string",
								  "additionalProp3": "string"
								}
							  }
							],
							"modifySourcesAllowed": false,
							"modifyCollaborationAllowed": false
						  },
						  "fileMaintenanceSettings": {
							"policy": "default",
							"deleteFilesDays": 0,
							"pattern": "string",
							"expirationPeriod": false,
							"removeFolders": false,
							"warningNotifications": false,
							"sendSentinelAlert": false,
							"warnNotifyAccount": false,
							"warningNotificationsTemplate": "FileMaintenanceNotification.xhtml",
							"notifyDays": "string",
							"deletionNotifications": false,
							"deletionNotifyAccount": false,
							"deletionNotificationsTemplate": "FileMaintenanceNotification.xhtml",
							"allowPolicyModifying": false,
							"warnNotifyEmails": "string",
							"deletionNotifyEmails": "string"
						  },
						  "sharedFoldersCollaborationAllowed": false
						}
					  ]
					}
                },
				"get " : {
					"description" : " - Gets the business units.",
                    "request" : ["Not available"],
                    "response" : "Not available"
				},
				"post" : {
					"description" : "Create business units",
                    "request" : ["Note: Creates one business unit per request."],
					"request_body" : {
				      "name": "string",
				      "parent": "string",
				      "businessUnitHierarchy": "string",
				      "baseFolder": "string",
				      "baseFolderAllowedForModifying": false,
				      "homeFolderAllowedForModifying": false,
				      "htmlTemplateFolderPath": "Default HTML Template",
				      "htmlTemplateAllowedForModifying": false,
				      "deliveryMethodAllowedForModifying": false,
				      "enrollmentTemplate": "Default",
				      "authByEmailAllowedForModifying": false,
				      "authByEmail": false,
				      "webServiceRightsAllowedForModifying": false,
				      "loginRestrictionPolicyAllowedForModifying": false,
				      "deliveryMethod": "Default",
				      "enrollmentTypes": [
				        "string"
				      ],
				      "implicitEnrollmentType": "",
				      "notificationTemplate": "string",
				      "dmz": "string",
				      "loginRestrictionPolicy": "string",
				      "retentionPolicy": "default",
				      "allowPolicyModifying": "true",
				      "deleteFilesDays": "string",
				      "pattern": "string",
				      "expirationPeriod": "true",
				      "removeFolders": "true",
				      "warningNotifications": "true",
				      "notifyDays": "string",
				      "sendSentinelAlert": "string",
				      "warnNotifyAccount": "true",
				      "warnNotifyEmails": "string",
				      "warningNotificationsTemplate": "FileMaintenanceNotification.xhtml",
				      "deletionNotifications": "true",
				      "deletionNotifyAccount": "true",
				      "deletionNotifyEmails": "string",
				      "deletionNotificationsTemplate": "FileMaintenanceNotification.xhtml",
				      "accountRetentionPolicy": "default",
				      "allowTTLPolicyModifying": "true",
				      "businessUnitArchivingFolderPolicy": "default",
				      "businessUnitCustomArchivingFolder": "string",
				      "businessUnitEncryptionCertificatePolicy": "string",
				      "enableScanWithFirstIcapServer": true,
				      "enableScanWithSecondIcapServer": true,
				      "fileArchivingPolicy": "DEFAULT",
				      "allowFileArchivingPolicyModifying": true,
				      "AllowSharedFoldersCollaboration": true,
				      "transfersWebServiceAllowed": "string",
				      "AccountTTLdaysAfterCreation": "string",
				      "AccountTTLdaysOfInactivity": "string",
				      "AccountTTLspecificDate": "string",
				      "AccountTTLaction": "DELETE",
				      "AccountTTLdaysDeleteDisabled": "string",
				      "AccountTTLnotifyDays": "string",
				      "AccountTTLreportEmailTemplate": "AccountMaintenanceNotification.xhtml",
				      "AccountTTLnotifyAccount": "true",
				      "AccountTTLnotifyEmails": "string",
				      "AccountTTLpasswordNotifyDays": "string",
				      "AccountTTLpasswordEmailTemplate": "AccountMaintenanceNotification.xhtml",
				      "AccountTTLnotifyPasswordAccount": "true",
				      "AccountTTLnotifyPasswordEmails": "string",
				      "AccountTTLcertificateNotifyDays": "string",
				      "AccountTTLcertificateEmailTemplate": "AccountMaintenanceNotification.xhtml",
				      "AccountTTLnotifyCertificateAccount": "true",
				      "AccountTTLnotifyCertificateEmails": "string"
					},
                    "response" : "No content"
                }
            }
        },
        "businessunit_name" : {
            "path" : "/businessUnits/{name}",
            "methods" : {
                "get" : {
					"description" : "",
                    "request" : ["name", "fields"],
                    "response" : {
					  "name": "string",
					  "baseFolder": "string",
					  "parent": "string",
					  "businessUnitHierarchy": "string",
					  "baseFolderModifyingAllowed": false,
					  "homeFolderModifyingAllowed": false,
					  "dmz": "string",
					  "managedByCG": false,
					  "enabledIcapServers": [
						"string"
					  ],
					  "additionalAttributes": {
						"additionalProp1": "string",
						"additionalProp2": "string",
						"additionalProp3": "string"
					  },
					  "bandwidthLimits": {
						"policy": "default",
						"inboundLimit": 0,
						"outboundLimit": 0,
						"modifyLimitsAllowed": false
					  },
					  "accountMaintenanceSettings": {
						"criteria": {
						  "daysAfterCreation": 1,
						  "daysOfInactivity": 1,
						  "specificDate": "10-31 1925"
						},
						"action": {
						  "action": "DELETE",
						  "daysDeleteDisabled": 1
						},
						"emailNotificationBeforeAction": {
						  "emailTemplate": "AccountMaintenanceNotification.xhtml",
						  "notifyDays": "string",
						  "notifyAccount": false,
						  "notifyEmails": "string"
						},
						"emailNotificationForUserPassword": {
						  "emailTemplate": "AccountMaintenanceNotification.xhtml",
						  "notifyDays": "string",
						  "notifyAccount": false,
						  "notifyEmails": "string"
						},
						"emailNotificationForUserCertificate": {
						  "emailTemplate": "AccountMaintenanceNotification.xhtml",
						  "notifyDays": "string",
						  "notifyAccount": false,
						  "notifyEmails": "string"
						},
						"policy": "default",
						"policyModifyingAllowed": false
					  },
					  "htmlTemplateSettings": {
						"htmlTemplateFolderPath": "Default HTML Template",
						"isAllowedForModifying": false
					  },
					  "transfersApiSettings": {
						"isWebServiceRightsModifyingAllowed": false,
						"transfersWebServiceAllowed": false
					  },
					  "adHocSettings": {
						"authByEmail": false,
						"isAuthByEmailModifyingAllowed": false,
						"isDeliveryMethodModifyingAllowed": false,
						"deliveryMethod": "DEFAULT",
						"enrollmentTypes": [
						  "string"
						],
						"enrollmentTemplate": "Default",
						"implicitEnrollmentType": "ANONYMOUS_LINK",
						"notificationTemplate": "string"
					  },
					  "fileArchivingSettings": {
						"policy": "default",
						"policyModifyingAllowed": false,
						"folderPolicy": "default",
						"customFolder": "string",
						"encryptionCertificatePolicy": "string",
						"customEncryptionCertificate": "string",
						"customFileSizePolicy": "default",
						"customFileSize": 0
					  },
					  "loginRestrictionSettings": {
						"isPolicyModifyingAllowed": false,
						"policy": "string"
					  },
					  "addressBookSettings": {
						"policy": "default",
						"nonAddressBookCollaborationAllowed": false,
						"sources": [
						  {
							"id": "string",
							"name": "string",
							"type": "LOCAL",
							"parentGroup": "string",
							"enabled": false,
							"customProperties": {
							  "additionalProp1": "string",
							  "additionalProp2": "string",
							  "additionalProp3": "string"
							}
						  }
						],
						"modifySourcesAllowed": false,
						"modifyCollaborationAllowed": false
					  },
					  "fileMaintenanceSettings": {
						"policy": "default",
						"deleteFilesDays": 0,
						"pattern": "string",
						"expirationPeriod": false,
						"removeFolders": false,
						"warningNotifications": false,
						"sendSentinelAlert": false,
						"warnNotifyAccount": false,
						"warningNotificationsTemplate": "FileMaintenanceNotification.xhtml",
						"notifyDays": "string",
						"deletionNotifications": false,
						"deletionNotifyAccount": false,
						"deletionNotificationsTemplate": "FileMaintenanceNotification.xhtml",
						"allowPolicyModifying": false,
						"warnNotifyEmails": "string",
						"deletionNotifyEmails": "string"
					  },
					  "sharedFoldersCollaborationAllowed": false
					}
                },
                "post" : {
					"method" : "PUT|PATCH",
					"path" : "/businessUnits/{name}",
					"description" : "",
                    "request" : ["name"],
					"request_body" : {
					  "name": "string",
					  "baseFolder": "string",
					  "parent": "string",
					  "businessUnitHierarchy": "string",
					  "baseFolderModifyingAllowed": false,
					  "homeFolderModifyingAllowed": false,
					  "dmz": "string",
					  "managedByCG": false,
					  "enabledIcapServers": [
						"string"
					  ],
					  "additionalAttributes": {
						"additionalProp1": "string",
						"additionalProp2": "string",
						"additionalProp3": "string"
					  },
					  "bandwidthLimits": {
						"policy": "default",
						"inboundLimit": 0,
						"outboundLimit": 0,
						"modifyLimitsAllowed": false
					  },
					  "accountMaintenanceSettings": {
						"criteria": {
						  "daysAfterCreation": 1,
						  "daysOfInactivity": 1,
						  "specificDate": "06-12.2076"
						},
						"action": {
						  "action": "DELETE",
						  "daysDeleteDisabled": 1
						},
						"emailNotificationBeforeAction": {
						  "emailTemplate": "AccountMaintenanceNotification.xhtml",
						  "notifyDays": "string",
						  "notifyAccount": false,
						  "notifyEmails": "string"
						},
						"emailNotificationForUserPassword": {
						  "emailTemplate": "AccountMaintenanceNotification.xhtml",
						  "notifyDays": "string",
						  "notifyAccount": false,
						  "notifyEmails": "string"
						},
						"emailNotificationForUserCertificate": {
						  "emailTemplate": "AccountMaintenanceNotification.xhtml",
						  "notifyDays": "string",
						  "notifyAccount": false,
						  "notifyEmails": "string"
						},
						"policy": "default",
						"policyModifyingAllowed": false
					  },
					  "htmlTemplateSettings": {
						"htmlTemplateFolderPath": "Default HTML Template",
						"isAllowedForModifying": false
					  },
					  "transfersApiSettings": {
						"isWebServiceRightsModifyingAllowed": false,
						"transfersWebServiceAllowed": false
					  },
					  "adHocSettings": {
						"authByEmail": false,
						"isAuthByEmailModifyingAllowed": false,
						"isDeliveryMethodModifyingAllowed": false,
						"deliveryMethod": "DEFAULT",
						"enrollmentTypes": [
						  "string"
						],
						"enrollmentTemplate": "Default",
						"implicitEnrollmentType": "ANONYMOUS_LINK",
						"notificationTemplate": "string"
					  },
					  "fileArchivingSettings": {
						"policy": "default",
						"policyModifyingAllowed": false,
						"folderPolicy": "default",
						"customFolder": "string",
						"encryptionCertificatePolicy": "string",
						"customEncryptionCertificate": "string",
						"customFileSizePolicy": "default",
						"customFileSize": 0
					  },
					  "loginRestrictionSettings": {
						"isPolicyModifyingAllowed": false,
						"policy": "string"
					  },
					  "addressBookSettings": {
						"policy": "default",
						"nonAddressBookCollaborationAllowed": false,
						"sources": [
						  {
							"id": "string",
							"name": "string",
							"type": "LOCAL",
							"parentGroup": "string",
							"enabled": false,
							"customProperties": {
							  "additionalProp1": "string",
							  "additionalProp2": "string",
							  "additionalProp3": "string"
							}
						  }
						],
						"modifySourcesAllowed": false,
						"modifyCollaborationAllowed": false
					  },
					  "fileMaintenanceSettings": {
						"policy": "default",
						"deleteFilesDays": 0,
						"pattern": "string",
						"expirationPeriod": false,
						"removeFolders": false,
						"warningNotifications": false,
						"sendSentinelAlert": false,
						"warnNotifyAccount": false,
						"warningNotificationsTemplate": "FileMaintenanceNotification.xhtml",
						"notifyDays": "string",
						"deletionNotifications": false,
						"deletionNotifyAccount": false,
						"deletionNotificationsTemplate": "FileMaintenanceNotification.xhtml",
						"allowPolicyModifying": false,
						"warnNotifyEmails": "string",
						"deletionNotifyEmails": "string"
					  },
					  "sharedFoldersCollaborationAllowed": false
					},
                    "response" : "Header:\n location: link to the newly created business unit"
                },
                "put" : {
					"method" : "POST",
					"path" : "/businessUnits",
					"description" : "",
                    "request" : [],
					"request_body" : {
					  "name": "string",
					  "baseFolder": "string",
					  "parent": "string",
					  "businessUnitHierarchy": "string",
					  "baseFolderModifyingAllowed": false,
					  "homeFolderModifyingAllowed": false,
					  "dmz": "string",
					  "managedByCG": false,
					  "enabledIcapServers": [
						"string"
					  ],
					  "additionalAttributes": {
						"additionalProp1": "string",
						"additionalProp2": "string",
						"additionalProp3": "string"
					  },
					  "bandwidthLimits": {
						"policy": "default",
						"inboundLimit": 0,
						"outboundLimit": 0,
						"modifyLimitsAllowed": false
					  },
					  "accountMaintenanceSettings": {
						"criteria": {
						  "daysAfterCreation": 1,
						  "daysOfInactivity": 1,
						  "specificDate": "06-12.2076"
						},
						"action": {
						  "action": "DELETE",
						  "daysDeleteDisabled": 1
						},
						"emailNotificationBeforeAction": {
						  "emailTemplate": "AccountMaintenanceNotification.xhtml",
						  "notifyDays": "string",
						  "notifyAccount": false,
						  "notifyEmails": "string"
						},
						"emailNotificationForUserPassword": {
						  "emailTemplate": "AccountMaintenanceNotification.xhtml",
						  "notifyDays": "string",
						  "notifyAccount": false,
						  "notifyEmails": "string"
						},
						"emailNotificationForUserCertificate": {
						  "emailTemplate": "AccountMaintenanceNotification.xhtml",
						  "notifyDays": "string",
						  "notifyAccount": false,
						  "notifyEmails": "string"
						},
						"policy": "default",
						"policyModifyingAllowed": false
					  },
					  "htmlTemplateSettings": {
						"htmlTemplateFolderPath": "Default HTML Template",
						"isAllowedForModifying": false
					  },
					  "transfersApiSettings": {
						"isWebServiceRightsModifyingAllowed": false,
						"transfersWebServiceAllowed": false
					  },
					  "adHocSettings": {
						"authByEmail": false,
						"isAuthByEmailModifyingAllowed": false,
						"isDeliveryMethodModifyingAllowed": false,
						"deliveryMethod": "DEFAULT",
						"enrollmentTypes": [
						  "string"
						],
						"enrollmentTemplate": "Default",
						"implicitEnrollmentType": "ANONYMOUS_LINK",
						"notificationTemplate": "string"
					  },
					  "fileArchivingSettings": {
						"policy": "default",
						"policyModifyingAllowed": false,
						"folderPolicy": "default",
						"customFolder": "string",
						"encryptionCertificatePolicy": "string",
						"customEncryptionCertificate": "string",
						"customFileSizePolicy": "default",
						"customFileSize": 0
					  },
					  "loginRestrictionSettings": {
						"isPolicyModifyingAllowed": false,
						"policy": "string"
					  },
					  "addressBookSettings": {
						"policy": "default",
						"nonAddressBookCollaborationAllowed": false,
						"sources": [
						  {
							"id": "string",
							"name": "string",
							"type": "LOCAL",
							"parentGroup": "string",
							"enabled": false,
							"customProperties": {
							  "additionalProp1": "string",
							  "additionalProp2": "string",
							  "additionalProp3": "string"
							}
						  }
						],
						"modifySourcesAllowed": false,
						"modifyCollaborationAllowed": false
					  },
					  "fileMaintenanceSettings": {
						"policy": "default",
						"deleteFilesDays": 0,
						"pattern": "string",
						"expirationPeriod": false,
						"removeFolders": false,
						"warningNotifications": false,
						"sendSentinelAlert": false,
						"warnNotifyAccount": false,
						"warningNotificationsTemplate": "FileMaintenanceNotification.xhtml",
						"notifyDays": "string",
						"deletionNotifications": false,
						"deletionNotifyAccount": false,
						"deletionNotificationsTemplate": "FileMaintenanceNotification.xhtml",
						"allowPolicyModifying": false,
						"warnNotifyEmails": "string",
						"deletionNotifyEmails": "string"
					  },
					  "sharedFoldersCollaborationAllowed": false
					},
                    "response" : "No content"
                },
                "delete" : {
					"description" : "",
                    "request" : ["name"],
                    "response" : "No content"
                }
            }
        }
	},
	"Logs" : {
        "logs" : {
            "path" : "/logs",
            "methods" : {
                "get" : {
					"method": "GET",
					"path" : "/logs/server",
					"description" : " - Retrieve the logs based on URI parameter criteria.",
                    "request" : [
						"limit",
						"offset",
						"fields",
						"component",
						"level",
						"accountName",
						"threadName",
						"fromDate",
						"endDate",
						"sessionIdentifier",
						"transferIdentifier",
						"message",
						"thread",
						"filename",
						"className",
						"method",
						"exception",
						"Header -> accept: application/json"
					],
                    "response" : {
					  "resultSet": {
						"returnCount": 0,
						"totalCount": 0
					  },
					  "result": [
						{
						  "id": {
							"mConfigurationId": "string",
							"mEventId": 0,
							"mTimestamp": 0,
							"urlrepresentation": "string"
						  },
						  "time": "string",
						  "node": "string",
						  "level": "ALL",
						  "component": "TM;",
						  "thread": "string",
						  "filename": "string",
						  "className": "string",
						  "method": "string",
						  "line": "string",
						  "message": "string",
						  "exception": "string"
						}
					  ]
					}
                }
            }
        },
        "logs_export" : {
            "path" : "/logs/export",
            "methods" : {
                "get" : {
					"method": "GET",
					"path" : "/logs/server",
					"description" : " - Export the logs in CSV format, based on URL parameter criteria.",
                    "request" : [
						"limit",
						"offset",
						"fields",
						"component",
						"level",
						"accountName",
						"threadName",
						"fromDate",
						"endDate",
						"sessionIdentifier",
						"transferIdentifier",
						"message",
						"thread",
						"filename",
						"className",
						"method",
						"exception",
						"Header -> accept: text/csv"
						
					],
                    "response" : ""
                }
            }
        },
        "logs_logId" : {
            "path" : "/logs/{logId}",
            "methods" : {
                "get" : {
					"method": "GET",
					"path" : "/logs/server/{id}",
					"description" : " - Gets a single log entry including the exception.",
                    "request" : ["id", "fields"],
                    "response" : {
					  "id": {
						"mConfigurationId": "string",
						"mEventId": 0,
						"mTimestamp": 0,
						"urlrepresentation": "string"
					  },
					  "time": "string",
					  "node": "string",
					  "level": "ALL",
					  "component": "TM;",
					  "thread": "string",
					  "filename": "string",
					  "className": "string",
					  "method": "string",
					  "line": "string",
					  "message": "string",
					  "exception": "string"
					}
                }
            }
        }
	},
	"Myself" : {
        "Myself" : {
            "path" : "/myself",
            "methods" : {
                "get" : {
					"description" : " - Gets information for the current administrator.",
                    "request" : ["fields"],
                    "response" : {
					  "loginName": "string",
					  "roleName": "string",
					  "isLimited": false,
					  "localAuthentication": true,
					  "certificateDN": "string",
					  "dualAuthentication": false,
					  "locked": false,
					  "parent": "string",
					  "fullCreationPath": "string",
					  "passwordCredentials": {
						"password": "string",
						"passwordExpired": false,
						"lastPasswordChangeTime": "string",
						"lastOwnPasswordChange": "string",
						"loginFailureCount": 0,
						"lastLoginTime": "string",
						"lastFailureLoginTime": "string"
					  },
					  "administratorRights": {
						"canReadOnly": false,
						"isMaker": false,
						"isChecker": false,
						"canCreateUsers": false,
						"canUpdateUsers": false,
						"canAccessHelpDesk": false,
						"canSeeFullAuditLog": false,
						"canManageAdministrators": false,
						"canManageApplications": false,
						"canManageSharedFolders": false,
						"canManageBusinessUnits": false,
						"canManageRouteTemplates": false,
						"canManageExternalScriptStep": false,
						"canManageLoginRestrictionPolicies": false,
						"canManageIcapSettings": false,
						"canManageExternalScriptRootExecution": false
					  },
					  "businessUnits": [
						"string"
					  ]
					}
                },
				"post" : {
					"description" : " - Login user. Here a user can receive a COOKIE to use for successive web service calls.",
                    "request" : [""],
                    "response" : {
					  "message": "string"
					}
                },
				"delete" : {
					"description" : " - Logout from REST API.",
                    "request" : [""],
                    "response" : {"message" : "string"}
                }
            }
        }
	},
	"Sites" : {
        "sites" : {
            "path" : "/sites",
            "methods" : {
                "get" : {
					"description" : " - Gets the sites.",
                    "request" : [
						"limit",
						"offset",
						"fields",
						"type",
						"name",
						"protocol",
						"maxConcurrentConnection",
						"default",
						"accessLevel",
						"account",
						"siteTemplate",
						"alternativeAddresses.position",
						"alternativeAddresses.host",
						"alternativeAddresses.port",
						"isSecure",
						"useUri",
						"uri",
						"host",
						"port",
						"pesitId",
						"downloadFolder",
						"downloadPattern",
						"uploadFolder",
						"uploadFolderOverridable",
						"userName",
						"usePassword",
						"usePasswordExpr",
						"transferMode",
						"fipsMode",
						"dmz",
						"downloadFolderAdvancedExpressionEnabled",
						"downloadPatternAdvancedExpressionEnabled",
						"requestMode",
						"cipherSuites",
						"protocols",
						"postTransmissionActions.deleteOnTempFailOut",
						"postTransmissionActions.deleteOnSuccessIn",
						"postTransmissionActions.deleteOnPermFailOut",
						"postTransmissionActions.deleteOnPermFailIn",
						"postTransmissionActions.doAsOut",
						"postTransmissionActions.doAsIn",
						"fromEmailAddress",
						"toEmailAddresses",
						"ccEmailAddresses",
						"bccEmailAddresses",
						"subject",
						"body",
						"securityLevel",
						"notificationTemplate",
						"challenge",
						"expiration",
						"sendAs",
						"sendFileAsAttachment",
						"senderAs2Id",
						"senderEmail",
						"receiverAs2Id",
						"receiverEmail",
						"as2Url",
						"transferSettings.doAsOut",
						"transferSettings.doAsIn",
						"transferSettings.mimeType",
						"transferSettings.subject",
						"transferSettings.requireSign",
						"transferSettings.requireEncrypt",
						"transferSettings.requireSsl",
						"transferSettings.enableChunked",
						"transferSettings.as2MdnReturnUrl",
						"transferSettings.as2MdnUrl",
						"transferSettings.encrypt",
						"transferSettings.sign",
						"transferSettings.compress",
						"transferSettings.as2MdnOptions",
						"transferSettings.transferTimeout",
						"useCertificate",
						"localServerName",
						"localServerPort",
						"submitScriptWithinFile",
						"recScript",
						"sendScript",
						"ccc",
						"tlsShutdownCcc",
						"uploadCommand",
						"preferredMethod",
						"siteCommand",
						"activeMode",
						"matchAnyLineTerminators",
						"hostnameVerification",
						"postTransmissionActions.moveOnTempFailOut",
						"postTransmissionActions.moveOnPermFailOut",
						"postTransmissionActions.moveOnSuccessOut",
						"postTransmissionActions.moveOnPermFailIn",
						"postTransmissionActions.moveOnSuccessIn",
						"fingerPrint",
						"verifyFinger",
						"socketTimeout",
						"socketBufferSize",
						"socketSendBufferSize",
						"downloadPatternType",
						"uploadPermissions",
						"bufferSize",
						"blockSize",
						"tcpNoDelay",
						"allowedMacs",
						"keyExchangeAlgorithms",
						"publicKeys",
						"postTransmissionActions.doMoveOverwriteIn",
						"postTransmissionActions.doMoveOverwriteOut",
						"preconnectionPartnerId",
						"usePreconnectionPartnerPassword",
						"usePreconnectionPartnerPasswordExpr",
						"preconnectionServerId",
						"usePreconnectionServerPassword",
						"usePreconnectionServerPasswordExpr",
						"configurePreconnection",
						"useServerPassword",
						"useServerPasswordExpr",
						"usePartnerPassword",
						"usePartnerPasswordExpr",
						"checkpointInterval",
						"checkpointWindow",
						"resyncAllowed",
						"compression",
						"verifyCert",
						"cftCompatibleSslMode",
						"receiveMessage",
						"sendMessage",
						"originator",
						"finalDestination",
						"storeAndForwardMode",
						"ptcpConnections",
						"ptcpPacketSize",
						"socketSendReceiveBuffersize",
						"ptcpConnectRetryCount",
						"connectionTimeout",
						"uploadFolderExpressionSupport",
						"uploadFolderAutocreate",
						"downloadPatternCaseSensitive",
						"downloadSubfolderPattern",
						"downloadSubfolderPatternType",
						"downloadSubfolderPatternCaseSensitive",
						"downloadSubfolderMaxDepth",
						"username",
						"partner",
						"transferProfile",
						"additionalProperties.appcycid",
						"additionalProperties.fName",
						"additionalProperties.appobjid",
						"additionalProperties.direction",
						"additionalProperties.freeMsg",
						"additionalProperties.ida",
						"additionalProperties.ipart",
						"additionalProperties.maxDate",
						"additionalProperties.maxTime",
						"additionalProperties.minDate",
						"additionalProperties.minTime",
						"additionalProperties.nfName",
						"additionalProperties.nIdf",
						"additionalProperties.pri",
						"additionalProperties.rappl",
						"additionalProperties.rUser",
						"additionalProperties.sappl",
						"additionalProperties.state",
						"additionalProperties.sUser",
						"additionalProperties.trk",
						"additionalAttributes.key",
						"additionalAttributes.value"
					],
                    "response" : {
					  "resultSet": {
						"returnCount": 0,
						"totalCount": 0
					  },
					  "result": [
						{
						  "id": "string",
						  "name": "string",
						  "protocol": "http",
						  "type": "http",
						  "transferType": "N",
						  "maxConcurrentConnection": 0,
						  "default": false,
						  "accessLevel": "PRIVATE",
						  "account": "string",
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "host": "",
						  "port": "",
						  "useUri": false,
						  "uri": "",
						  "dmz": "none",
						  "downloadFolderAdvancedExpressionEnabled": false,
						  "downloadFolder": "string",
						  "downloadPatternAdvancedExpressionEnabled": false,
						  "downloadPattern": "string",
						  "uploadFolderOverridable": false,
						  "uploadFolder": "string",
						  "transferMode": "AUTO_DETECT",
						  "isSecure": false,
						  "verifyCert": false,
						  "fipsMode": false,
						  "userName": "string",
						  "usePassword": false,
						  "usePasswordExpr": false,
						  "password": "",
						  "clientCertificate": "",
						  "requestMode": "GET",
						  "cipherSuites": "string",
						  "protocols": "string",
						  "postTransmissionActions": {
							"deleteOnTempFailOut": false,
							"deleteOnSuccessIn": false,
							"deleteOnPermFailOut": false,
							"deleteOnPermFailIn": false,
							"doAsOut": "string",
							"doAsIn": "string"
						  },
						  "alternativeAddresses": [
							{
							  "id": "string",
							  "host": "string",
							  "port": "string",
							  "position": 0
							}
						  ]
						},
						{
						  "id": "string",
						  "name": "string",
						  "protocol": "adhoc",
						  "type": "adhoc",
						  "transferType": "N",
						  "maxConcurrentConnection": 0,
						  "default": false,
						  "accessLevel": "PRIVATE",
						  "account": "string",
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "securityLevel": "ANONYMOUS_LINK",
						  "challenge": "string",
						  "response": "string",
						  "confirmResponse": "string",
						  "notificationTemplate": "string",
						  "expiration": "1440 (1 day)",
						  "fromEmailAddress": "",
						  "toEmailAddresses": "",
						  "ccEmailAddresses": "",
						  "bccEmailAddresses": "",
						  "body": "",
						  "sendAs": "string",
						  "sendFileAsAttachment": false,
						  "subject": "string",
						  "alternativeAddresses": [
							{
							  "id": "string",
							  "host": "string",
							  "port": "string",
							  "position": 0
							}
						  ]
						},
						{
						  "id": "string",
						  "name": "string",
						  "protocol": "as2",
						  "type": "as2",
						  "transferType": "N",
						  "maxConcurrentConnection": 0,
						  "default": false,
						  "accessLevel": "PRIVATE",
						  "account": "string",
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "senderAs2Id": "string",
						  "senderEmail": "string",
						  "receiverAs2Id": "string",
						  "as2Url": "string",
						  "receiverEmail": "string",
						  "dmz": "none",
						  "fipsMode": false,
						  "cipherSuites": "string",
						  "protocols": "string",
						  "subject": "",
						  "remoteEncryptionCertificate": "string",
						  "remoteSigningCertificate": "string",
						  "serverEncryptionCertificate": "string",
						  "serverSigningCertificate": "string",
						  "alternativeAddresses": [
							{
							  "id": "string",
							  "host": "string",
							  "port": "string",
							  "position": 0
							}
						  ],
						  "transferSettings": {
							"doAsOut": "string",
							"doAsIn": "string",
							"clientCertificate": "string",
							"senderUserName": "",
							"senderPassword": "",
							"mimeType": "string",
							"subject": "string",
							"requireSign": false,
							"requireEncrypt": false,
							"requireSsl": false,
							"requireBA": false,
							"receiverUserName": "",
							"receiverPassword": "",
							"enableChunked": false,
							"as2MdnReturnUrl": "string",
							"as2MdnUrl": true,
							"as2MdnOptions": "string",
							"encrypt": "string",
							"sign": "string",
							"compress": false,
							"transferTimeout": 600
						  }
						},
						{
						  "id": "string",
						  "name": "string",
						  "protocol": "cd",
						  "type": "cd",
						  "transferType": "N",
						  "maxConcurrentConnection": 0,
						  "default": false,
						  "accessLevel": "PRIVATE",
						  "account": "string",
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "transferMode": "AUTO_DETECT",
						  "localServerName": "string",
						  "localServerPort": "string",
						  "userName": "string",
						  "usePassword": false,
						  "usePasswordExpr": false,
						  "password": "string",
						  "useCertificate": false,
						  "certificateId": "string",
						  "submitScriptWithinFile": false,
						  "sendScript": "string",
						  "recScript": "string",
						  "siteTemplate": "string"
						},
						{
						  "id": "string",
						  "name": "string",
						  "protocol": "ftp",
						  "type": "ftp",
						  "transferType": "N",
						  "maxConcurrentConnection": 0,
						  "default": false,
						  "accessLevel": "PRIVATE",
						  "account": "string",
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "host": "string",
						  "port": "string",
						  "dmz": "none",
						  "activeMode": false,
						  "downloadFolderAdvancedExpressionEnabled": false,
						  "downloadFolder": "string",
						  "downloadPatternAdvancedExpressionEnabled": false,
						  "downloadPattern": "string",
						  "uploadFolderOverridable": false,
						  "uploadFolder": "string",
						  "uploadCommand": "STOR",
						  "preferredMethod": "default",
						  "transferMode": "AUTO_DETECT",
						  "matchAnyLineTerminators": "string",
						  "hostnameVerification": "DEFAULT",
						  "isSecure": false,
						  "verifyCert": false,
						  "ccc": false,
						  "tlsShutdownCcc": false,
						  "fipsMode": false,
						  "siteCommand": "string",
						  "userName": "string",
						  "usePassword": false,
						  "password": "string",
						  "usePasswordExpr": false,
						  "clientCertificate": "string",
						  "cipherSuites": "string",
						  "protocols": "string",
						  "alternativeAddresses": [
							{
							  "id": "string",
							  "host": "string",
							  "port": "string",
							  "position": 0
							}
						  ],
						  "postTransmissionActions": {
							"deleteOnTempFailOut": false,
							"deleteOnSuccessIn": false,
							"deleteOnPermFailOut": false,
							"deleteOnPermFailIn": false,
							"doAsOut": "string",
							"doAsIn": "string"
						  }
						},
						{
						  "id": "string",
						  "name": "string",
						  "protocol": "ssh",
						  "type": "ssh",
						  "transferType": "N",
						  "maxConcurrentConnection": 0,
						  "default": false,
						  "accessLevel": "PRIVATE",
						  "account": "string",
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "host": "",
						  "port": "",
						  "dmz": "none",
						  "downloadFolderAdvancedExpressionEnabled": false,
						  "downloadFolder": "string",
						  "downloadPatternAdvancedExpressionEnabled": false,
						  "downloadPatternType": "string",
						  "downloadPattern": "",
						  "uploadFolderOverridable": false,
						  "uploadFolder": "string",
						  "uploadPermissions": "0644",
						  "updatePermissionsWithChmodCommand": "",
						  "transferMode": "AUTO_DETECT",
						  "verifyFinger": false,
						  "fingerPrint": "string",
						  "fipsMode": false,
						  "userName": "",
						  "usePassword": false,
						  "usePasswordExpr": false,
						  "password": "",
						  "socketTimeout": 300,
						  "connectionIdleTimeout": 300,
						  "socketBufferSize": 65536,
						  "socketSendBufferSize": 65536,
						  "bufferSize": 32768,
						  "blockSize": 32768,
						  "tcpNoDelay": true,
						  "clientCertificate": "",
						  "cipherSuites": "string",
						  "protocols": "string",
						  "allowedMacs": "string",
						  "keyExchangeAlgorithms": "string",
						  "publicKeys": "string",
						  "alternativeAddresses": [
							{
							  "id": "string",
							  "host": "string",
							  "port": "string",
							  "position": 0
							}
						  ],
						  "postTransmissionActions": {
							"deleteOnTempFailOut": false,
							"deleteOnSuccessIn": false,
							"deleteOnPermFailOut": false,
							"deleteOnPermFailIn": false,
							"doAsOut": "string",
							"doAsIn": "string"
						  }
						},
						{
						  "id": "string",
						  "name": "string",
						  "protocol": "pesit",
						  "type": "pesit",
						  "transferType": "N",
						  "maxConcurrentConnection": 0,
						  "default": false,
						  "accessLevel": "PRIVATE",
						  "account": "string",
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "pesitId": "string",
						  "host": "",
						  "port": "",
						  "dmz": "none",
						  "configurePreconnection": false,
						  "preconnectionPartnerId": "none",
						  "usePreconnectionPartnerPassword": false,
						  "usePreconnectionPartnerPasswordExpr": false,
						  "preconnectionPartnerPassword": "none",
						  "preconnectionServerId": "none",
						  "usePreconnectionServerPassword": false,
						  "usePreconnectionServerPasswordExpr": false,
						  "preconnectionServerPassword": "none",
						  "useServerPassword": false,
						  "useServerPasswordExpr": false,
						  "serverPassword": "",
						  "usePartnerPassword": false,
						  "usePartnerPasswordExpr": false,
						  "partnerPassword": "",
						  "compression": "none",
						  "resyncAllowed": false,
						  "checkpointInterval": 1024,
						  "checkpointWindow": 4,
						  "connectionTimeout": 60,
						  "bufferSize": 8192,
						  "sendMessage": "string",
						  "receiveMessage": "string",
						  "storeAndForwardMode": "START_NEW",
						  "originator": "string",
						  "finalDestination": "string",
						  "ptcpConnections": 1,
						  "ptcpPacketSize": 3000,
						  "socketSendReceiveBuffersize": 65536,
						  "ptcpConnectRetryCount": 10,
						  "isSecure": true,
						  "verifyCert": false,
						  "fipsMode": false,
						  "cftCompatibleSslMode": false,
						  "loginCertificate": "",
						  "partnerCertificate": "",
						  "cipherSuites": "string",
						  "protocols": "string",
						  "alternativeAddresses": [
							{
							  "id": "string",
							  "host": "string",
							  "port": "string",
							  "position": 0
							}
						  ]
						},
						{
						  "id": "string",
						  "name": "string",
						  "protocol": "folder",
						  "type": "folder",
						  "transferType": "N",
						  "maxConcurrentConnection": 0,
						  "default": false,
						  "accessLevel": "PRIVATE",
						  "account": "string",
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "downloadFolderAdvancedExpressionEnabled": false,
						  "downloadFolder": "string",
						  "downloadPatternAdvancedExpressionEnabled": false,
						  "downloadPatternType": "string",
						  "downloadPattern": "string",
						  "downloadPatternCaseSensitive": true,
						  "downloadSubfolderMaxDepth": 1,
						  "downloadSubfolderPatternType": "string",
						  "downloadSubfolderPattern": "string",
						  "downloadSubfolderPatternCaseSensitive": true,
						  "uploadFolder": "string",
						  "uploadFolderExpressionSupport": false,
						  "uploadFolderAutocreate": false,
						  "uploadFolderOverridable": false,
						  "postTransmissionActions": {
							"deleteOnTempFailOut": false,
							"deleteOnSuccessIn": false,
							"deleteOnPermFailOut": false,
							"deleteOnPermFailIn": false,
							"doAsOut": "string",
							"doAsIn": "string"
						  }
						},
						{
						  "id": "string",
						  "name": "string",
						  "protocol": "synchrony transfer",
						  "type": "synchrony transfer",
						  "transferType": "N",
						  "maxConcurrentConnection": 0,
						  "default": false,
						  "accessLevel": "PRIVATE",
						  "account": "string",
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "host": "",
						  "port": "",
						  "username": "string",
						  "usePasswordExpr": false,
						  "partner": "string",
						  "transferProfile": "string",
						  "password": "string",
						  "siteTemplate": "string",
						  "additionalProperties": {
							"appcycid": "string",
							"appobjid": "string",
							"direction": "string",
							"fName": "string",
							"freeMsg": "string",
							"ida": "string",
							"ipart": "string",
							"maxDate": "string",
							"maxTime": "string",
							"minDate": "string",
							"minTime": "string",
							"nfName": "string",
							"nIdf": "string",
							"pri": "string",
							"rappl": "string",
							"rUser": "string",
							"sappl": "string",
							"state": "string",
							"sUser": "string",
							"trk": "string"
						  }
						},
						{
						  "id": "string",
						  "name": "string",
						  "protocol": "string",
						  "type": "custom",
						  "transferType": "N",
						  "maxConcurrentConnection": 0,
						  "default": false,
						  "accessLevel": "PRIVATE",
						  "account": "string",
						  "additionalAttributes": {
							"additionalProp1": "string",
							"additionalProp2": "string",
							"additionalProp3": "string"
						  },
						  "clientCertificate": "string",
						  "customProperties": {
							"property_1": "string",
							"property_2": "string"
						  }
						}
					  ]
					}
                },
				"post" : {
					"description" : " - Creates sites.",
					"request" : ["Note: Creates one site per request."],
                    "request_body" : {
					  "id": "string",
					  "name": "string",
				      "account": "string",
				      "protocol": "string",
					  "host": "string",
					  "port": "string",
				      "siteTemplate": "string",
				      "transferType": "N",
				      "maxConcurrentConnection": 0,
				      "default": false,
				      "accessLevel": "string"
					},
					"response" : "No content"
                }
            }
        },
		"sites_id" : {
            "path" : "/sites/{id}",
            "methods" : {
                "get" : {
					"description" : " - Gets a single site with a given id.",
                    "request" : ["id", "fields", "type"],
                    "response" : "Depends on the site type"
                },
				"post" : {
					"method" : "PUT|PATCH",
					"path" : "/sites/{id}",
					"description" : " - Updates site properties.",
                    "request" : ["id"],
					"request_body" : "Depends on the type of site to be updated",
                    "response" : "No content"
                },
				"delete" : {
					"description" : " - Deletes a site.",
                    "request" : ["id"],
                    "response" : "No content"
                }
            }
        }
	},
	"Dmz" : {
        "zones" : {
            "path" : "/zones",
            "methods" : {
                "get" : {
					"description" : " - Gets the zones.",
                    "request" : [
						"limit",
						"offset",
						"fields",
						"name",
						"isDefault",
						"description",
						"publicURLPrefix",
						"ssoSpEntityId",
						"isDnsResolutionEnabled",
						"edges.enabledProxy",
						"edges.title",
						"edges.notes",
						"edges.configurationId",
						"edges.descriptor",
						"edges.isAutoDiscoverable",
						"edges.dynamicNodeIpDiscoveryFqdn",
						"edges.ipAddresses.ipAddress",
						"edges.protocols.isEnabled",
						"edges.protocols.streamingProtocol",
						"edges.protocols.port",
						"edges.protocols.sslAlias",
						"edges.proxies.isEnabled",
						"edges.proxies.proxyProtocol",
						"edges.proxies.port",
						"edges.proxies.username",
						"edges.proxies.isUsePassword"
					],
                    "response" : {
					  "resultSet": {
						"returnCount": 0,
						"totalCount": 0
					  },
					  "result": [
						{
						  "name": "string",
						  "description": "string",
						  "publicURLPrefix": "string",
						  "ssoSpEntityId": "string",
						  "isDnsResolutionEnabled": false,
						  "isDefault": false,
						  "edges": [
							{
							  "title": "string",
							  "notes": "string",
							  "deploymentSite": "string",
							  "enabledProxy": false,
							  "protocols": [
								{
								  "streamingProtocol": "string",
								  "port": 0,
								  "isEnabled": false,
								  "sslAlias": "string"
								}
							  ],
							  "proxies": [
								{
								  "proxyProtocol": "string",
								  "port": 0,
								  "isEnabled": false,
								  "username": "string",
								  "isUsePassword": false,
								  "password": "string"
								}
							  ],
							  "isAutoDiscoverable": false,
							  "dynamicNodeIpDiscoveryFqdn": "string",
							  "ipAddresses": [
								{
								  "ipAddress": "string"
								}
							  ],
							  "configurationId": "string",
							  "descriptor": "string"
							}
						  ]
						}
					  ]
					} 
                },
				"post" : {
					"description" : " - Creates zones.",
                    "request" : ["Note: Creates one zone per request."],
					"request_body" : {
					    "name": "string",
				        "description": "string",
				        "publicURLPrefix": "string",
				        "isDnsResolutionEnabled": false,
				        "isDefault": false
				    },
					"response" : "No content"
                }
            }
        },
		"zones_name" : {
            "path" : "/zones/{name}",
            "methods" : {
                "get" : {
					"description" : " - Gets the zone with given name.",
                    "request" : ["name", "fields"],
                    "response" : {
					  "name": "string",
					  "description": "string",
					  "publicURLPrefix": "string",
					  "ssoSpEntityId": "string",
					  "isDnsResolutionEnabled": false,
					  "isDefault": false,
					  "edges": [
						{
						  "title": "string",
						  "notes": "string",
						  "deploymentSite": "string",
						  "enabledProxy": false,
						  "protocols": [
							{
							  "streamingProtocol": "string",
							  "port": 65535,
							  "isEnabled": false,
							  "sslAlias": "string"
							}
						  ],
						  "proxies": [
							{
							  "proxyProtocol": "string",
							  "port": 0,
							  "isEnabled": false,
							  "username": "string",
							  "isUsePassword": false,
							  "password": "string"
							}
						  ],
						  "isAutoDiscoverable": false,
						  "dynamicNodeIpDiscoveryFqdn": "string",
						  "ipAddresses": [
							{
							  "ipAddress": "string"
							}
						  ],
						  "configurationId": "string",
						  "descriptor": "string"
						}
					  ]
					}
                },
				"post" : {
					"method" : "PUT|PATCH",
					"path" : "/zones/{name}",
					"description" : " - Creates the zone",
                    "request" : ["name"],
					"request_body" : {
					  "name": "string",
					  "description": "string",
					  "publicURLPrefix": "string",
					  "ssoSpEntityId": "string",
					  "isDnsResolutionEnabled": false,
					  "isDefault": false,
					  "edges": [
						{
						  "title": "string",
						  "notes": "string",
						  "deploymentSite": "string",
						  "enabledProxy": false,
						  "protocols": [
							{
							  "streamingProtocol": "string",
							  "port": 0,
							  "isEnabled": false,
							  "sslAlias": "string"
							}
						  ],
						  "proxies": [
							{
							  "proxyProtocol": "string",
							  "port": 0,
							  "isEnabled": false,
							  "username": "string",
							  "isUsePassword": false,
							  "password": "string"
							}
						  ],
						  "isAutoDiscoverable": false,
						  "dynamicNodeIpDiscoveryFqdn": "string",
						  "ipAddresses": [
							{
							  "ipAddress": "string"
							}
						  ],
						  "configurationId": "string",
						  "descriptor": "string"
						}
					  ]
					},
                    "response" : "No content"
                },
				"put" : {
					"method" : "POST",
					"path" : "/zones",
					"description" : " - Updates the fields of existing zone with the same name.",
                    "request" : [],
					"request_body" : {
					  "name": "string",
					  "description": "string",
					  "publicURLPrefix": "string",
					  "ssoSpEntityId": "string",
					  "isDnsResolutionEnabled": false,
					  "isDefault": false,
					  "edges": [
						{
						  "title": "string",
						  "notes": "string",
						  "deploymentSite": "string",
						  "enabledProxy": false,
						  "protocols": [
							{
							  "streamingProtocol": "string",
							  "port": 0,
							  "isEnabled": false,
							  "sslAlias": "string"
							}
						  ],
						  "proxies": [
							{
							  "proxyProtocol": "string",
							  "port": 0,
							  "isEnabled": false,
							  "username": "string",
							  "isUsePassword": false,
							  "password": "string"
							}
						  ],
						  "isAutoDiscoverable": false,
						  "dynamicNodeIpDiscoveryFqdn": "string",
						  "ipAddresses": [
							{
							  "ipAddress": "string"
							}
						  ],
						  "configurationId": "string",
						  "descriptor": "string"
						}
					  ]
					},
                    "response" : "No content"
                },
				"delete" : {
					"description" : " - Deletes a zone with given name.",
                    "request" : ["name"],
                    "response" : "No content"
                }
            }
        },
		"zones_name_edges" : {
            "path" : "/zones/{name}/edges",
            "methods" : {
                "get" : {
					"path" : "zones/{name}",
					"description" : " - Gets the edges for the given zone.",
                    "request" : ["name", "fields='edges'"],
                    "response" : {
					  "edges": [
						{
							"title": "string",
							"notes": "string",
							"deploymentSite": "string",
							"enabledProxy": false,
							"protocols": [
							  {
								"protocol": {
								  "streaming_protocol": "string",
								  "port": 0,
								  "isEnabled": false,
								  "ssl_alias": "string"
								}
							  }
							],
							"proxies": [
							  {
								"proxy": {
								  "proxy_protocol": "string",
								  "port": 0,
								  "isEnabled": false,
								  "username": "string",
								  "isUsePassword": false,
								  "password": "string"
								}
							  }
							],
							"ip_address": [
							  {
								"ipAddress": "string"
							  }
							],
							"configurationId": "string",
							"descriptor": "string"
						  }
					  ]
					}
                },
				"post" : {
					"path" : "/zones/{name}",
					"description" : " - Creates the edges for the given zone.",
                    "request" : ["name"],
					"request_bod/applicatriony": [
						{
						  "op" : "add",
						  "path" : "/edges/0",
						  "value" : {
							"title": "string",
							"notes": "string",
							"deploymentSite": "string",
							"enabledProxy": false,
							"protocols": [
							  {
								"protocol": {
								  "streaming_protocol": "string",
								  "port": 0,
								  "isEnabled": false,
								  "ssl_alias": "string"
								}
							  }
							],
							"proxies": [
							  {
								"proxy": {
								  "proxy_protocol": "string",
								  "port": 0,
								  "isEnabled": false,
								  "username": "string",
								  "isUsePassword": false,
								  "password": "string"
								}
							  }
							],
							"ip_address": [
							  {
								"ipAddress": "string"
							  }
							],
							"configurationId": "string",
							"descriptor": "string"
						  }
						}
					],
					"response" : "No content"
                }
			}
		}
	},
	"Sessions" : {
        "sessions" : {
            "path" : "/sessions",
            "methods" : {
                "get" : {
					"description" : " - Gets the sessions in json format.",
                    "request" : ["limit", "fields", "type", "localDaemonReturn"],
                    "response" : [{
						"id": "string",
						"userName": "string",
						"host": "string",
						"protocol": "FTP",
						"userClass": "string",
						"currentTransferBandwith": "string",
						"command": "string",
						"sessionCreationTime": "string",
						"nodeIp": "string",
						"serverName": "string"
					}]
				}
            }
        },
		"sessions_bandwidthInfoByLogin" : {
            "path" : "/sessions/bandwidthInfoByLogin",
            "methods" : {
                "get" : {
					"method" : "GET",
					"path" : "/sessions/statistics/bandwidth",
					"description" : " - Gets the sessions bandwidth information by login name in a single list.",
                    "request" : ["limit", "fields"],
                    "response" : [{
						"loginName": "string",
						"bandwidthUsageStats": {
						  "inbound": 0,
						  "outbound": 0
						},
						"sessions": {
						  "total": 0,
						  "http": 0,
						  "ftp": 0,
						  "ssh": 0
						},
						"maxAllowedBandwidth": {
						  "inbound": 0,
						  "outbound": 0
						}
					}]
				}
            }
        },
		"sessions_json" : {
            "path" : "/sessions/sessions.json",
            "methods" : {
                "get" : {
					"method" : "GET",
					"path" : "/sessions",
					"description" : " - Gets the sessions in json format.",
                    "request" : ["limit", "fields", "type", "localDaemonReturn"],
                    "response" : [{
						"id": "string",
						"userName": "string",
						"host": "string",
						"protocol": "FTP",
						"userClass": "string",
						"currentTransferBandwith": "string",
						"command": "string",
						"sessionCreationTime": "string",
						"nodeIp": "string",
						"serverName": "string"
					}]
				}
            }
        },
		"sessions_id" : {
            "path" : "/sessions/{sessionID}",
            "methods" : {
                "get" : {
					"method" : "GET",
					"path" : "/sessions/{id}",
					"description" : " - Gets a single session.",
                    "request" : ["id", "fields"],
                    "response" : {
					  "id": "string",
					  "userName": "string",
					  "host": "string",
					  "protocol": "FTP",
					  "userClass": "string",
					  "currentTransferBandwith": "string",
					  "command": "string",
					  "sessionCreationTime": "string",
					  "nodeIp": "string",
					  "serverName": "string"
					}
				},
				"delete" : {
					"method" : "DELETE",
					"path" : "/sessions/{id}",
					"description" : " - Kills a session.",
                    "request" : ["id", "localDaemonReturn"],
                    "response" : "No content"
                }
            }
        }
	},
	"TransferProfiles" : {
		"transferProfiles" : {
            "path" : "/transferProfiles",
            "methods" : {
                "get" : {
					"description" : " - Gets the transfer profiles.",
                    "request" : [
						"limit",
						"offset",
						"fields",
						"name",
						"account",
						"default",
						"sendMapping",
						"receiveMapping",
						"fileLabelOption",
						"multiSelect",
						"transferMode",
						"recordFormat",
						"recordLength",
						"sendingAcknowledgmentEnabled",
						"paddingStripEnabled",
						"additionalAttributes.key",
						"additionalAttributes.value",
						"advancedSettings.enabled",
						"advancedSettings.callerTranscoding.localDataCode",
						"advancedSettings.callerTranscoding.type",
						"advancedSettings.callerTranscoding.transcoding",
						"advancedSettings.callerTranscoding.networkDataCode",
						"advancedSettings.callerTranscoding.sourceEncodingScheme",
						"advancedSettings.callerTranscoding.outputEncodingScheme",
						"advancedSettings.callerTranscoding.outputRecordFormat",
						"advancedSettings.callerTranscoding.outputRecordLength",
						"advancedSettings.callerTranscoding.paddingCharacter",
						"advancedSettings.receiverTranscoding.type",
						"advancedSettings.receiverTranscoding.transcoding",
						"advancedSettings.receiverTranscoding.localDataCode",
						"advancedSettings.receiverTranscoding.sourceEncodingScheme",
						"advancedSettings.receiverTranscoding.outputEncodingScheme",
						"advancedSettings.receiverTranscoding.outputRecordFormat",
						"advancedSettings.receiverTranscoding.outputRecordLength",
						"advancedSettings.receiverTranscoding.paddingCharacter",
						"advancedSettings.receiverTranscoding.lineEndingFormat"
					],
                    "response" : {
					  "resultSet": {
					    "returnCount": 0,
					    "totalCount": 0
					  },
					  "result": [
					    {
					      "id": "string",
					      "name": "string",
					      "account": "string",
					      "default": false,
					      "sendMapping": "string",
					      "receiveMapping": "string",
					      "fileLabelOption": "DONT_SEND",
					      "multiSelect": false,
					      "transferMode": "BINARY",
					      "recordFormat": "Variable",
					      "recordLength": 2048,
					      "sendingAcknowledgmentEnabled": false,
					      "paddingStripEnabled": false,
					      "additionalAttributes": {
					        "additionalProp1": "string",
					        "additionalProp2": "string",
					        "additionalProp3": "string"
					      }
					    },
					    {
					      "id": "string",
					      "name": "string",
					      "account": "string",
					      "default": false,
					      "sendMapping": "string",
					      "receiveMapping": "string",
					      "fileLabelOption": "DONT_SEND",
					      "multiSelect": false,
					      "transferMode": "BINARY",
					      "recordFormat": "Variable",
					      "recordLength": 2048,
					      "sendingAcknowledgmentEnabled": false,
					      "paddingStripEnabled": false,
					      "additionalAttributes": {
					        "additionalProp1": "string",
					        "additionalProp2": "string",
					        "additionalProp3": "string"
					      },
					      "advancedSettings": {
					        "enabled": false,
					        "callerTranscoding": {
					          "localDataCode": "BINARY",
					          "networkDataCode": "BINARY",
					          "outputRecordFormat": "VARIABLE",
					          "outputRecordLength": 2048
					        },
					        "receiverTranscoding": {
					          "localDataCode": "BINARY"
					        }
					      }
					    },
					    {
					      "id": "string",
					      "name": "string",
					      "account": "string",
					      "default": false,
					      "sendMapping": "string",
					      "receiveMapping": "string",
					      "fileLabelOption": "DONT_SEND",
					      "multiSelect": false,
					      "transferMode": "BINARY",
					      "recordFormat": "Variable",
					      "recordLength": 2048,
					      "sendingAcknowledgmentEnabled": false,
					      "paddingStripEnabled": false,
					      "additionalAttributes": {
					        "additionalProp1": "string",
					        "additionalProp2": "string",
					        "additionalProp3": "string"
					      },
					      "advancedSettings": {
					        "enabled": true,
					        "callerTranscoding": {
					          "type": "ascii",
					          "localDataCode": "ASCII",
					          "networkDataCode": "ASCII",
					          "outputRecordFormat": "VARIABLE",
					          "outputRecordLength": 2048,
					          "paddingCharacter": "string"
					        },
					        "receiverTranscoding": {
					          "type": "ebcdic",
					          "localDataCode": "EBCDIC",
					          "outputRecordFormat": "VARIABLE",
					          "outputRecordLength": 2048,
					          "paddingCharacter": "string",
					          "lineEndingFormat": "DEFAULT"
					        }
					      }
					    },
					    {
					      "id": "string",
					      "name": "string",
					      "account": "string",
					      "default": false,
					      "sendMapping": "string",
					      "receiveMapping": "string",
					      "fileLabelOption": "DONT_SEND",
					      "multiSelect": false,
					      "transferMode": "BINARY",
					      "recordFormat": "Variable",
					      "recordLength": 2048,
					      "sendingAcknowledgmentEnabled": false,
					      "paddingStripEnabled": false,
					      "additionalAttributes": {
					        "additionalProp1": "string",
					        "additionalProp2": "string",
					        "additionalProp3": "string"
					      },
					      "advancedSettings": {
					        "enabled": true,
					        "callerTranscoding": {
					          "type": "ebcdic_predefined",
					          "localDataCode": "EBCDIC",
					          "transcoding": "PREDEFINED",
					          "networkDataCode": "EBCDIC",
					          "sourceEncodingScheme": "IBM1047",
					          "outputEncodingScheme": "IBM1047",
					          "outputRecordFormat": "VARIABLE",
					          "outputRecordLength": 2048,
					          "paddingCharacter": "string"
					        },
					        "receiverTranscoding": {
					          "type": "predefined",
					          "transcoding": "PREDEFINED",
					          "sourceEncodingScheme": "UTF-8",
					          "outputEncodingScheme": "UTF-8",
					          "outputRecordFormat": "VARIABLE",
					          "outputRecordLength": 2048,
					          "paddingCharacter": "string",
					          "lineEndingFormat": "DEFAULT"
					        }
					      }
					    }
					  ]
					}
				},
				"post" : {
					"description" : " - Creates the transfer profiles.",
                    "request" : ["Note: Creates one transfer profile per request."],
					"request_body" : {
				      "id": "string",
				      "name": "string",
				      "account": "string",
				      "sendMapping": "string",
				      "receiveMapping": "string",
				      "fileLabelOption": "DONT_SEND",
				      "transferMode": "BINARY",
				      "recordFormat": "128",
				      "recordLength": 2048,
				      "default": false,
				      "multiSelect": false,
				      "sendingAcknowledgmentEnabled": false,
				      "paddingStripEnabled": false
					},
                    "response" : "No content"
                }
            }
        },
		"transferProfiles_id" : {
            "path" : "/transferProfiles/{id}",
            "methods" : {
                "get" : {
					"description" : " - Gets a single transfer profile with the given id.",
                    "request" : ["id", "fields"],
					"response" :  {
				      "id": "string",
				      "name": "string",
				      "account": "string",
				      "default": false,
				      "sendMapping": "string",
				      "receiveMapping": "string",
				      "fileLabelOption": "DONT_SEND",
				      "multiSelect": false,
				      "transferMode": "BINARY",
				      "recordFormat": "Variable",
				      "recordLength": 2048,
				      "sendingAcknowledgmentEnabled": false,
				      "paddingStripEnabled": false,
				      "additionalAttributes": {
				        "additionalProp1": "string",
				        "additionalProp2": "string",
				        "additionalProp3": "string"
				      },
				      "advancedSettings": {
				        "enabled": true,
				        "callerTranscoding": {
				          "type": "ebcdic_predefined",
				          "localDataCode": "EBCDIC",
				          "transcoding": "PREDEFINED",
				          "networkDataCode": "EBCDIC",
				          "sourceEncodingScheme": "IBM1047",
				          "outputEncodingScheme": "IBM1047",
				          "outputRecordFormat": "VARIABLE",
				          "outputRecordLength": 2048,
				          "paddingCharacter": "string"
				        },
				        "receiverTranscoding": {
				          "type": "predefined",
				          "transcoding": "PREDEFINED",
				          "sourceEncodingScheme": "UTF-8",
				          "outputEncodingScheme": "UTF-8",
				          "outputRecordFormat": "VARIABLE",
				          "outputRecordLength": 2048,
				          "paddingCharacter": "string",
				          "lineEndingFormat": "DEFAULT"
				        }
				      }
				    }
				},
				"post" : {
					"method" : "PUT|PATCH",
					"path" : "/transferProfiles/{id}",
					"description" : " - Updates transfer profile properties.",
                    "request" : ["id"],
					"request_body" : {
				      "id": "string",
				      "name": "string",
				      "account": "string",
				      "default": false,
				      "sendMapping": "string",
				      "receiveMapping": "string",
				      "fileLabelOption": "DONT_SEND",
				      "multiSelect": false,
				      "transferMode": "BINARY",
				      "recordFormat": "Variable",
				      "recordLength": 2048,
				      "sendingAcknowledgmentEnabled": false,
				      "paddingStripEnabled": false,
				      "additionalAttributes": {
				        "additionalProp1": "string",
				        "additionalProp2": "string",
				        "additionalProp3": "string"
				      },
				      "advancedSettings": {
				        "enabled": true,
				        "callerTranscoding": {
				          "type": "ebcdic_predefined",
				          "localDataCode": "EBCDIC",
				          "transcoding": "PREDEFINED",
				          "networkDataCode": "EBCDIC",
				          "sourceEncodingScheme": "IBM1047",
				          "outputEncodingScheme": "IBM1047",
				          "outputRecordFormat": "VARIABLE",
				          "outputRecordLength": 2048,
				          "paddingCharacter": "string"
				        },
				        "receiverTranscoding": {
				          "type": "predefined",
				          "transcoding": "PREDEFINED",
				          "sourceEncodingScheme": "UTF-8",
				          "outputEncodingScheme": "UTF-8",
				          "outputRecordFormat": "VARIABLE",
				          "outputRecordLength": 2048,
				          "paddingCharacter": "string",
				          "lineEndingFormat": "DEFAULT"
				        }
				      }
				    },
                    "response" : "No content"
                },
				"delete" : {
					"description" : " - Deletes a transfer profile.",
                    "request" : ["id"],
                    "response" : "No content"
                }
            }
        }
	},
	"RouteStepsMetadata" : {
		"routeStepsMetadata" : {
            "path" : "/routeStepsMetadata",
            "methods" : {
                "get" : {
					"description" : " - Gets route steps metadata.",
                    "request" : ["fields"],
					"response" : [{
					    "stepType": "string",
					    "stepCategory": "string",
					    "stepDisplayName": "string",
					    "endpointSchema": "string",
					    "uiPagePath": "string",
					    "stepPropertyBean": "string",
					    "stepValidatorClassName": "string",
					    "routeBuilderClassName": "string",
					    "stepPropertyTransformer": "string",
					    "stepModule": "string",
					    "stepProducer": "string",
    					"stepJarName": "string"
					}]
				}
            }
        }
	},
	"RouteStepsCharsets" : {
		"routeStepsCharsets" : {
            "path" : "/routeStepsCharsets",
            "methods" : {
                "get" : {
					"description" : " - Gets supported charsets.",
                    "request" : [],
					"response" : {
					  "charsets" : ["string", "string"]
					}
				}
            }
        }
	},
	"MailTemplates" : {
		"MailTemplates" : {
            "path" : "/mailTemplates",
            "methods" : {
                "get" : {
					"description" : " - Returns a list mail templates.",
                    "request" : [
						"limit",
						"offset",
						"fields",
						"name",
						"description"
					],
					"response" :{
					  "resultSet": {
					    "returnCount": 0,
					    "totalCount": 0
					  },
					  "result": [
					    {
					      "name": "string",
					      "description": "string"
					    }
					  ]
					}
				}
            }
        },
		"MailTemplates_name" : {
            "path" : "/mailTemplates/{fileName}",
            "methods" : {
                "get" : {
					"path" : "/mailTemplates/{name}",
					"description" : " - Download mail template with the given file name",
                    "request" : ["name"],
					"response" : "The template file content"
				},
				"put" : {
					"path" : "/mailTemplates/{name}",
					"description" : " - Upload template with the given file name in the request path",
                    "request" : ["name"],
					"request_body" : "file (file chooser), description",
					"response" : "No content"
				},
				"delete" : {
					"path" : "/mailTemplates/{name}",
					"description" : " - Delete mail template with the given file name.",
                    "request" : ["name"],
					"response" : "No content"
				}
            }
        }
	},
	"Routes" : {
		"Routes" : {
            "path" : "/routes",
            "methods" : {
                "get" : {
					"description" : " - Gets the routes.",
                    "request" : [
						"limit",
						"offset",
						"fields",
						"account",
						"businessUnit",
						"referredByRoute",
						"type",
						"managedByCG",
						"condition",
						"conditionType",
						"description",
						"failureEmailName",
						"failureEmailNotification",
						"failureEmailTemplate",
						"name",
						"routeTemplate",
						"subscription",
						"additionalAttributes.key",
						"additionalAttributes.value",
						"successEmailName",
						"successEmailNotification",
						"successEmailTemplate",
						"triggeringEmailName",
						"triggeringEmailNotification",
						"triggeringEmailTemplate",
						"stepStatuses.stepId",
						"stepStatuses.status",
						"steps.id",
						"steps.type",
						"steps.condition",
						"steps.conditionType",
						"steps.actionOnStepSuccess",
						"steps.status",
						"steps.autostart",
						"steps.executeRoute",
						"steps.precedingStep",
						"steps.actionOnStepFailure",
						"steps.fileFilterExpression",
						"steps.fileFilterExpressionType",
						"steps.inputCharset",
						"steps.outputCharset",
						"steps.postTransformationActionRenameAsExpression",
						"steps.usePrecedingStepFiles",
						"step.compressionType",
						"steps.compressionLevel",
						"step.singleArchiveName",
						"steps.singleArchiveEnabled",
						"steps.fileFoldWidth",
						"steps.inputEolSequence",
						"steps.outputEolSequence",
						"steps.linePaddingCharacter",
						"steps.linePaddingLength",
						"steps.truncateLength",
						"steps.requireEncryption",
						"steps.requireTrustedSignature",
						"steps.compressionType",
						"steps.encryptKeyExpression",
						"steps.encryptKeyExpressionType",
						"steps.encryptKeyOwnerExpression",
						"steps.encryptKeyOwnerExpressionType",
						"steps.signKeyExpression",
						"steps.signKeyExpressionType",
						"steps.signKeyOwnerExpression",
						"steps.signKeyOwnerExpressionType",
						"steps.useAsciiArmour",
						"steps.outputFileName",
						"steps.findCharacterSequence",
						"steps.lineStrip",
						"steps.replaceCharacterSequence",
						"steps.logOutput",
						"steps.rootExecution",
						"steps.scriptPath",
						"steps.disableAutoCreateTargetFolder",
						"steps.filenameCollisionResolutionType",
						"steps.postRoutingActionRenameExpression",
						"steps.postRoutingActionType",
						"steps.publishFileAs",
						"steps.targetAccountExpression",
						"steps.targetFolderExpression",
						"steps.targetFolderExpressionType",
						"steps.triggerSubscription",
						"steps.archivePolicyOnFailure",
						"steps.archivePolicyOnSuccess",
						"steps.dataEncoding",
						"steps.fileLabel",
						"steps.finalDestination",
						"steps.maxNumberOfRetries",
						"steps.maxParallelClients",
						"steps.originator",
						"steps.recordFormat",
						"steps.recordLength",
						"steps.routeFileAs",
						"steps.sleepBetweenRetries",
						"steps.sleepIncrementBetweenRetries",
						"steps.storeAndForwardMode",
						"steps.targetAccountExpressionType",
						"steps.transferProfileExpression",
						"steps.transferProfileExpressionType",
						"steps.transferSiteExpression",
						"steps.transferSiteExpressionType",
						"steps.triggerFileContent",
						"steps.triggerFileForEach",
						"steps.triggerFileName",
						"steps.triggerTargetAccountExpression",
						"steps.triggerTargetAccountExpressionType",
						"steps.triggerTransferProfileExpression",
						"steps.triggerTransferProfileExpressionType",
						"steps.triggerTransferSiteExpression",
						"steps.triggerTransferSiteExpressionType",
						"steps.triggerUploadFolder",
						"steps.uploadFolder",
						"steps.userMessage",
						"steps.virtualFilename",
						"steps.localFolderPathExpression",
						"steps.localFolderPathExpressionType",
						"steps.localFileNameExpression",
						"steps.localFileNameExpressionType",
						"steps.remoteFolderPathExpression",
						"steps.remoteFolderPathExpressionType",
						"steps.remoteFileNameExpression",
						"steps.remoteFileNameExpressionType"
					],
					"response" : {
					  "resultSet": {
					    "returnCount": 0,
					    "totalCount": 0
					  },
					  "result": [
					    {
					      "id": "string",
					      "name": "string",
					      "description": "string",
					      "type": "TEMPLATE",
					      "managedByCG": false,
					      "routeTemplate": "string",
					      "account": "string",
					      "businessUnits": [
					        "string"
					      ],
					      "conditionType": "MATCH_ALL",
					      "condition": "string",
					      "failureEmailNotification": false,
					      "failureEmailTemplate": "string",
					      "failureEmailName": "string",
					      "successEmailNotification": false,
					      "successEmailTemplate": "string",
					      "successEmailName": "string",
					      "triggeringEmailNotification": false,
					      "triggeringEmailTemplate": "string",
					      "triggeringEmailName": "string",
					      "subscriptions": [
					        "string"
					      ],
					      "additionalAttributes": {
					        "additionalProp1": "string",
					        "additionalProp2": "string",
					        "additionalProp3": "string"
					      },
					      "stepStatuses": [
					        {
					          "id": "string",
					          "stepId": "string",
					          "status": "ENABLED"
					        }
					      ],
					      "steps": [
					        {
					          "id": "string",
					          "type": "EncodingConversion",
					          "status": "ENABLED",
					          "precedingStep": "string",
					          "conditionType": "ALWAYS",
					          "condition": "string",
					          "actionOnStepSuccess": "PROCEED",
					          "actionOnStepFailure": "FAIL",
					          "autostart": false,
					          "usePrecedingStepFiles": false,
					          "fileFilterExpression": "string",
					          "fileFilterExpressionType": "GLOB",
					          "inputCharset": "string",
					          "outputCharset": "string",
					          "postTransformationActionRenameAsExpression": "string"
					        },
					        {
					          "id": "string",
					          "type": "Compress",
					          "status": "ENABLED",
					          "precedingStep": "string",
					          "conditionType": "ALWAYS",
					          "condition": "string",
					          "actionOnStepSuccess": "PROCEED",
					          "actionOnStepFailure": "FAIL",
					          "autostart": false,
					          "usePrecedingStepFiles": false,
					          "fileFilterExpression": "string",
					          "fileFilterExpressionType": "GLOB",
					          "singleArchiveEnabled": false,
					          "compressionType": "string",
					          "zipPassword": "string",
					          "compressionLevel": "STORE",
					          "singleArchiveName": "string",
					          "postTransformationActionRenameAsExpression": "string"
					        },
					        {
					          "id": "string",
					          "type": "Decompress",
					          "status": "ENABLED",
					          "precedingStep": "string",
					          "conditionType": "ALWAYS",
					          "condition": "string",
					          "actionOnStepSuccess": "PROCEED",
					          "actionOnStepFailure": "FAIL",
					          "autostart": false,
					          "usePrecedingStepFiles": false,
					          "fileFilterExpression": "string",
					          "fileFilterExpressionType": "GLOB",
					          "filenameCollisionResolutionType": "OVERWRITE",
					          "zipPassword": "string",
					          "postTransformationActionRenameAsExpression": "string"
					        },
					        {
					          "id": "string",
					          "type": "LineFolding",
					          "status": "ENABLED",
					          "precedingStep": "string",
					          "conditionType": "ALWAYS",
					          "condition": "string",
					          "actionOnStepSuccess": "PROCEED",
					          "actionOnStepFailure": "FAIL",
					          "autostart": false,
					          "usePrecedingStepFiles": false,
					          "fileFilterExpression": "string",
					          "fileFilterExpressionType": "GLOB",
					          "fileFoldWidth": 1,
					          "inputCharset": "string",
					          "outputCharset": "string",
					          "postTransformationActionRenameAsExpression": "string"
					        },
					        {
					          "id": "string",
					          "type": "LineEnding",
					          "status": "ENABLED",
					          "precedingStep": "string",
					          "conditionType": "ALWAYS",
					          "condition": "string",
					          "actionOnStepSuccess": "PROCEED",
					          "actionOnStepFailure": "FAIL",
					          "autostart": false,
					          "usePrecedingStepFiles": false,
					          "fileFilterExpression": "string",
					          "fileFilterExpressionType": "GLOB",
					          "inputEolSequence": "string",
					          "outputEolSequence": "string",
					          "inputCharset": "string",
					          "outputCharset": "string",
					          "postTransformationActionRenameAsExpression": "string"
					        },
					        {
					          "id": "string",
					          "type": "LinePadding",
					          "status": "ENABLED",
					          "precedingStep": "string",
					          "conditionType": "ALWAYS",
					          "condition": "string",
					          "actionOnStepSuccess": "PROCEED",
					          "actionOnStepFailure": "FAIL",
					          "autostart": false,
					          "usePrecedingStepFiles": false,
					          "fileFilterExpression": "string",
					          "fileFilterExpressionType": "GLOB",
					          "linePaddingCharacter": "\\\\u0043",
					          "linePaddingLength": "string",
					          "inputCharset": "string",
					          "outputCharset": "string",
					          "postTransformationActionRenameAsExpression": "string"
					        },
					        {
					          "id": "string",
					          "type": "LineTruncating",
					          "status": "ENABLED",
					          "precedingStep": "string",
					          "conditionType": "ALWAYS",
					          "condition": "string",
					          "actionOnStepSuccess": "PROCEED",
					          "actionOnStepFailure": "FAIL",
					          "autostart": false,
					          "usePrecedingStepFiles": false,
					          "fileFilterExpression": "string",
					          "fileFilterExpressionType": "GLOB",
					          "inputCharset": "string",
					          "outputCharset": "string",
					          "truncateLength": 1,
					          "postTransformationActionRenameAsExpression": "string"
					        },
					        {
					          "id": "string",
					          "type": "PgpDecryption",
					          "status": "ENABLED",
					          "precedingStep": "string",
					          "conditionType": "ALWAYS",
					          "condition": "string",
					          "actionOnStepSuccess": "PROCEED",
					          "actionOnStepFailure": "FAIL",
					          "autostart": false,
					          "usePrecedingStepFiles": false,
					          "fileFilterExpression": "string",
					          "fileFilterExpressionType": "GLOB",
					          "requireEncryption": false,
					          "requireTrustedSignature": false,
					          "postTransformationActionRenameAsExpression": "string"
					        },
					        {
					          "id": "string",
					          "type": "PgpEncryption",
					          "status": "ENABLED",
					          "precedingStep": "string",
					          "conditionType": "ALWAYS",
					          "condition": "string",
					          "actionOnStepSuccess": "PROCEED",
					          "actionOnStepFailure": "FAIL",
					          "autostart": false,
					          "fileFilterExpression": "string",
					          "fileFilterExpressionType": "GLOB",
					          "usePrecedingStepFiles": false,
					          "encryptKeyOwnerExpression": "string",
					          "encryptKeyExpression": "string",
					          "encryptKeyOwnerExpressionType": "string",
					          "encryptKeyExpressionType": "string",
					          "signKeyOwnerExpression": "string",
					          "signKeyExpression": "string",
					          "signKeyOwnerExpressionType": "string",
					          "signKeyExpressionType": "string",
					          "useAsciiArmour": false,
					          "compressionType": "string",
					          "compressionLevel": "string",
					          "postTransformationActionRenameAsExpression": "string"
					        },
					        {
					          "id": "string",
					          "type": "Rename",
					          "status": "ENABLED",
					          "precedingStep": "string",
					          "conditionType": "ALWAYS",
					          "condition": "string",
					          "actionOnStepSuccess": "PROCEED",
					          "actionOnStepFailure": "FAIL",
					          "autostart": false,
					          "usePrecedingStepFiles": false,
					          "outputFileName": "string",
					          "fileFilterExpression": "string",
					          "fileFilterExpressionType": "GLOB"
					        },
					        {
					          "id": "string",
					          "type": "CharactersReplace",
					          "status": "ENABLED",
					          "precedingStep": "string",
					          "conditionType": "ALWAYS",
					          "condition": "string",
					          "actionOnStepSuccess": "PROCEED",
					          "actionOnStepFailure": "FAIL",
					          "autostart": false,
					          "usePrecedingStepFiles": false,
					          "fileFilterExpression": "string",
					          "fileFilterExpressionType": "GLOB",
					          "findCharacterSequence": "string",
					          "lineStrip": "string",
					          "replaceCharacterSequence": "string",
					          "inputCharset": "string",
					          "outputCharset": "string",
					          "postTransformationActionRenameAsExpression": "string"
					        },
					        {
					          "id": "string",
					          "type": "ExternalScript",
					          "status": "ENABLED",
					          "precedingStep": "string",
					          "conditionType": "ALWAYS",
					          "condition": "string",
					          "actionOnStepSuccess": "PROCEED",
					          "actionOnStepFailure": "FAIL",
					          "autostart": false,
					          "scriptPath": "string",
					          "logOutput": false,
					          "rootExecution": false
					        },
					        {
					          "id": "string",
					          "type": "Publish",
					          "status": "ENABLED",
					          "precedingStep": "string",
					          "conditionType": "ALWAYS",
					          "condition": "string",
					          "actionOnStepSuccess": "PROCEED",
					          "actionOnStepFailure": "FAIL",
					          "autostart": false,
					          "usePrecedingStepFiles": false,
					          "fileFilterExpression": "string",
					          "fileFilterExpressionType": "GLOB",
					          "filenameCollisionResolutionType": "string",
					          "targetAccountExpression": "string",
					          "targetAccountExpressionType": "string",
					          "targetFolderExpression": "string",
					          "targetFolderExpressionType": "string",
					          "publishFileAs": "string",
					          "triggerSubscription": false,
					          "postRoutingActionType": "string",
					          "disableAutoCreateTargetFolder": false,
					          "postRoutingActionRenameExpression": "string"
					        },
					        {
					          "id": "string",
					          "type": "SendToPartner",
					          "status": "ENABLED",
					          "precedingStep": "string",
					          "conditionType": "ALWAYS",
					          "condition": "string",
					          "actionOnStepSuccess": "PROCEED",
					          "actionOnStepFailure": "FAIL",
					          "autostart": false,
					          "usePrecedingStepFiles": false,
					          "fileFilterExpression": "string",
					          "fileFilterExpressionType": "GLOB",
					          "targetAccountExpression": "string",
					          "targetAccountExpressionType": "string",
					          "transferSiteExpression": "string",
					          "transferSiteExpressionType": "LIST",
					          "uploadFolder": "string",
					          "transferProfileExpression": "string",
					          "transferProfileExpressionType": "string",
					          "storeAndForwardMode": "string",
					          "virtualFilename": "string",
					          "dataEncoding": "string",
					          "recordFormat": "string",
					          "recordLength": "string",
					          "fileLabel": "string",
					          "originator": "string",
					          "finalDestination": "string",
					          "userMessage": "string",
					          "triggerFileName": "string",
					          "triggerTargetAccountExpression": "string",
					          "triggerTransferSiteExpression": "string",
					          "triggerTransferSiteExpressionType": "string",
					          "routeFileAs": "string",
					          "triggerFileContent": "string",
					          "postRoutingActionType": "string",
					          "sleepIncrementBetweenRetries": 0,
					          "sleepBetweenRetries": 0,
					          "maxParallelClients": 0,
					          "maxNumberOfRetries": 0,
					          "triggerFileForEach": false,
					          "triggerTransferProfileExpression": "string",
					          "triggerUploadFolder": "string",
					          "archivePolicyOnFailure": "DEFAULT",
					          "archivePolicyOnSuccess": "DEFAULT",
					          "postRoutingActionRenameExpression": "string",
					          "triggerTargetAccountExpressionType": "NAME",
					          "triggerTransferProfileExpressionType": "string"
					        },
					        {
					          "id": "string",
					          "type": "PullFromPartner",
					          "status": "ENABLED",
					          "precedingStep": "string",
					          "conditionType": "ALWAYS",
					          "condition": "string",
					          "actionOnStepSuccess": "PROCEED",
					          "actionOnStepFailure": "FAIL",
					          "autostart": false,
					          "targetAccountExpression": "string",
					          "targetAccountExpressionType": "string",
					          "transferSiteExpression": "string",
					          "transferSiteExpressionType": "LIST",
					          "remoteFolderPathExpression": "string",
					          "remoteFolderPathExpressionType": "SIMPLE",
					          "remoteFileNameExpression": "string",
					          "remoteFileNameExpressionType": "GLOB",
					          "localFolderPathExpression": "string",
					          "localFolderPathExpressionType": "SIMPLE",
					          "localFileNameExpression": "string",
					          "localFileNameExpressionType": "SIMPLE"
					        },
					        {
					          "id": "string",
					          "type": "ExecuteRoute",
					          "status": "ENABLED",
					          "precedingStep": "string",
					          "executeRoute": "string"
					        },
					        {
					          "id": "string",
					          "type": "Pluggable",
					          "status": "ENABLED",
					          "precedingStep": "string",
					          "conditionType": "ALWAYS",
					          "condition": "string",
					          "actionOnStepSuccess": "PROCEED",
					          "actionOnStepFailure": "FAIL",
					          "autostart": false,
					          "customProperties": {
					            "property_1": "string",
					            "property_2": "string"
					          }
					        }
					      ]
					    }
					  ]
					}
				},
				"post" : {
					"description" : " - Creates a route.",
                    "request" : [],
					"request_body" : {
					  "id": "string",
					  "name": "string",
					  "description": "string",
					  "type": "TEMPLATE",
					  "managedByCG": false,
					  "routeTemplate": "string",
					  "account": "string",
					  "businessUnits": [
					    "string"
					  ],
					  "conditionType": "MATCH_ALL",
					  "condition": "string",
					  "failureEmailNotification": false,
					  "failureEmailTemplate": "string",
					  "failureEmailName": "string",
					  "successEmailNotification": false,
					  "successEmailTemplate": "string",
					  "successEmailName": "string",
					  "triggeringEmailNotification": false,
					  "triggeringEmailTemplate": "string",
					  "triggeringEmailName": "string",
					  "subscriptions": [
					    "string"
					  ],
					  "additionalAttributes": {
					    "additionalProp1": "string",
					    "additionalProp2": "string",
					    "additionalProp3": "string"
					  },
					  "stepStatuses": [
					    {
					      "id": "string",
					      "stepId": "string",
					      "status": "ENABLED"
					    }
					  ],
					  "steps": [
					    {
					      "type": "EncodingConversion",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "inputCharset": "string",
					      "outputCharset": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "type": "Compress",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "singleArchiveEnabled": false,
					      "compressionType": "string",
					      "zipPassword": "string",
					      "compressionLevel": "STORE",
					      "singleArchiveName": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "type": "Decompress",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "filenameCollisionResolutionType": "OVERWRITE",
					      "zipPassword": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "type": "LineFolding",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "fileFoldWidth": 1,
					      "inputCharset": "string",
					      "outputCharset": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "type": "LineEnding",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "inputEolSequence": "string",
					      "outputEolSequence": "string",
					      "inputCharset": "string",
					      "outputCharset": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "type": "LinePadding",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "linePaddingCharacter": "\\\\u0043",
					      "linePaddingLength": "string",
					      "inputCharset": "string",
					      "outputCharset": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "type": "LineTruncating",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "inputCharset": "string",
					      "outputCharset": "string",
					      "truncateLength": 1,
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "type": "PgpDecryption",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "requireEncryption": false,
					      "requireTrustedSignature": false,
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "type": "PgpEncryption",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "usePrecedingStepFiles": false,
					      "encryptKeyOwnerExpression": "string",
					      "encryptKeyExpression": "string",
					      "encryptKeyOwnerExpressionType": "string",
					      "encryptKeyExpressionType": "string",
					      "signKeyOwnerExpression": "string",
					      "signKeyExpression": "string",
					      "signKeyOwnerExpressionType": "string",
					      "signKeyExpressionType": "string",
					      "useAsciiArmour": false,
					      "compressionType": "string",
					      "compressionLevel": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "type": "Rename",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "outputFileName": "string",
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB"
					    },
					    {
					      "type": "CharactersReplace",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "findCharacterSequence": "string",
					      "lineStrip": "string",
					      "replaceCharacterSequence": "string",
					      "inputCharset": "string",
					      "outputCharset": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "type": "ExternalScript",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "scriptPath": "string",
					      "logOutput": false,
					      "rootExecution": false
					    },
					    {
					      "type": "Publish",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "filenameCollisionResolutionType": "string",
					      "targetAccountExpression": "string",
					      "targetAccountExpressionType": "string",
					      "targetFolderExpression": "string",
					      "targetFolderExpressionType": "string",
					      "publishFileAs": "string",
					      "triggerSubscription": false,
					      "postRoutingActionType": "string",
					      "disableAutoCreateTargetFolder": false,
					      "postRoutingActionRenameExpression": "string"
					    },
					    {
					      "type": "SendToPartner",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "targetAccountExpression": "string",
					      "targetAccountExpressionType": "string",
					      "transferSiteExpression": "string",
					      "transferSiteExpressionType": "LIST",
					      "uploadFolder": "string",
					      "transferProfileExpression": "string",
					      "transferProfileExpressionType": "string",
					      "storeAndForwardMode": "string",
					      "virtualFilename": "string",
					      "dataEncoding": "string",
					      "recordFormat": "string",
					      "recordLength": "string",
					      "fileLabel": "string",
					      "originator": "string",
					      "finalDestination": "string",
					      "userMessage": "string",
					      "triggerFileName": "string",
					      "triggerTargetAccountExpression": "string",
					      "triggerTransferSiteExpression": "string",
					      "triggerTransferSiteExpressionType": "string",
					      "routeFileAs": "string",
					      "triggerFileContent": "string",
					      "postRoutingActionType": "string",
					      "sleepIncrementBetweenRetries": 0,
					      "sleepBetweenRetries": 0,
					      "maxParallelClients": 0,
					      "maxNumberOfRetries": 0,
					      "triggerFileForEach": false,
					      "triggerTransferProfileExpression": "string",
					      "triggerUploadFolder": "string",
					      "archivePolicyOnFailure": "DEFAULT",
					      "archivePolicyOnSuccess": "DEFAULT",
					      "postRoutingActionRenameExpression": "string",
					      "triggerTargetAccountExpressionType": "NAME",
					      "triggerTransferProfileExpressionType": "string"
					    },
					    {
					      "type": "PullFromPartner",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "targetAccountExpression": "string",
					      "targetAccountExpressionType": "string",
					      "transferSiteExpression": "string",
					      "transferSiteExpressionType": "LIST",
					      "remoteFolderPathExpression": "string",
					      "remoteFolderPathExpressionType": "SIMPLE",
					      "remoteFileNameExpression": "string",
					      "remoteFileNameExpressionType": "GLOB",
					      "localFolderPathExpression": "string",
					      "localFolderPathExpressionType": "SIMPLE",
					      "localFileNameExpression": "string",
					      "localFileNameExpressionType": "SIMPLE"
					    },
					    {
					      "type": "ExecuteRoute",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "executeRoute": "string"
					    },
					    {
					      "type": "Pluggable",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "customProperties": {
					        "property_1": "string",
					        "property_2": "string"
					      }
					    }
					  ]
					},
					"response" : "No content"
				}
            }
        },
		"Routes_count" : {
            "path" : "/routes/count",
            "methods" : {
                "get" : {
					"method" : "GET",
					"path" : "/routes",
					"description" : " - Gets the number of route entries found on the specified criteria.",
                    "request" : [
						"limit",
						"offset",
						"fields",
						"account",
						"businessUnit",
						"referredByRoute",
						"type",
						"managedByCG",
						"condition",
						"conditionType",
						"description",
						"failureEmailName",
						"failureEmailNotification",
						"failureEmailTemplate",
						"name",
						"routeTemplate",
						"subscription",
						"additionalAttributes.key",
						"additionalAttributes.value",
						"successEmailName",
						"successEmailNotification",
						"successEmailTemplate",
						"triggeringEmailName",
						"triggeringEmailNotification",
						"triggeringEmailTemplate",
						"stepStatuses.stepId",
						"stepStatuses.status",
						"steps.id",
						"steps.type",
						"steps.condition",
						"steps.conditionType",
						"steps.actionOnStepSuccess",
						"steps.status",
						"steps.autostart",
						"steps.executeRoute",
						"steps.precedingStep",
						"steps.actionOnStepFailure",
						"steps.fileFilterExpression",
						"steps.fileFilterExpressionType",
						"steps.inputCharset",
						"steps.outputCharset",
						"steps.postTransformationActionRenameAsExpression",
						"steps.usePrecedingStepFiles",
						"step.compressionType",
						"steps.compressionLevel",
						"step.singleArchiveName",
						"steps.singleArchiveEnabled",
						"steps.fileFoldWidth",
						"steps.inputEolSequence",
						"steps.outputEolSequence",
						"steps.linePaddingCharacter",
						"steps.linePaddingLength",
						"steps.truncateLength",
						"steps.requireEncryption",
						"steps.requireTrustedSignature",
						"steps.compressionType",
						"steps.encryptKeyExpression",
						"steps.encryptKeyExpressionType",
						"steps.encryptKeyOwnerExpression",
						"steps.encryptKeyOwnerExpressionType",
						"steps.signKeyExpression",
						"steps.signKeyExpressionType",
						"steps.signKeyOwnerExpression",
						"steps.signKeyOwnerExpressionType",
						"steps.useAsciiArmour",
						"steps.outputFileName",
						"steps.findCharacterSequence",
						"steps.lineStrip",
						"steps.replaceCharacterSequence",
						"steps.logOutput",
						"steps.rootExecution",
						"steps.scriptPath",
						"steps.disableAutoCreateTargetFolder",
						"steps.filenameCollisionResolutionType",
						"steps.postRoutingActionRenameExpression",
						"steps.postRoutingActionType",
						"steps.publishFileAs",
						"steps.targetAccountExpression",
						"steps.targetFolderExpression",
						"steps.targetFolderExpressionType",
						"steps.triggerSubscription",
						"steps.archivePolicyOnFailure",
						"steps.archivePolicyOnSuccess",
						"steps.dataEncoding",
						"steps.fileLabel",
						"steps.finalDestination",
						"steps.maxNumberOfRetries",
						"steps.maxParallelClients",
						"steps.originator",
						"steps.recordFormat",
						"steps.recordLength",
						"steps.routeFileAs",
						"steps.sleepBetweenRetries",
						"steps.sleepIncrementBetweenRetries",
						"steps.storeAndForwardMode",
						"steps.targetAccountExpressionType",
						"steps.transferProfileExpression",
						"steps.transferProfileExpressionType",
						"steps.transferSiteExpression",
						"steps.transferSiteExpressionType",
						"steps.triggerFileContent",
						"steps.triggerFileForEach",
						"steps.triggerFileName",
						"steps.triggerTargetAccountExpression",
						"steps.triggerTargetAccountExpressionType",
						"steps.triggerTransferProfileExpression",
						"steps.triggerTransferProfileExpressionType",
						"steps.triggerTransferSiteExpression",
						"steps.triggerTransferSiteExpressionType",
						"steps.triggerUploadFolder",
						"steps.uploadFolder",
						"steps.userMessage",
						"steps.virtualFilename",
						"steps.localFolderPathExpression",
						"steps.localFolderPathExpressionType",
						"steps.localFileNameExpression",
						"steps.localFileNameExpressionType",
						"steps.remoteFolderPathExpression",
						"steps.remoteFolderPathExpressionType",
						"steps.remoteFileNameExpression",
						"steps.remoteFileNameExpressionType"
					],
					"response" : {
					  "resultSet": {
					    "returnCount": 0,
					    "totalCount": 0
					  },
					  "result": ["..."]
					}
				}
            }
        },
		"Routes_id" : {
            "path" : "/routes/{routeId}",
            "methods" : {
                "get" : {
					"path" : "/routes/{id}",
					"description" : " - Gets a single route.",
                    "request" : ["id", "fields", "type"],
					"response" : {
					  "id": "string",
					  "name": "string",
					  "description": "string",
					  "type": "TEMPLATE",
					  "managedByCG": false,
					  "routeTemplate": "string",
					  "account": "string",
					  "businessUnits": [
					    "string"
					  ],
					  "conditionType": "MATCH_ALL",
					  "condition": "string",
					  "failureEmailNotification": false,
					  "failureEmailTemplate": "string",
					  "failureEmailName": "string",
					  "successEmailNotification": false,
					  "successEmailTemplate": "string",
					  "successEmailName": "string",
					  "triggeringEmailNotification": false,
					  "triggeringEmailTemplate": "string",
					  "triggeringEmailName": "string",
					  "subscriptions": [
					    "string"
					  ],
					  "additionalAttributes": {
					    "additionalProp1": "string",
					    "additionalProp2": "string",
					    "additionalProp3": "string"
					  },
					  "stepStatuses": [
					    {
					      "id": "string",
					      "stepId": "string",
					      "status": "ENABLED"
					    }
					  ],
					  "steps": [
					    {
					      "id": "string",
					      "type": "EncodingConversion",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "inputCharset": "string",
					      "outputCharset": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "id": "string",
					      "type": "Compress",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "singleArchiveEnabled": false,
					      "compressionType": "string",
					      "zipPassword": "string",
					      "compressionLevel": "STORE",
					      "singleArchiveName": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "id": "string",
					      "type": "Decompress",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "filenameCollisionResolutionType": "OVERWRITE",
					      "zipPassword": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "id": "string",
					      "type": "LineFolding",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "fileFoldWidth": 1,
					      "inputCharset": "string",
					      "outputCharset": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "id": "string",
					      "type": "LineEnding",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "inputEolSequence": "string",
					      "outputEolSequence": "string",
					      "inputCharset": "string",
					      "outputCharset": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "id": "string",
					      "type": "LinePadding",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "linePaddingCharacter": "\\\\u0043",
					      "linePaddingLength": "string",
					      "inputCharset": "string",
					      "outputCharset": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "id": "string",
					      "type": "LineTruncating",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "inputCharset": "string",
					      "outputCharset": "string",
					      "truncateLength": 1,
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "id": "string",
					      "type": "PgpDecryption",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "requireEncryption": false,
					      "requireTrustedSignature": false,
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "id": "string",
					      "type": "PgpEncryption",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "usePrecedingStepFiles": false,
					      "encryptKeyOwnerExpression": "string",
					      "encryptKeyExpression": "string",
					      "encryptKeyOwnerExpressionType": "string",
					      "encryptKeyExpressionType": "string",
					      "signKeyOwnerExpression": "string",
					      "signKeyExpression": "string",
					      "signKeyOwnerExpressionType": "string",
					      "signKeyExpressionType": "string",
					      "useAsciiArmour": false,
					      "compressionType": "string",
					      "compressionLevel": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "id": "string",
					      "type": "Rename",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "outputFileName": "string",
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB"
					    },
					    {
					      "id": "string",
					      "type": "CharactersReplace",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "findCharacterSequence": "string",
					      "lineStrip": "string",
					      "replaceCharacterSequence": "string",
					      "inputCharset": "string",
					      "outputCharset": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "id": "string",
					      "type": "ExternalScript",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "scriptPath": "string",
					      "logOutput": false,
					      "rootExecution": false
					    },
					    {
					      "id": "string",
					      "type": "Publish",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "filenameCollisionResolutionType": "string",
					      "targetAccountExpression": "string",
					      "targetAccountExpressionType": "string",
					      "targetFolderExpression": "string",
					      "targetFolderExpressionType": "string",
					      "publishFileAs": "string",
					      "triggerSubscription": false,
					      "postRoutingActionType": "string",
					      "disableAutoCreateTargetFolder": false,
					      "postRoutingActionRenameExpression": "string"
					    },
					    {
					      "id": "string",
					      "type": "SendToPartner",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "targetAccountExpression": "string",
					      "targetAccountExpressionType": "string",
					      "transferSiteExpression": "string",
					      "transferSiteExpressionType": "LIST",
					      "uploadFolder": "string",
					      "transferProfileExpression": "string",
					      "transferProfileExpressionType": "string",
					      "storeAndForwardMode": "string",
					      "virtualFilename": "string",
					      "dataEncoding": "string",
					      "recordFormat": "string",
					      "recordLength": "string",
					      "fileLabel": "string",
					      "originator": "string",
					      "finalDestination": "string",
					      "userMessage": "string",
					      "triggerFileName": "string",
					      "triggerTargetAccountExpression": "string",
					      "triggerTransferSiteExpression": "string",
					      "triggerTransferSiteExpressionType": "string",
					      "routeFileAs": "string",
					      "triggerFileContent": "string",
					      "postRoutingActionType": "string",
					      "sleepIncrementBetweenRetries": 0,
					      "sleepBetweenRetries": 0,
					      "maxParallelClients": 0,
					      "maxNumberOfRetries": 0,
					      "triggerFileForEach": false,
					      "triggerTransferProfileExpression": "string",
					      "triggerUploadFolder": "string",
					      "archivePolicyOnFailure": "DEFAULT",
					      "archivePolicyOnSuccess": "DEFAULT",
					      "postRoutingActionRenameExpression": "string",
					      "triggerTargetAccountExpressionType": "NAME",
					      "triggerTransferProfileExpressionType": "string"
					    },
					    {
					      "id": "string",
					      "type": "PullFromPartner",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "targetAccountExpression": "string",
					      "targetAccountExpressionType": "string",
					      "transferSiteExpression": "string",
					      "transferSiteExpressionType": "LIST",
					      "remoteFolderPathExpression": "string",
					      "remoteFolderPathExpressionType": "SIMPLE",
					      "remoteFileNameExpression": "string",
					      "remoteFileNameExpressionType": "GLOB",
					      "localFolderPathExpression": "string",
					      "localFolderPathExpressionType": "SIMPLE",
					      "localFileNameExpression": "string",
					      "localFileNameExpressionType": "SIMPLE"
					    },
					    {
					      "id": "string",
					      "type": "ExecuteRoute",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "executeRoute": "string"
					    },
					    {
					      "id": "string",
					      "type": "Pluggable",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "customProperties": {
					        "property_1": "string",
					        "property_2": "string"
					      }
					    }
					  ]
					}
				},
				"post" : {
					"method" : "PUT|PATCH",
					"path" : "/routes/{id}",
					"description" : " - Updates route properties",
                    "request" : ["id"],
					"request_body" : {
					  "id": "string",
					  "name": "string",
					  "description": "string",
					  "type": "TEMPLATE",
					  "managedByCG": false,
					  "routeTemplate": "string",
					  "account": "string",
					  "businessUnits": [
					    "string"
					  ],
					  "conditionType": "MATCH_ALL",
					  "condition": "string",
					  "failureEmailNotification": false,
					  "failureEmailTemplate": "string",
					  "failureEmailName": "string",
					  "successEmailNotification": false,
					  "successEmailTemplate": "string",
					  "successEmailName": "string",
					  "triggeringEmailNotification": false,
					  "triggeringEmailTemplate": "string",
					  "triggeringEmailName": "string",
					  "subscriptions": [
					    "string"
					  ],
					  "additionalAttributes": {
					    "additionalProp1": "string",
					    "additionalProp2": "string",
					    "additionalProp3": "string"
					  },
					  "stepStatuses": [
					    {
					      "id": "string",
					      "stepId": "string",
					      "status": "ENABLED"
					    }
					  ],
					  "steps": [
					    {
					      "type": "EncodingConversion",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "inputCharset": "string",
					      "outputCharset": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "type": "Compress",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "singleArchiveEnabled": false,
					      "compressionType": "string",
					      "zipPassword": "string",
					      "compressionLevel": "STORE",
					      "singleArchiveName": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "type": "Decompress",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "filenameCollisionResolutionType": "OVERWRITE",
					      "zipPassword": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "type": "LineFolding",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "fileFoldWidth": 1,
					      "inputCharset": "string",
					      "outputCharset": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "type": "LineEnding",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "inputEolSequence": "string",
					      "outputEolSequence": "string",
					      "inputCharset": "string",
					      "outputCharset": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "type": "LinePadding",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "linePaddingCharacter": "\\\\u0043",
					      "linePaddingLength": "string",
					      "inputCharset": "string",
					      "outputCharset": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "type": "LineTruncating",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "inputCharset": "string",
					      "outputCharset": "string",
					      "truncateLength": 1,
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "type": "PgpDecryption",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "requireEncryption": false,
					      "requireTrustedSignature": false,
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "type": "PgpEncryption",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "usePrecedingStepFiles": false,
					      "encryptKeyOwnerExpression": "string",
					      "encryptKeyExpression": "string",
					      "encryptKeyOwnerExpressionType": "string",
					      "encryptKeyExpressionType": "string",
					      "signKeyOwnerExpression": "string",
					      "signKeyExpression": "string",
					      "signKeyOwnerExpressionType": "string",
					      "signKeyExpressionType": "string",
					      "useAsciiArmour": false,
					      "compressionType": "string",
					      "compressionLevel": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "type": "Rename",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "outputFileName": "string",
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB"
					    },
					    {
					      "type": "CharactersReplace",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "findCharacterSequence": "string",
					      "lineStrip": "string",
					      "replaceCharacterSequence": "string",
					      "inputCharset": "string",
					      "outputCharset": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "type": "ExternalScript",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "scriptPath": "string",
					      "logOutput": false,
					      "rootExecution": false
					    },
					    {
					      "type": "Publish",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "filenameCollisionResolutionType": "string",
					      "targetAccountExpression": "string",
					      "targetAccountExpressionType": "string",
					      "targetFolderExpression": "string",
					      "targetFolderExpressionType": "string",
					      "publishFileAs": "string",
					      "triggerSubscription": false,
					      "postRoutingActionType": "string",
					      "disableAutoCreateTargetFolder": false,
					      "postRoutingActionRenameExpression": "string"
					    },
					    {
					      "type": "SendToPartner",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "targetAccountExpression": "string",
					      "targetAccountExpressionType": "string",
					      "transferSiteExpression": "string",
					      "transferSiteExpressionType": "LIST",
					      "uploadFolder": "string",
					      "transferProfileExpression": "string",
					      "transferProfileExpressionType": "string",
					      "storeAndForwardMode": "string",
					      "virtualFilename": "string",
					      "dataEncoding": "string",
					      "recordFormat": "string",
					      "recordLength": "string",
					      "fileLabel": "string",
					      "originator": "string",
					      "finalDestination": "string",
					      "userMessage": "string",
					      "triggerFileName": "string",
					      "triggerTargetAccountExpression": "string",
					      "triggerTransferSiteExpression": "string",
					      "triggerTransferSiteExpressionType": "string",
					      "routeFileAs": "string",
					      "triggerFileContent": "string",
					      "postRoutingActionType": "string",
					      "sleepIncrementBetweenRetries": 0,
					      "sleepBetweenRetries": 0,
					      "maxParallelClients": 0,
					      "maxNumberOfRetries": 0,
					      "triggerFileForEach": false,
					      "triggerTransferProfileExpression": "string",
					      "triggerUploadFolder": "string",
					      "archivePolicyOnFailure": "DEFAULT",
					      "archivePolicyOnSuccess": "DEFAULT",
					      "postRoutingActionRenameExpression": "string",
					      "triggerTargetAccountExpressionType": "NAME",
					      "triggerTransferProfileExpressionType": "string"
					    },
					    {
					      "type": "PullFromPartner",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "targetAccountExpression": "string",
					      "targetAccountExpressionType": "string",
					      "transferSiteExpression": "string",
					      "transferSiteExpressionType": "LIST",
					      "remoteFolderPathExpression": "string",
					      "remoteFolderPathExpressionType": "SIMPLE",
					      "remoteFileNameExpression": "string",
					      "remoteFileNameExpressionType": "GLOB",
					      "localFolderPathExpression": "string",
					      "localFolderPathExpressionType": "SIMPLE",
					      "localFileNameExpression": "string",
					      "localFileNameExpressionType": "SIMPLE"
					    },
					    {
					      "type": "ExecuteRoute",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "executeRoute": "string"
					    },
					    {
					      "type": "Pluggable",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "customProperties": {
					        "property_1": "string",
					        "property_2": "string"
					      }
					    }
					  ]
					},
					"response" : "No content"
				},
				"delete" : {
					"path" : "/routes/{id}",
					"description" : " - Deletes a route.",
                    "request" : ["id"],
					"response" : "No content"
				}
            }
        },
		"Routes_steps" : {
            "path" : "/routes/{routeId}/steps",
            "methods" : {
                "get" : {
					"method" : "GET",
					"path" : "/routes/{id}",
					"description" : " - Gets the route steps.",
                    "request" : ["id", "fields='steps'", "type"],
					"response" : {
					  "steps": [{
					      "id": "string",
					      "type": "string",
					      "status": "string",
					      "autostart": false,
					      "precedingStep": "",
					      "conditionType": "string",
					      "condition": "",
					      "actionOnStepSuccess": "string",
					      "actionOnStepFailure": "string",
					      "compressionLevel": "string",
					      "fileFilterExpression": "*",
					      "fileFilterExpressionType": "string",
					      "postTransformationActionRenameAsExpression": null,
					      "singleArchiveEnabled": false,
					      "usePrecedingStepFiles": false
					    }]
					}
				},
				"post" : {
					"path" : "/routes/{id}",
					"method" : "patch",
					"description" : " - Creates a route step.",
                    "request" : ["id"],
					"request_body" : [
					  {
					    "op": "add",
					    "path": "/steps/0",
					    "value": {
					      "id": "string",
					      "type": "string",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "inputCharset": "string",
					      "outputCharset": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    }
					  }
					],
					"response" : "No content"
				},
				"put" : {
					"method" : "PUT|PATCH",
					"path" : "/routes/{id}",
					"description" : " - Overwrites route steps belonging to a route.",
                    "request" : ["id"],
					"request_body" : {
					  "id": "string",
					  "name": "string",
					  "description": "string",
					  "type": "TEMPLATE",
					  "managedByCG": false,
					  "routeTemplate": "string",
					  "account": "string",
					  "businessUnits": [
					    "string"
					  ],
					  "conditionType": "MATCH_ALL",
					  "condition": "string",
					  "failureEmailNotification": false,
					  "failureEmailTemplate": "string",
					  "failureEmailName": "string",
					  "successEmailNotification": false,
					  "successEmailTemplate": "string",
					  "successEmailName": "string",
					  "triggeringEmailNotification": false,
					  "triggeringEmailTemplate": "string",
					  "triggeringEmailName": "string",
					  "subscriptions": [
					    "string"
					  ],
					  "additionalAttributes": {
					    "additionalProp1": "string",
					    "additionalProp2": "string",
					    "additionalProp3": "string"
					  },
					  "stepStatuses": [
					    {
					      "id": "string",
					      "stepId": "string",
					      "status": "ENABLED"
					    }
					  ],
					  "steps": [
					    {
					      "id": "string",
					      "type": "EncodingConversion",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "inputCharset": "string",
					      "outputCharset": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "id": "string",
					      "type": "Compress",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "singleArchiveEnabled": false,
					      "compressionType": "string",
					      "zipPassword": "string",
					      "compressionLevel": "STORE",
					      "singleArchiveName": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "id": "string",
					      "type": "Decompress",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "filenameCollisionResolutionType": "OVERWRITE",
					      "zipPassword": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "id": "string",
					      "type": "LineFolding",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "fileFoldWidth": 1,
					      "inputCharset": "string",
					      "outputCharset": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "id": "string",
					      "type": "LineEnding",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "inputEolSequence": "string",
					      "outputEolSequence": "string",
					      "inputCharset": "string",
					      "outputCharset": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "id": "string",
					      "type": "LinePadding",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "linePaddingCharacter": "\\\\u0043",
					      "linePaddingLength": "string",
					      "inputCharset": "string",
					      "outputCharset": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "id": "string",
					      "type": "LineTruncating",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "inputCharset": "string",
					      "outputCharset": "string",
					      "truncateLength": 1,
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "id": "string",
					      "type": "PgpDecryption",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "requireEncryption": false,
					      "requireTrustedSignature": false,
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "id": "string",
					      "type": "PgpEncryption",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "usePrecedingStepFiles": false,
					      "encryptKeyOwnerExpression": "string",
					      "encryptKeyExpression": "string",
					      "encryptKeyOwnerExpressionType": "string",
					      "encryptKeyExpressionType": "string",
					      "signKeyOwnerExpression": "string",
					      "signKeyExpression": "string",
					      "signKeyOwnerExpressionType": "string",
					      "signKeyExpressionType": "string",
					      "useAsciiArmour": false,
					      "compressionType": "string",
					      "compressionLevel": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "id": "string",
					      "type": "Rename",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "outputFileName": "string",
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB"
					    },
					    {
					      "id": "string",
					      "type": "CharactersReplace",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "findCharacterSequence": "string",
					      "lineStrip": "string",
					      "replaceCharacterSequence": "string",
					      "inputCharset": "string",
					      "outputCharset": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    },
					    {
					      "id": "string",
					      "type": "ExternalScript",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "scriptPath": "string",
					      "logOutput": false,
					      "rootExecution": false
					    },
					    {
					      "id": "string",
					      "type": "Publish",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "filenameCollisionResolutionType": "string",
					      "targetAccountExpression": "string",
					      "targetAccountExpressionType": "string",
					      "targetFolderExpression": "string",
					      "targetFolderExpressionType": "string",
					      "publishFileAs": "string",
					      "triggerSubscription": false,
					      "postRoutingActionType": "string",
					      "disableAutoCreateTargetFolder": false,
					      "postRoutingActionRenameExpression": "string"
					    },
					    {
					      "id": "string",
					      "type": "SendToPartner",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "targetAccountExpression": "string",
					      "targetAccountExpressionType": "string",
					      "transferSiteExpression": "string",
					      "transferSiteExpressionType": "LIST",
					      "uploadFolder": "string",
					      "transferProfileExpression": "string",
					      "transferProfileExpressionType": "string",
					      "storeAndForwardMode": "string",
					      "virtualFilename": "string",
					      "dataEncoding": "string",
					      "recordFormat": "string",
					      "recordLength": "string",
					      "fileLabel": "string",
					      "originator": "string",
					      "finalDestination": "string",
					      "userMessage": "string",
					      "triggerFileName": "string",
					      "triggerTargetAccountExpression": "string",
					      "triggerTransferSiteExpression": "string",
					      "triggerTransferSiteExpressionType": "string",
					      "routeFileAs": "string",
					      "triggerFileContent": "string",
					      "postRoutingActionType": "string",
					      "sleepIncrementBetweenRetries": 0,
					      "sleepBetweenRetries": 0,
					      "maxParallelClients": 0,
					      "maxNumberOfRetries": 0,
					      "triggerFileForEach": false,
					      "triggerTransferProfileExpression": "string",
					      "triggerUploadFolder": "string",
					      "archivePolicyOnFailure": "DEFAULT",
					      "archivePolicyOnSuccess": "DEFAULT",
					      "postRoutingActionRenameExpression": "string",
					      "triggerTargetAccountExpressionType": "NAME",
					      "triggerTransferProfileExpressionType": "string"
					    },
					    {
					      "id": "string",
					      "type": "PullFromPartner",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "targetAccountExpression": "string",
					      "targetAccountExpressionType": "string",
					      "transferSiteExpression": "string",
					      "transferSiteExpressionType": "LIST",
					      "remoteFolderPathExpression": "string",
					      "remoteFolderPathExpressionType": "SIMPLE",
					      "remoteFileNameExpression": "string",
					      "remoteFileNameExpressionType": "GLOB",
					      "localFolderPathExpression": "string",
					      "localFolderPathExpressionType": "SIMPLE",
					      "localFileNameExpression": "string",
					      "localFileNameExpressionType": "SIMPLE"
					    },
					    {
					      "id": "string",
					      "type": "ExecuteRoute",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "executeRoute": "string"
					    },
					    {
					      "id": "string",
					      "type": "Pluggable",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "customProperties": {
					        "property_1": "string",
					        "property_2": "string"
					      }
					    }
					  ]
					},
					"response" : "No content"
				}
            }
        },
		"Routes_steps_rid" : {
            "path" : "/routes/{routeId}/steps/{routeStepId}",
            "methods" : {
				"post" : {
					"path" : "/routes/{id}",
					"description" : " - Updates properties of a route step.",
                    "request" : ["id"],
					"request_body" : [
					  {
					    "op": "replace",
					    "path": "/steps/0",
					    "value": {
					      "id": "string",
					      "type": "EncodingConversion",
					      "status": "ENABLED",
					      "precedingStep": "string",
					      "conditionType": "ALWAYS",
					      "condition": "string",
					      "actionOnStepSuccess": "PROCEED",
					      "actionOnStepFailure": "FAIL",
					      "autostart": false,
					      "usePrecedingStepFiles": false,
					      "fileFilterExpression": "string",
					      "fileFilterExpressionType": "GLOB",
					      "inputCharset": "string",
					      "outputCharset": "string",
					      "postTransformationActionRenameAsExpression": "string"
					    }
					  }
					],
					"response" : "No content"
				},
				"delete" : {
					"path" : "/routes/{id}",
					"description" : " - Deletes a route step.",
                    "request" : ["id"],
					"request_body" : [{
					    "op": "replace",
					    "path": "/steps/0"
					}],
					"response" : "No content"
				}
            }
        }
	},
	"VersionInformation": {
		"version"  : {
            "path" : "/version",
            "methods" : {
                "get" : {
					"description" : " - Gets the version information of ST.",
                    "request" : ["fields"],
                    "response" : [
					  {
					    "serverType": "ST-Core-Server",
					    "version": "string",
					    "build": "string",
					    "os": "string",
					    "dockerMode": "string",
					    "updateLevel": "string",
					    "updateHistory": [
					      "string"
					    ],
					    "spiVersions": [{
					        "name": "string",
					        "versions": [
					          "string"
					        ]
					    }],
					    "root": false,
					    "other": [
					      "string"
					    ]
					  }
					]
				}
            }
        }
	},
	"AuditLog": {
		"auditLog"  : {
            "path" : "/auditLog",
            "methods" : {
                "get" : {
					"path" : "/logs/audit",
					"description" : " - Retrieve the audit logs based on URI parameter criteria.",
                    "request" : [
						"limit",
						"offset",
						"fields",
						"fromDate",
						"endDate",
						"dateModified",
						"duration",
						"userName",
						"remoteAddress",
						"objectType",
						"objectName",
						"objectString",
						"objectIdentifier",
						"operationType",
						"description",
						"configurationId"
					],
                    "response" : {
					  "resultSet": {
					    "returnCount": 0,
					    "totalCount": 0
					  },
					  "result": [
					    {
					      "id": "string",
					      "dateModified": "string",
					      "configurationId": "string",
					      "operationType": "CREATE",
					      "objectType": "string",
					      "objectIdentifier": "string",
					      "objectName": "string",
					      "objectString": "string",
					      "userName": "string",
					      "remoteAddress": "string",
					      "description": "string"
					    }
					  ]
					}
				}
            }
        },
		"auditLog_count"  : {
            "path" : "/auditLog/count",
            "methods" : {
                "get" : {
					"path" : "/logs/audit",
					"description" : " - Gets the number of audit log entries found on the specified criteria.",
                    "request" : [
						"limit",
						"offset",
						"fields",
						"fromDate",
						"endDate",
						"dateModified",
						"duration",
						"userName",
						"remoteAddress",
						"objectType",
						"objectName",
						"objectString",
						"objectIdentifier",
						"operationType",
						"description",
						"configurationId"
					],
                    "response" : {
					  "resultSet": {
					    "returnCount": 0,
					    "totalCount": 0
					  },
					  "result": [
					    {
					      "id": "string",
					      "dateModified": "string",
					      "configurationId": "string",
					      "operationType": "CREATE",
					      "objectType": "string",
					      "objectIdentifier": "string",
					      "objectName": "string",
					      "objectString": "string",
					      "userName": "string",
					      "remoteAddress": "string",
					      "description": "string"
					    }
					  ]
					}
				}
            }
        },
		"auditLog_export"  : {
            "path" : "/auditLog/export",
            "methods" : {
                "get" : {
					"path" : "/logs/audit",
					"description" : " - Exports the audit log in a CSV format based on the specified criteria.",
                    "request" : [
						"limit",
						"offset",
						"fields",
						"fromDate",
						"endDate",
						"dateModified",
						"duration",
						"userName",
						"remoteAddress",
						"objectType",
						"objectName",
						"objectString",
						"objectIdentifier",
						"operationType",
						"description",
						"configurationId"
					],
					"request_body" : "Select response Media type=text/csv",
                    "response" : "Audit log content"
				}
            }
        },
		"auditLog_id"  : {
            "path" : "/auditLog/{auditLogId}",
            "methods" : {
                "get" : {
					"path" : "/logs/audit/{id}",
					"description" : " - Gets a single audit log entry.",
                    "request" : ["id", "fields"],
                    "response" : {
						"id": "string",
						"dateModified": "string",
						"configurationId": "string",
						"operationType": "CREATE",
						"objectType": "string",
						"objectIdentifier": "string",
						"objectName": "string",
						"objectString": "string",
						"userName": "string",
						"remoteAddress": "string",
						"description": "string"
					}	
				},
				"post" : {
					"method" : "PUT",
					"path" : "/logs/audit/{id}",
					"description" : " - Updates an audit log entry description.",
                    "request" : ["id"],
					"request_body" : {
						"id": "string",
						"dateModified": "string",
						"configurationId": "string",
						"operationType": "CREATE",
						"objectType": "string",
						"objectIdentifier": "string",
						"objectName": "string",
						"objectString": "string",
						"userName": "string",
						"remoteAddress": "string",
						"description": "string"
					}, 
                    "response" : {
						"id": "string",
						"dateModified": "string",
						"configurationId": "string",
						"operationType": "CREATE",
						"objectType": "string",
						"objectIdentifier": "string",
						"objectName": "string",
						"objectString": "string",
						"userName": "string",
						"remoteAddress": "string",
						"description": "string"
					}
				}
            }
        }
	},
	"SiteTemplate": {
		"siteTemplates"  : {
            "path" : "/siteTemplates/{name}",
            "methods" : {
                "get" : {
					"description" : "Gets a single application.",
					"path" : "/siteTemplates/{id}",
                    "request" : [
						"id",
						"fields",
						"type"
					],
                    "response" : {
					  "name": "string",
					  "protocol": "cd",
					  "additionalAttributes": {
						"additionalProp1": "string",
						"additionalProp2": "string",
						"additionalProp3": "string"
					  },
					  "localServerName": "string",
					  "localServerPort": "string",
					  "submitScriptWithinFile": false,
					  "recScript": "string",
					  "sendScript": "string",
					  "userName": "string",
					  "usePassword": false,
					  "usePasswordExpr": false,
					  "password": "string",
					  "useCertificate": false,
					  "certificatePlaceholder": "string",
					  "transferMode": "string"
					}
				}
            }
        }
	},
	"Subscriptions": {
		"subscriptions"  : {
            "path" : "/subscriptions",
            "methods" : {
                "get" : {
					"description" : "Gets the subscriptions.",
                    "request" : [
						"limit",
						"offset",
						"fields",
						"account",
						"application",
						"type",
						"folder",
						"..."
					],
                    "response" : {
					  "type": "AdvancedRouting",
					  "folder": "string",
					  "account": "string",
					  "application": "string",
					  "maxParallelSitPulls": 0,
					  "flowAttrsMergeMode": "preserve",
					  "folderMonitorScheduleCheck": "string",
					  "flowName": "string",
					  "scheduledFolderMonitor": "string",
					  "subscriptionEncryptMode": "string",
					  "fileRetentionPeriod": 0,
					  "flowAttributes": {
						"additionalProp1": "string",
						"additionalProp2": "string",
						"additionalProp3": "string"
					  },
					  "schedules": [
						{
						  "tag": "string",
						  "type": "ONCE",
						  "executionTimes": [
							"string"
						  ],
						  "startDate": {},
						  "skipHolidays": false
						}
					  ],
					  "transferConfigurations": [
						{
						  "tag": "PARTNER-IN",
						  "outbound": false,
						  "site": "string",
						  "transferProfile": "string",
						  "dataTransformations": [
							{
							  "type": "string",
							  "asciiArmor": false,
							  "compressionAlgorithm": 0,
							  "compressionLevel": 0,
							  "encryptEnabled": false,
							  "localSignCertificate": "string",
							  "originalNameExpression": "string",
							  "originalNameExpressionEnabled": false,
							  "partnerEncryptCertificate": "string",
							  "requireEncryption": false,
							  "requireSignature": false,
							  "signingEnabled": false,
							  "transformedNameExpression": "string",
							  "transformedNameExpressionEnabled": false
							}
						  ]
						}
					  ],
					  "postClientDownloads": {
						"postClientDownloadActionType": "string",
						"postClientDownloadActionTypeFailure": "string",
						"postClientDownloadTypeOnPermfailDoDelete": false,
						"postClientDownloadTypeOnSuccessDoAdvancedRouting": false,
						"postClientDownloadTypeOnSuccessDoAdvancedRoutingProcessFile": false,
						"postClientDownloadTypeOnFailDoAdvancedRouting": false,
						"postClientDownloadTypeOnFailDoAdvancedRoutingProcessFailedFile": false
					  },
					  "postProcessingActions": {
						"ppaOnFailInDoDelete": false,
						"ppaOnFailInDoMove": "string",
						"ppaOnSuccessInDoDelete": false,
						"ppaOnSuccessInDoMove": "string"
					  },
					  "postTransmissionActions": {
						"moveOverwrite": false,
						"ptaOnTempfailInDoDelete": false,
						"ptaOnTempfailInDoMove": "string",
						"ptaOnPermfailInDoDelete": false,
						"ptaOnPermfailInDoMove": "string",
						"ptaOnPermfailDoAdvancedRouting": false,
						"ptaOnPermfailInDoAdvancedRoutingFailedFile": false,
						"ptaOnPermfailInDoAdvancedRoutingWildcardPull": false,
						"ptaOnTempfailInDoAdvancedRouting": false,
						"ptaOnTempfailInDoAdvancedRoutingProcessFailedFile": false,
						"ptaOnTempfailInDoAdvancedRoutingWildcardPull": false,
						"ptaOnSuccessDoInAdvancedRoutingWildcardPull": false,
						"ptaOnSuccessTriggerRouteExecutionOnPeSITAck": false,
						"ptaOnSuccessInDoDelete": false,
						"ptaOnSuccessInDoMove": "string",
						"ptaOnSuccessInDoMoveOverwrite": false,
						"ptaOnPermfailOutDoDelete": false,
						"ptaOnPermfailOutDoMove": "string",
						"ptaOnSuccessOutDoDelete": false,
						"ptaOnSuccessOutDoMove": "string",
						"ptaOnSuccessOutDoMoveOverwrite": false,
						"ptaOnTempfailOutDoDelete": false,
						"ptaOnTempfailOutDoMove": "string",
						"triggerOnConditionEnabled": false,
						"triggerOnConditionExpression": "string",
						"triggerOnSuccessfulWildcardPull": false,
						"submitFilterType": "string",
						"submitFilenamePatternExpression": "string",
						"triggerFileOption": "string",
						"triggerFileRetriesNumber": 0,
						"triggerFileRetryDelay": 0
					  }
					}
				},
				"post" : {
					"description" : "Creates the subscriptions.",
                    "request" : [
					],
                    "request_body" : {
					  "type": "AdvancedRouting",
					  "folder": "string",
					  "account": "string",
					  "application": "string",
					  "maxParallelSitPulls": 0,
					  "flowAttrsMergeMode": "preserve",
					  "folderMonitorScheduleCheck": "string",
					  "flowName": "string",
					  "scheduledFolderMonitor": "string",
					  "subscriptionEncryptMode": "string",
					  "fileRetentionPeriod": 0,
					  "flowAttributes": {
						"additionalProp1": "string",
						"additionalProp2": "string",
						"additionalProp3": "string"
					  },
					  "schedules": [
						{
						  "tag": "string",
						  "type": "ONCE",
						  "executionTimes": [
							"string"
						  ],
						  "startDate": {},
						  "skipHolidays": false
						}
					  ],
					  "transferConfigurations": [
						{
						  "tag": "PARTNER-IN",
						  "outbound": false,
						  "site": "string",
						  "transferProfile": "string",
						  "dataTransformations": [
							{
							  "type": "string",
							  "asciiArmor": false,
							  "compressionAlgorithm": 0,
							  "compressionLevel": 0,
							  "encryptEnabled": false,
							  "localSignCertificate": "string",
							  "originalNameExpression": "string",
							  "originalNameExpressionEnabled": false,
							  "partnerEncryptCertificate": "string",
							  "requireEncryption": false,
							  "requireSignature": false,
							  "signingEnabled": false,
							  "transformedNameExpression": "string",
							  "transformedNameExpressionEnabled": false
							}
						  ]
						}
					  ],
					  "postClientDownloads": {
						"postClientDownloadActionType": "string",
						"postClientDownloadActionTypeFailure": "string",
						"postClientDownloadTypeOnPermfailDoDelete": false,
						"postClientDownloadTypeOnSuccessDoAdvancedRouting": false,
						"postClientDownloadTypeOnSuccessDoAdvancedRoutingProcessFile": false,
						"postClientDownloadTypeOnFailDoAdvancedRouting": false,
						"postClientDownloadTypeOnFailDoAdvancedRoutingProcessFailedFile": false
					  },
					  "postProcessingActions": {
						"ppaOnFailInDoDelete": false,
						"ppaOnFailInDoMove": "string",
						"ppaOnSuccessInDoDelete": false,
						"ppaOnSuccessInDoMove": "string"
					  },
					  "postTransmissionActions": {
						"moveOverwrite": false,
						"ptaOnTempfailInDoDelete": false,
						"ptaOnTempfailInDoMove": "string",
						"ptaOnPermfailInDoDelete": false,
						"ptaOnPermfailInDoMove": "string",
						"ptaOnPermfailDoAdvancedRouting": false,
						"ptaOnPermfailInDoAdvancedRoutingFailedFile": false,
						"ptaOnPermfailInDoAdvancedRoutingWildcardPull": false,
						"ptaOnTempfailInDoAdvancedRouting": false,
						"ptaOnTempfailInDoAdvancedRoutingProcessFailedFile": false,
						"ptaOnTempfailInDoAdvancedRoutingWildcardPull": false,
						"ptaOnSuccessDoInAdvancedRoutingWildcardPull": false,
						"ptaOnSuccessTriggerRouteExecutionOnPeSITAck": false,
						"ptaOnSuccessInDoDelete": false,
						"ptaOnSuccessInDoMove": "string",
						"ptaOnSuccessInDoMoveOverwrite": false,
						"ptaOnPermfailOutDoDelete": false,
						"ptaOnPermfailOutDoMove": "string",
						"ptaOnSuccessOutDoDelete": false,
						"ptaOnSuccessOutDoMove": "string",
						"ptaOnSuccessOutDoMoveOverwrite": false,
						"ptaOnTempfailOutDoDelete": false,
						"ptaOnTempfailOutDoMove": "string",
						"triggerOnConditionEnabled": false,
						"triggerOnConditionExpression": "string",
						"triggerOnSuccessfulWildcardPull": false,
						"submitFilterType": "string",
						"submitFilenamePatternExpression": "string",
						"triggerFileOption": "string",
						"triggerFileRetriesNumber": 0,
						"triggerFileRetryDelay": 0
					  }
					},
					"response" : ""
				}
            }
        },
		"subscriptions_id"  : {
            "path" : "/subscriptions/{id}",
            "methods" : {
                "get" : {
					"description" : "Gets a single subscription with a given id.",
                    "request" : [
						"id",
						"fields",
						"type"
					],
                    "response" : {
					  "id": "string",
					  "type": "AdvancedRouting",
					  "folder": "string",
					  "account": "string",
					  "application": "string",
					  "maxParallelSitPulls": 0,
					  "flowAttrsMergeMode": "preserve",
					  "folderMonitorScheduleCheck": "string",
					  "flowName": "string",
					  "scheduledFolderMonitor": "string",
					  "subscriptionEncryptMode": "string",
					  "fileRetentionPeriod": 0,
					  "flowAttributes": {
						"additionalProp1": "string",
						"additionalProp2": "string",
						"additionalProp3": "string"
					  },
					  "schedules": [
						{
						  "tag": "string",
						  "type": "WEEKLY",
						  "executionTimes": [
							"string"
						  ],
						  "daysOfWeek": [
							"SUNDAY"
						  ],
						  "startDate": {},
						  "endDate": {},
						  "skipHolidays": false
						}
					  ],
					  "transferConfigurations": [
						{
						  "id": "string",
						  "tag": "PARTNER-IN",
						  "outbound": false,
						  "site": "string",
						  "transferProfile": "string",
						  "dataTransformations": [
							{
							  "id": "string",
							  "type": "string",
							  "asciiArmor": false,
							  "compressionAlgorithm": 0,
							  "compressionLevel": 0,
							  "encryptEnabled": false,
							  "localSignCertificate": "string",
							  "originalNameExpression": "string",
							  "originalNameExpressionEnabled": false,
							  "partnerEncryptCertificate": "string",
							  "requireEncryption": false,
							  "requireSignature": false,
							  "signingEnabled": false,
							  "transformedNameExpression": "string",
							  "transformedNameExpressionEnabled": false
							}
						  ]
						}
					  ],
					  "postClientDownloads": {
						"postClientDownloadActionType": "string",
						"postClientDownloadActionTypeFailure": "string",
						"postClientDownloadTypeOnPermfailDoDelete": false,
						"postClientDownloadTypeOnSuccessDoAdvancedRouting": false,
						"postClientDownloadTypeOnSuccessDoAdvancedRoutingProcessFile": false,
						"postClientDownloadTypeOnFailDoAdvancedRouting": false,
						"postClientDownloadTypeOnFailDoAdvancedRoutingProcessFailedFile": false
					  },
					  "postProcessingActions": {
						"ppaOnFailInDoDelete": false,
						"ppaOnFailInDoMove": "string",
						"ppaOnSuccessInDoDelete": false,
						"ppaOnSuccessInDoMove": "string"
					  },
					  "postTransmissionActions": {
						"moveOverwrite": false,
						"ptaOnTempfailInDoDelete": false,
						"ptaOnTempfailInDoMove": "string",
						"ptaOnPermfailInDoDelete": false,
						"ptaOnPermfailInDoMove": "string",
						"ptaOnPermfailDoAdvancedRouting": false,
						"ptaOnPermfailInDoAdvancedRoutingFailedFile": false,
						"ptaOnPermfailInDoAdvancedRoutingWildcardPull": false,
						"ptaOnTempfailInDoAdvancedRouting": false,
						"ptaOnTempfailInDoAdvancedRoutingProcessFailedFile": false,
						"ptaOnTempfailInDoAdvancedRoutingWildcardPull": false,
						"ptaOnSuccessDoInAdvancedRoutingWildcardPull": false,
						"ptaOnSuccessTriggerRouteExecutionOnPeSITAck": false,
						"ptaOnSuccessInDoDelete": false,
						"ptaOnSuccessInDoMove": "string",
						"ptaOnSuccessInDoMoveOverwrite": false,
						"ptaOnPermfailOutDoDelete": false,
						"ptaOnPermfailOutDoMove": "string",
						"ptaOnSuccessOutDoDelete": false,
						"ptaOnSuccessOutDoMove": "string",
						"ptaOnSuccessOutDoMoveOverwrite": false,
						"ptaOnTempfailOutDoDelete": false,
						"ptaOnTempfailOutDoMove": "string",
						"triggerOnConditionEnabled": false,
						"triggerOnConditionExpression": "string",
						"triggerOnSuccessfulWildcardPull": false,
						"submitFilterType": "string",
						"submitFilenamePatternExpression": "string",
						"triggerFileOption": "string",
						"triggerFileRetriesNumber": 0,
						"triggerFileRetryDelay": 0
					  }
					}
				},
				"post" : {
					"description" : "Updates subscription properties.",
					"method": "put",
                    "request" : [
						"id",
					],
                    "request_body" : {
					  "id": "string",
					  "type": "AdvancedRouting",
					  "folder": "string",
					  "account": "string",
					  "application": "string",
					  "maxParallelSitPulls": 0,
					  "flowAttrsMergeMode": "preserve",
					  "folderMonitorScheduleCheck": "string",
					  "flowName": "string",
					  "scheduledFolderMonitor": "string",
					  "subscriptionEncryptMode": "string",
					  "fileRetentionPeriod": 0,
					  "flowAttributes": {
						"additionalProp1": "string",
						"additionalProp2": "string",
						"additionalProp3": "string"
					  },
					  "schedules": [
						{
						  "tag": "string",
						  "type": "WEEKLY",
						  "executionTimes": [
							"string"
						  ],
						  "daysOfWeek": [
							"SUNDAY"
						  ],
						  "startDate": {},
						  "endDate": {},
						  "skipHolidays": false
						}
					  ],
					  "transferConfigurations": [
						{
						  "id": "string",
						  "tag": "PARTNER-IN",
						  "outbound": false,
						  "site": "string",
						  "transferProfile": "string",
						  "dataTransformations": [
							{
							  "id": "string",
							  "type": "string",
							  "asciiArmor": false,
							  "compressionAlgorithm": 0,
							  "compressionLevel": 0,
							  "encryptEnabled": false,
							  "localSignCertificate": "string",
							  "originalNameExpression": "string",
							  "originalNameExpressionEnabled": false,
							  "partnerEncryptCertificate": "string",
							  "requireEncryption": false,
							  "requireSignature": false,
							  "signingEnabled": false,
							  "transformedNameExpression": "string",
							  "transformedNameExpressionEnabled": false
							}
						  ]
						}
					  ],
					  "postClientDownloads": {
						"postClientDownloadActionType": "string",
						"postClientDownloadActionTypeFailure": "string",
						"postClientDownloadTypeOnPermfailDoDelete": false,
						"postClientDownloadTypeOnSuccessDoAdvancedRouting": false,
						"postClientDownloadTypeOnSuccessDoAdvancedRoutingProcessFile": false,
						"postClientDownloadTypeOnFailDoAdvancedRouting": false,
						"postClientDownloadTypeOnFailDoAdvancedRoutingProcessFailedFile": false
					  },
					  "postProcessingActions": {
						"ppaOnFailInDoDelete": false,
						"ppaOnFailInDoMove": "string",
						"ppaOnSuccessInDoDelete": false,
						"ppaOnSuccessInDoMove": "string"
					  },
					  "postTransmissionActions": {
						"moveOverwrite": false,
						"ptaOnTempfailInDoDelete": false,
						"ptaOnTempfailInDoMove": "string",
						"ptaOnPermfailInDoDelete": false,
						"ptaOnPermfailInDoMove": "string",
						"ptaOnPermfailDoAdvancedRouting": false,
						"ptaOnPermfailInDoAdvancedRoutingFailedFile": false,
						"ptaOnPermfailInDoAdvancedRoutingWildcardPull": false,
						"ptaOnTempfailInDoAdvancedRouting": false,
						"ptaOnTempfailInDoAdvancedRoutingProcessFailedFile": false,
						"ptaOnTempfailInDoAdvancedRoutingWildcardPull": false,
						"ptaOnSuccessDoInAdvancedRoutingWildcardPull": false,
						"ptaOnSuccessTriggerRouteExecutionOnPeSITAck": false,
						"ptaOnSuccessInDoDelete": false,
						"ptaOnSuccessInDoMove": "string",
						"ptaOnSuccessInDoMoveOverwrite": false,
						"ptaOnPermfailOutDoDelete": false,
						"ptaOnPermfailOutDoMove": "string",
						"ptaOnSuccessOutDoDelete": false,
						"ptaOnSuccessOutDoMove": "string",
						"ptaOnSuccessOutDoMoveOverwrite": false,
						"ptaOnTempfailOutDoDelete": false,
						"ptaOnTempfailOutDoMove": "string",
						"triggerOnConditionEnabled": false,
						"triggerOnConditionExpression": "string",
						"triggerOnSuccessfulWildcardPull": false,
						"submitFilterType": "string",
						"submitFilenamePatternExpression": "string",
						"triggerFileOption": "string",
						"triggerFileRetriesNumber": 0,
						"triggerFileRetryDelay": 0
					  }
					},
					"response" : ""
				},
				"delete" : {
					"description" : "",
                    "request" : [
						"id",
						"purge"
					],
					"response" : ""
				}
            }
        },
		"subscriptions_id_schedules"  : {
            "path" : "/subscriptions/{subscriptionId}/schedules",
            "methods" : {
                "get" : {
					"description" : "Gets the schedules for a subscription with a with given id.",
					"path": "/subscriptions/{id}",
                    "request" : [
						"id",
						"fields=schedules",
						"type"
					],
                    "response" : {
					  "type": "AdvancedRouting",
					  "schedules": [
						{
						  "tag": "string",
						  "type": "WEEKLY",
						  "executionTimes": [
							"string"
						  ],
						  "daysOfWeek": [
							"SUNDAY"
						  ],
						  "startDate": {},
						  "endDate": {},
						  "skipHolidays": false
						}
					  ]
					}
				},
				"post" : {
					"description" : "Creates schedules for a subscription with a with given id.",
					"method": "patch",
					"path": "/subscriptions/{id}",
                    "request" : [
						"id"
					],
                    "request_body" : [
					  {
						"op": "add",
						"path": "string",
						"value": {}
					  }
					],
					"response" : ""
				}
			}
		},
		"subscriptions_id_transferConfigurations"  : {
            "path" : "/subscriptions/{subscriptionId}/transferConfigurations",
            "methods" : {
                "get" : {
					"description" : "Gets the transfer configurations for a given subscription.",
					"path": "/subscriptions/{id}",
                    "request" : [
						"id",
						"fields=transferConfigurations",
						"type"
					],
                    "response" : {
					  "type": "AdvancedRouting",
					  "transferConfigurations": [
						{
						  "id": "string",
						  "tag": "PARTNER-IN",
						  "outbound": false,
						  "site": "string",
						  "transferProfile": "string",
						  "dataTransformations": [
							{
							  "id": "string",
							  "type": "string",
							  "asciiArmor": false,
							  "compressionAlgorithm": 0,
							  "compressionLevel": 0,
							  "encryptEnabled": false,
							  "localSignCertificate": "string",
							  "originalNameExpression": "string",
							  "originalNameExpressionEnabled": false,
							  "partnerEncryptCertificate": "string",
							  "requireEncryption": false,
							  "requireSignature": false,
							  "signingEnabled": false,
							  "transformedNameExpression": "string",
							  "transformedNameExpressionEnabled": false
							}
						  ]
						}
					  ]
					}
				},
				"post" : {
					"description" : "Delete all transfer configurations and replaced them with the given transfer configurations.",
					"method": "patch",
					"path": "/subscriptions/{id}",
                    "request" : [
						"id"
					],
                    "request_body" : [
					  {
						"op": "replace",
						"path": "string",
						"value": {}
					  }
					],
					"response" : ""
				}
			}
		},
		"subscriptions_id_schedules_scheduleTag"  : {
            "path" : "/subscriptions/{subscriptionId}/schedules/{scheduleTag}",
            "methods" : {
                "get" : {
					"description" : "Gets the schedule for a subscription with a with given id.",
                    "path": "/subscriptions/{id}",
                    "request" : [
						"id",
						"fields=schedules",
						"type"
					],
                    "response" : {
					  "type": "AdvancedRouting",
					  "schedules": [
						{
						  "tag": "string",
						  "type": "WEEKLY",
						  "executionTimes": [
							"string"
						  ],
						  "daysOfWeek": [
							"SUNDAY"
						  ],
						  "startDate": {},
						  "endDate": {},
						  "skipHolidays": false
						}
					  ]
					}
				},
				"post" : {
					"description" : "Updates subscription schedule properties.",
                    "method": "patch",
					"path": "/subscriptions/{id}",
                    "request" : [
						"id"
					],
                    "request_body" : [
					  {
						"op": "replace",
						"path": "string",
						"value": {}
					  }
					],
					"response" : ""
				},
				"put" : {
					"description" : "Creates the schedule or replaces existing subscription schedule with the same tag.",
                    "method": "patch",
					"path": "/subscriptions/{id}",
                    "request" : [
						"id"
					],
                    "request_body" : [
					  {
						"op": "add/replace",
						"path": "string",
						"value": {}
					  }
					],
					"response" : ""
				},
				"delete" : {
					"description" : "Deletes a schedule.",
                    "method": "patch",
					"path": "/subscriptions/{id}",
                    "request" : [
						"id"
					],
                    "request_body" : [
					  {
						"op": "remove",
						"path": "string",
						"value": {}
					  }
					],
					"response" : ""
				}
			}
		},
		"subscriptions_id_transferConfigurations_transferConfigurationId"  : {
            "path" : "/subscriptions/{subscriptionId}/transferConfigurations/{transferConfigurationId}",
            "methods" : {
                "get" : {
					"description" : "Gets the transfer configurations for a given subscription.",
                    "path": "/subscriptions/{id}",
                    "request" : [
						"id",
						"fields=transferConfigurations",
						"transferConfigurations.id",
						"type"
					],
                    "response" : {
					  "type": "AdvancedRouting",
					  "transferConfigurations": [
						{
						  "id": "string",
						  "tag": "PARTNER-IN",
						  "outbound": false,
						  "site": "string",
						  "transferProfile": "string",
						  "dataTransformations": [
							{
							  "id": "string",
							  "type": "string",
							  "asciiArmor": false,
							  "compressionAlgorithm": 0,
							  "compressionLevel": 0,
							  "encryptEnabled": false,
							  "localSignCertificate": "string",
							  "originalNameExpression": "string",
							  "originalNameExpressionEnabled": false,
							  "partnerEncryptCertificate": "string",
							  "requireEncryption": false,
							  "requireSignature": false,
							  "signingEnabled": false,
							  "transformedNameExpression": "string",
							  "transformedNameExpressionEnabled": false
							}
						  ]
						}
					  ]
					}
				}
			}
		},
		"subscriptions_id_transferConfigurations_transferConfigurationId_dataTransformations"  : {
            "path" : "/subscriptions/{subscriptionId}/transferConfigurations/{transferConfigurationId}/dataTransformations",
            "methods" : {
                "get" : {
					"description" : "Gets the data transformations for a given transfer configuration.",
                    "path": "/subscriptions/{id}",
                    "request" : [
						"id",
						"fields=transferConfigurations",
						"transferConfigurations.id",
						"type"
					],
                    "response" : {
					  "type": "AdvancedRouting",
					  "transferConfigurations": [
						{
						  "id": "string",
						  "tag": "PARTNER-IN",
						  "outbound": false,
						  "site": "string",
						  "transferProfile": "string",
						  "dataTransformations": [
							{
							  "id": "string",
							  "type": "string",
							  "asciiArmor": false,
							  "compressionAlgorithm": 0,
							  "compressionLevel": 0,
							  "encryptEnabled": false,
							  "localSignCertificate": "string",
							  "originalNameExpression": "string",
							  "originalNameExpressionEnabled": false,
							  "partnerEncryptCertificate": "string",
							  "requireEncryption": false,
							  "requireSignature": false,
							  "signingEnabled": false,
							  "transformedNameExpression": "string",
							  "transformedNameExpressionEnabled": false
							}
						  ]
						}
					  ]
					}
				}
			}
		},
		"subscriptions_id_transferConfigurations_transferConfigurationId_dataTransformations_dataTransformationId"  : {
            "path" : "/subscriptions/{subscriptionId}/transferConfigurations/{transferConfigurationId}/dataTransformations/{dataTransformationId}",
            "methods" : {
                "get" : {
					"description" : "Gets a data transformation for a given transfer configuration with given id.",
                    "path": "/subscriptions/{id}",
                    "request" : [
						"id",
						"fields=transferConfigurations",
						"transferConfigurations.id",
						"type"
					],
                    "response" : {
					  "type": "AdvancedRouting",
					  "transferConfigurations": [
						{
						  "id": "string",
						  "tag": "PARTNER-IN",
						  "outbound": false,
						  "site": "string",
						  "transferProfile": "string",
						  "dataTransformations": [
							{
							  "id": "string",
							  "type": "string",
							  "asciiArmor": false,
							  "compressionAlgorithm": 0,
							  "compressionLevel": 0,
							  "encryptEnabled": false,
							  "localSignCertificate": "string",
							  "originalNameExpression": "string",
							  "originalNameExpressionEnabled": false,
							  "partnerEncryptCertificate": "string",
							  "requireEncryption": false,
							  "requireSignature": false,
							  "signingEnabled": false,
							  "transformedNameExpression": "string",
							  "transformedNameExpressionEnabled": false
							}
						  ]
						}
					  ]
					}
				}
			}
		}
	},
	"Transfers": {
		"transfers"  : {
            "path" : "/transfers",
            "methods" : {
                "get" : {
					"description" : "Retrieve transfer log entries.",
					"path" : "/logs/transfers",
                    "request" : [
						"limit",
						"offset",
						"fields",
						"returnLatestStatusOnly",
						"account",
						"loginName",
						"serverName",
						"filename",
						"userClass",
						"site",
						"site.id",
						"transferProfile",
						"status",
						"transferId",
						"startTimeBefore",
						"startTimeAfter",
						"endTimeBefore",
						"endTimeAfter",
						"serverInitiated",
						"protocol",
						"application",
						"direction",
						"incoming",
						"secure",
						"resubmitted",
						"operationIndex",
						"coreId",
						"filesize",						
						"remoteDir",
						"remotePartner",
						"securityParameters",
						"actionBy",
						"cycleId"
					],
                    "response" : {
					  "resultSet": {
						"returnCount": 0,
						"totalCount": 0
					  },
					  "result": [
						{
						  "id": {
							"transferStatusId": "string",
							"transferStartTime": "string"
						  },
						  "status": "In Progress",
						  "resubmitted": true,
						  "secure": false,
						  "account": "string",
						  "login": "string",
						  "serverName": "string",
						  "incoming": true,
						  "serverInitiated": "string",
						  "filename": "string",
						  "localFilename": "string",
						  "filesize": 0,
						  "protocol": "string",
						  "startTime": "string",
						  "duration": "string",
						  "operationIndex": "string",
						  "remoteDir": "string",
						  "remotePartner": "string",
						  "coreId": "string",
						  "cycleId": "string",
						  "securityParameters": "string",
						  "site": {
							"id": "string",
							"name": "string"
						  },
						  "transferProfile": "string",
						  "remoteAlternativeAddresses": [
							{
							  "address": "string",
							  "state": "string"
							}
						  ]
						}
					  ]
					}
				}
            }
        },
		"transfers_export"  : {
			"path" : "/transfers/export",
			"methods" : {
				"get" : {
					"description" : "Retrieve transfer log entries.",
					"request" : [
						"accountOrLogin",
						"file",
						"userClass",
						"site",
						"status",
						"startTimeBefore",
						"startTimeAfter",
						"endTimeBefore",
						"endTimeAfter",
						"actionBy",
						"protocol",
						"application",
						"direction",
						"secure",
						"resubmitted",
						"operationIndex",
						"coreId"
					],
					"request_body" : "Select response Media type=text/csv",
					"response" : ""
				}
			}
		},
		"transfers_transferId"  : {
            "path" : "/transfers/{transferId}",
            "methods" : {
                "get" : {
					"description" : "Retrieve transfer log entries.",
					"path" : "/logs/transfers/{id}",
                    "request" : [
						"id",
						"fields"
					],
                    "response" : {
					  "status": "string",
					  "startTime": "string",
					  "duration": "string",
					  "account": "string",
					  "login": "string",
					  "userClass": "string",
					  "userType": "string",
					  "application": "string",
					  "transferType": "Unspecified",
					  "transferSite": "string",
					  "transferProfile": "string",
					  "file": "string",
					  "localFilename": "string",
					  "serverName": "string",
					  "size": 0,
					  "protocol": "string",
					  "mode": "BINARY",
					  "remoteHost": "string",
					  "remoteFolder": "string",
					  "remotePartner": "string",
					  "accountFolder": "string",
					  "realFile": "string",
					  "transferId": "string",
					  "sessionId": "string",
					  "archivedAs": "string",
					  "successMessage": "string",
					  "errorMessage": "string",
					  "pesitAcknowledge": "string",
					  "pesitAcknowledgeDirection": "Incoming",
					  "icapDetails": "string",
					  "operationIndex": "string",
					  "protocolCommands": "string",
					  "coreId": "string",
					  "cycleId": "string",
					  "securityParameters": "string",
					  "subtransmissionStatuses": [
						{
						  "completion": "string",
						  "comment": "string",
						  "result": "string",
						  "operationType": "string"
						}
					  ],
					  "requestEntity": "string",
					  "additionalInformation": "string",
					  "xffHeader": "string",
					  "transferData": [
						{
						  "data": "string",
						  "startTime": "string",
						  "type": "string",
						  "transferId": "string",
						  "receipt": false
						}
					  ]
					}
				}
            }
        },
		"transfers_transferId_cancel"  : {
            "path" : "/transfers/{transferId}/cancel",
            "methods" : {
                "post" : {
					"description" : "Cancel a transfer.",
					"path" : "/logs/transfers/{id}/operations",
                    "request" : [
						"id",
						"operation=cancel"
					],
                    "response" : {
					  "message": "string",
					  "status": "OK"
					}
				}
            }
        },
		"transfers_transferId_mdn"  : {
            "path" : "/transfers/{transferId}/mdn",
            "methods" : {
                "get" : {
					"description" : "",
                    "path" : "/logs/transfers/{id}",
                    "request" : [
						"id",
						"fields"
					],
                    "response" : {
					  "status": "string",
					  "startTime": "string",
					  "duration": "string",
					  "account": "string",
					  "login": "string",
					  "userClass": "string",
					  "userType": "string",
					  "application": "string",
					  "transferType": "Unspecified",
					  "transferSite": "string",
					  "transferProfile": "string",
					  "file": "string",
					  "localFilename": "string",
					  "serverName": "string",
					  "size": 0,
					  "protocol": "string",
					  "mode": "BINARY",
					  "remoteHost": "string",
					  "remoteFolder": "string",
					  "remotePartner": "string",
					  "accountFolder": "string",
					  "realFile": "string",
					  "transferId": "string",
					  "sessionId": "string",
					  "archivedAs": "string",
					  "successMessage": "string",
					  "errorMessage": "string",
					  "pesitAcknowledge": "string",
					  "pesitAcknowledgeDirection": "Incoming",
					  "icapDetails": "string",
					  "operationIndex": "string",
					  "protocolCommands": "string",
					  "coreId": "string",
					  "cycleId": "string",
					  "securityParameters": "string",
					  "subtransmissionStatuses": [
						{
						  "completion": "string",
						  "comment": "string",
						  "result": "string",
						  "operationType": "string"
						}
					  ],
					  "requestEntity": "string",
					  "additionalInformation": "string",
					  "xffHeader": "string",
					  "transferData": [
						{
						  "data": "string",
						  "startTime": "string",
						  "type": "string",
						  "transferId": "string",
						  "receipt": false
						}
					  ]
					}
				}
            }
        },
		"transfers_transferId_resubmit"  : {
            "path" : "/transfers/{transferId}/resubmit",
            "methods" : {
                "post" : {
					"description" : "",
                    "path" : "/logs/transfers/{id}/operations",
                    "request" : [
						"id",
						"operation=resubmit"
					],
                    "response" : {
					  "message": "string",
					  "status": "OK"
					}
				}
            }
        },
		"transfers_transferId_transferData"  : {
            "path" : "/transfers/{transferId}/transferData",
            "methods" : {
                "get" : {
					"description" : "",
                    "path" : "/logs/transfers/{id}",
                    "request" : [
						"id",
						"fields=transferData"
					],
                    "response" : {
					  "status": "string",
					  "startTime": "string",
					  "duration": "string",
					  "account": "string",
					  "login": "string",
					  "userClass": "string",
					  "userType": "string",
					  "application": "string",
					  "transferType": "Unspecified",
					  "transferSite": "string",
					  "transferProfile": "string",
					  "file": "string",
					  "localFilename": "string",
					  "serverName": "string",
					  "size": 0,
					  "protocol": "string",
					  "mode": "BINARY",
					  "remoteHost": "string",
					  "remoteFolder": "string",
					  "remotePartner": "string",
					  "accountFolder": "string",
					  "realFile": "string",
					  "transferId": "string",
					  "sessionId": "string",
					  "archivedAs": "string",
					  "successMessage": "string",
					  "errorMessage": "string",
					  "pesitAcknowledge": "string",
					  "pesitAcknowledgeDirection": "Incoming",
					  "icapDetails": "string",
					  "operationIndex": "string",
					  "protocolCommands": "string",
					  "coreId": "string",
					  "cycleId": "string",
					  "securityParameters": "string",
					  "subtransmissionStatuses": [
						{
						  "completion": "string",
						  "comment": "string",
						  "result": "string",
						  "operationType": "string"
						}
					  ],
					  "requestEntity": "string",
					  "additionalInformation": "string",
					  "xffHeader": "string",
					  "transferData": [
						{
						  "data": "string",
						  "startTime": "string",
						  "type": "string",
						  "transferId": "string",
						  "receipt": false
						}
					  ]
					}
				}
            }
        },
		"transfers_transferId_mdn_verify"  : {
            "path" : "/transfers/{transferId}/mdn/verify",
            "methods" : {
                "get" : {
					"description" : "",
					"method": "post",
                    "path" : "/logs/transfers/{id}/operations",
                    "request" : [
						"id",
						"operation=verify"
					],
                    "response" : {
					  "message": "string",
					  "status": "OK"
					}
				}
            }
        }
	},
	"ConfigurationProfiles": {
		"configurationProfiles_profile_options"  : {
            "path" : "/configurationProfiles/options",
            "methods" : {
                "get" : {
					"path" : "/configurations/options",
					"description" : "",
                    "request" : [
						"name",
						"limit",
						"offset",
						"fields",
						"isLocal",
						"readOnly"
					],
                    "response" : {
					  "resultSet": {
						"returnCount": 0,
						"totalCount": 0
					  },
					  "result": [
						  {
							"name": "string",
							"values": [
							  "string"
							],
							"description": "string",
							"isLocal": false,
							"encrypted": false,
							"readOnly": false,
							"composite": false,
							"specified": false,
							"disabled": false
						  }
						]
					}
				},
				"post" : {
					"path" : "/configurations/options/{name}",
					"method" : "patch",
					"description" : "",
                    "request" : [
						"name"
					],
                    "request_body" : [
					  {
						"op": "add",
						"path": "string",
						"value": {}
					  }
					],
                    "response" : ""
				}
            }
        },
		"configurationProfiles_profile_options_count"  : {
            "path" : "/configurationProfiles/{profile}/options/count",
            "methods" : {
                "get" : {
					"path" : "/configurations/options",
					"description" : "",
                    "request" : [
						"name",
						"limit",
						"offset",
						"fields",
						"isLocal",
						"readOnly"
					],
                    "response" : {
					  "resultSet": {
						"returnCount": 0,
						"totalCount": 0
					  },
					  "result": [
						  {
							"name": "string",
							"values": [
							  "string"
							],
							"description": "string",
							"isLocal": false,
							"encrypted": false,
							"readOnly": false,
							"composite": false,
							"specified": false,
							"disabled": false
						  }
						]
					}
				}
            }
        },
		"configurationProfiles_profile_options_names"  : {
            "path" : "/configurationProfiles/{profile}/options/names",
            "methods" : {
                "get" : {
					"path" : "/configurations/options",
					"description" : "",
                    "request" : [
						"name",
						"limit",
						"offset",
						"fields",
						"isLocal",
						"readOnly"
					],
                    "response" : {
					  "resultSet": {
						"returnCount": 0,
						"totalCount": 0
					  },
					  "result": [
						  {
							"name": "string",
							"values": [
							  "string"
							],
							"description": "string",
							"isLocal": false,
							"encrypted": false,
							"readOnly": false,
							"composite": false,
							"specified": false,
							"disabled": false
						  }
						]
					}
				}
			}
        },
		"configurationProfiles_profile_options_name"  : {
            "path" : "/configurationProfiles/{profile}/options/{name}",
            "methods" : {
				"get" : {
					"path" : "/configurations/options/{name}",
					"description" : "Returns a configuration option by its name.",
                    "request" : [
						"name",
						"fields"
					],
                    "response" : {
					  "name": "string",
					  "values": [
						"string"
					  ],
					  "description": "string",
					  "isLocal": false,
					  "encrypted": false,
					  "readOnly": false,
					  "composite": false,
					  "specified": false,
					  "disabled": false
					}
				},
				"post" : {
					"path" : "/configurations/options/{name}",
					"method" : "patch",
					"description" : "",
                    "request" : [
						"name"
					],
                    "request_body" : [
					  {
						"op": "add",
						"path": "string",
						"value": {}
					  }
					],
                    "response" : ""
				}
            }
        }
	},
	"Certificates" : {
		"Certificate"  : {
            "path" : "/certificates",
            "methods" : {
                "get" : {
					"description" : " - Gets the certificates",
                    "request" : [
						"limit",
						"offset",
						"fields",
						"id",
						"type",
						"usage",
						"fingerprintAlgorithm",
						"base64EncodedFingerprint",
						"disableChaining",
						"name",
						"subject",
						"expirationTime.from",
						"expirationTime.to",
						"account",
						"accessLevel",
						"additionalAttributes.key",
						"additionalAttributes.value",
						"id",
						"fields",
						"fingerprintAlgorithm",
						"base64EncodedFingerprint",
						"password",
						"exportSSHPublicKey",
						"exportPrivateKey",
						"sshPublicKeyFormat",
						"includePath"
					],
                    "response" : {
					  "resultSet": {
					    "returnCount": 0,
					    "totalCount": 0
					  },
					  "result": [
					    {
					      "id": "string",
					      "name": "string",
					      "subject": "string",
					      "type": "x509",
					      "usage": "private",
					      "expirationTime": "string",
					      "creationTime": 0,
					      "signAlgorithm": "SHA256withRSA",
					      "keySize": 2048,
					      "keyAlgorithm": "string",
					      "issuer": "string",
					      "serialNumber": "string",
					      "validityPeriod": 100000,
					      "fingerprint": "string",
					      "account": "string",
					      "accessLevel": "PRIVATE",
					      "overwrite": false,
					      "caPassword": "string",
					      "exportPrivateKey": false,
					      "exportSSHPublicKey": false,
					      "password": "string",
					      "validationStatus": "string",
					      "version": 0,
					      "additionalAttributes": {
					        "additionalProp1": "string",
					        "additionalProp2": "string",
					        "additionalProp3": "string"
					      }
					    },
					    {
					      "id": "string",
					      "name": "string",
					      "subject": "string",
					      "type": "x509",
					      "usage": "local",
					      "expirationTime": "string",
					      "creationTime": 0,
					      "signAlgorithm": "SHA256withRSA",
					      "keySize": 2048,
					      "keyAlgorithm": "string",
					      "issuer": "string",
					      "serialNumber": "string",
					      "validityPeriod": 100000,
					      "fingerprint": "string",
					      "account": "string",
					      "accessLevel": "PRIVATE",
					      "overwrite": false,
					      "caPassword": "string",
					      "exportPrivateKey": false,
					      "exportSSHPublicKey": false,
					      "password": "string",
					      "validationStatus": "string",
					      "version": 0,
					      "additionalAttributes": {
					        "additionalProp1": "string",
					        "additionalProp2": "string",
					        "additionalProp3": "string"
					      }
					    },
					    {
					      "id": "string",
					      "name": "string",
					      "subject": "string",
					      "type": "x509",
					      "usage": "partner",
					      "expirationTime": "string",
					      "creationTime": 0,
					      "signAlgorithm": "SHA256withRSA",
					      "keySize": 2048,
					      "keyAlgorithm": "string",
					      "issuer": "string",
					      "serialNumber": "string",
					      "validityPeriod": 100000,
					      "fingerprint": "string",
					      "account": "string",
					      "accessLevel": "PRIVATE",
					      "overwrite": false,
					      "caPassword": "string",
					      "exportPrivateKey": false,
					      "exportSSHPublicKey": false,
					      "password": "string",
					      "validationStatus": "string",
					      "version": 0,
					      "additionalAttributes": {
					        "additionalProp1": "string",
					        "additionalProp2": "string",
					        "additionalProp3": "string"
					      }
					    },
					    {
					      "id": "string",
					      "name": "string",
					      "subject": "string",
					      "type": "x509",
					      "usage": "login",
					      "expirationTime": "string",
					      "creationTime": 0,
					      "signAlgorithm": "SHA256withRSA",
					      "keySize": 2048,
					      "keyAlgorithm": "string",
					      "issuer": "string",
					      "serialNumber": "string",
					      "validityPeriod": 100000,
					      "fingerprint": "string",
					      "account": "string",
					      "accessLevel": "PRIVATE",
					      "overwrite": false,
					      "caPassword": "string",
					      "exportPrivateKey": false,
					      "exportSSHPublicKey": false,
					      "password": "string",
					      "validationStatus": "string",
					      "version": 0,
					      "additionalAttributes": {
					        "additionalProp1": "string",
					        "additionalProp2": "string",
					        "additionalProp3": "string"
					      }
					    },
					    {
					      "id": "string",
					      "name": "string",
					      "subject": "string",
					      "type": "x509",
					      "usage": "trusted",
					      "expirationTime": "string",
					      "creationTime": 0,
					      "signAlgorithm": "SHA256withRSA",
					      "keySize": 2048,
					      "keyAlgorithm": "string",
					      "issuer": "string",
					      "serialNumber": "string",
					      "validityPeriod": 100000,
					      "fingerprint": "string",
					      "account": "string",
					      "accessLevel": "PRIVATE",
					      "overwrite": false,
					      "caPassword": "string",
					      "exportPrivateKey": false,
					      "exportSSHPublicKey": false,
					      "password": "string",
					      "validationStatus": "string",
					      "version": 0,
					      "additionalAttributes": {
					        "additionalProp1": "string",
					        "additionalProp2": "string",
					        "additionalProp3": "string"
					      }
					    }
					  ]
					}
				},
				"post" : {
					"description" : " - Generate a new certificate.",
                    "request" : [],
					"request_body" : {
					  "id": "string",
					  "name": "string",
					  "subject": "string",
					  "type": "x509",
					  "usage": "login",
					  "expirationTime": "string",
					  "creationTime": 0,
					  "signAlgorithm": "SHA256withRSA",
					  "keySize": 2048,
					  "keyAlgorithm": "string",
					  "issuer": "string",
					  "serialNumber": "string",
					  "validityPeriod": 100000,
					  "fingerprint": "string",
					  "account": "string",
					  "accessLevel": "PRIVATE",
					  "overwrite": false,
					  "caPassword": "string",
					  "exportPrivateKey": false,
					  "exportSSHPublicKey": false,
					  "password": "string",
					  "validationStatus": "string",
					  "version": 0,
					  "additionalAttributes": {
					    "additionalProp1": "string",
					    "additionalProp2": "string",
					    "additionalProp3": "string"
					  }
					},
                    "response" : {
					  "id": "string",
					  "name": "string",
					  "subject": "string",
					  "type": "x509",
					  "usage": "login",
					  "expirationTime": "string",
					  "creationTime": 0,
					  "signAlgorithm": "SHA256withRSA",
					  "keySize": 2048,
					  "keyAlgorithm": "string",
					  "issuer": "string",
					  "serialNumber": "string",
					  "validityPeriod": 100000,
					  "fingerprint": "string",
					  "account": "string",
					  "accessLevel": "PRIVATE",
					  "overwrite": false,
					  "caPassword": "string",
					  "exportPrivateKey": false,
					  "exportSSHPublicKey": false,
					  "password": "string",
					  "validationStatus": "string",
					  "version": 0,
					  "additionalAttributes": {
					    "additionalProp1": "string",
					    "additionalProp2": "string",
					    "additionalProp3": "string"
					  }
					}
				}
            }
        },
		"Certificates_requests"  : {
            "path" : "/certificates/certificateRequests",
            "methods" : {
                "get" : {
					"path" : "/certificates/requests",
					"description" : " - Gets the certificate requests. ",
                    "request" : [
						"limit",
						"offset",
						"fields",
						"id",
						"usage",
						"subject",
						"fingerprint",
						"account"
					],
                    "response" : [
					  {
					    "id": "string",
					    "subject": "string",
					    "usage": "local",
					    "fingerprint": "string",
					    "keySize": 2048,
					    "account": "string",
					    "signAlgorithm": "SHA1withRSA"
					  }
					]
				},
				"post" : {
					"path" : "/certificates/requests",
					"description" : " - Generates Certificate Signing Request. ",
                    "request" : [],
					"request_body" : {
					  "id": "string",
					  "subject": "string",
					  "usage": "local",
					  "fingerprint": "string",
					  "keySize": 2048,
					  "account": "string",
					  "signAlgorithm": "SHA1withRSA"
					},
                    "response" : {
					  "CertificateBody": {
					    "id": "string",
					    "subject": "string",
					    "usage": "local",
					    "fingerprint": "string",
					    "keySize": 2048,
					    "account": "string",
					    "signAlgorithm": "SHA1withRSA"
					  },
					  "CerificateContent": "string"
					}
				}
            }
        },
		"Certificates_export"  : {
            "path" : "/certificates/export",
            "methods" : {
				"post" : {
					"method" : "POST",
					"path" : "/certificates/{id}/operations",
					"description" : " - Export a certificate.",
                    "request" : [
						"id", 
						"operation=export", 
						"format", 
						"includePath"
					],
					"request_body" : "exportPassword",
                    "response" : "string"
				}
            }
        },
		"Certificates_import"  : {
            "path" : "/certificates/import",
            "methods" : {
				"post" : {
					"method" : "POST",
					"path" : "/certificates",
					"description" : " - Import X509, SSH or PGP key.",
                    "request" : [],
					"request_body" : ["multipart/mixed; boundary=BOUNDARY", "CertificateBody", "CerificateContent (File chooser)"],
                    "response" : "No content"
				}
            }
        },
		"Certificates_idd"  : {
            "path" : "/certificates/{id}",
            "methods" : {
				"get" : {
					"description" : " - Gets the certificate details.",
                    "request" : [
						"id", 
						"fields", 
						"fingerprintAlgorithm", 
						"base64EncodedFingerprint", 
						"password", 
						"exportSSHPublicKey", 
						"exportPrivateKey", 
						"sshPublicKeyFormat", 
						"includePath"
					],
					"response" : {
					  "id": "string",
					  "name": "string",
					  "subject": "string",
					  "type": "x509",
					  "usage": "login",
					  "expirationTime": "string",
					  "creationTime": 0,
					  "signAlgorithm": "SHA256withRSA",
					  "keySize": 2048,
					  "keyAlgorithm": "string",
					  "issuer": "string",
					  "serialNumber": "string",
					  "validityPeriod": 100000,
					  "fingerprint": "string",
					  "account": "string",
					  "accessLevel": "PRIVATE",
					  "overwrite": false,
					  "caPassword": "string",
					  "exportPrivateKey": false,
					  "exportSSHPublicKey": false,
					  "password": "string",
					  "validationStatus": "string",
					  "version": 0,
					  "additionalAttributes": {
					    "additionalProp1": "string",
					    "additionalProp2": "string",
					    "additionalProp3": "string"
					  }
					}
				},
				"delete" : {
					"description" : " - Deletes a certificate.",
                    "request" : ["id"],
					"response" : "No content"
				}
            }
        },
		"Certificate_request_complete"  : {
            "path" : "/certificates/certificateRequests/complete",
            "methods" : {
                "post" : {
					"method" : "POST",
					"path" : "/certificates/requests/{id}",
					"description" : " - Completes Certificate Signing Request.",
                    "request" : ["id", "certificateFile"],
					"request_body" : ["alias", "certificateFile (file chooser)"],
                    "response" : {
					  "id": "string",
					  "name": "string",
					  "subject": "string",
					  "type": "x509",
					  "usage": "login",
					  "expirationTime": "string",
					  "creationTime": 0,
					  "signAlgorithm": "SHA256withRSA",
					  "keySize": 2048,
					  "keyAlgorithm": "string",
					  "issuer": "string",
					  "serialNumber": "string",
					  "validityPeriod": 100000,
					  "fingerprint": "string",
					  "account": "string",
					  "accessLevel": "PRIVATE",
					  "overwrite": false,
					  "caPassword": "string",
					  "exportPrivateKey": false,
					  "exportSSHPublicKey": false,
					  "password": "string",
					  "validationStatus": "string",
					  "version": 0,
					  "additionalAttributes": {
					    "additionalProp1": "string",
					    "additionalProp2": "string",
					    "additionalProp3": "string"
					  }
					}
				}
            }
        },
		"Certificates_req_id"  : {
            "path" : "/certificates/certificateRequests/{id}",
            "methods" : {
				"delete" : {
					"description" : " - Deletes a certificate request.",
                    "request" : ["id"],
                    "response" : "No content"
				}
            }
        },
		"Certificate_updateAccess"  : {
            "path" : "/certificates/{id}/updateAccess",
            "methods" : {
                "post" : {
					"method" : "PATCH",
					"path" : "/certificates/{id}",
					"description" : " - Update certificate access level. Valid values are PRIVATE, BUSINESS_UNIT and PUBLIC.",
                    "request" : ["id"],
					"request_body" : [
					  {
						"op": "add",
						"path": "string",
						"value": {}
					  }
					],
                    "response" : "No content"
				}
            }
        },
		"Certificates_zone"  : {
            "path" : "/zones/{name}/edges/{title}/certificates/{id}",
            "methods" : {
                "delete" : {
					"path" : "/certificates/{id}",
					"description" : " - Deletes a certificate.",
                    "request" : ["id"],
                    "response" : "No content"
				}
            }
        },
		"Certificate_request_zone"  : {
            "path" : "/zones/{name}/edges/{title}/certificates/certificateRequests/{id}",
            "methods" : {
                "delete" : {
					"path" : "/certificates/requests/{id}",
					"description" : " - Deletes a certificate request.",
                    "request" : ["id"],
                    "response" : "No content"
				}
            }
        },
		"Certificate_id_zone"  : {
            "path" : "/zones/{name}/edges/{title}/certificates/{id}/updateAccess",
            "methods" : {
                "post" : {
					"method" : "PATCH",
					"path" : "/certificates/{id}",
					"description" : " - Update certificate access level. Valid values are PRIVATE, BUSINESS_UNIT and PUBLIC.",
                    "request" : ["id"],
					"request_body" : [
					  {
						"op": "add",
						"path": "string",
						"value": {}
					  }
					],
                    "response" : "No content"
				}
            }
        }
	}	
};